/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 49 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

#if 0

static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a[1].i);
    check_u16(t2->a[1].i);

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_PAIR,
      .val.i = pair(t1->a[1].i, t2->a[1].i),
    };
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;
    struct f_val *val = &(tk->val);

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (tk->val.type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->val.type != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->val.val.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_EC,
      .val.ec = ec,
    };
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a[0].p = tk;
    rv->a[1].p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->val.type != T_INT) || (t2->val.type != T_INT) || (t3->val.type != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT);
    rv->val = (struct f_val) {
      .type = T_LC,
      .val.lc = (lcomm) { t1->a[1].i, t2->a[1].i, t3->a[1].i },
    };
  }
  else
  {
    rv = f_new_inst(FI_LC_CONSTRUCT);
    rv->a[0].p = t1;
    rv->a[1].p = t2;
    rv->a[2].p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_inst *t)
{
  uint len = 0;
  uint dyn = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next) {
    if (tt->fi_code != FI_CONSTANT)
      dyn++;
    len++;
  }

  if (dyn) {
    struct f_inst *pmc = f_new_inst(FI_PATHMASK_CONSTRUCT);
    pmc->a[0].p = t;
    pmc->a[1].i = len;
    return pmc;
  }

  struct f_path_mask *pm = cfg_allocz(sizeof(struct f_path_mask) + len * sizeof(struct f_path_mask_item));

  uint i = 0;
  for (const struct f_inst *tt = t; tt; tt = tt->next)
    pm->item[i++] = tt->val.val.pmi;

  pm->len = i;
  struct f_inst *pmc = f_new_inst(FI_CONSTANT);
  pmc->val = (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm, };

  return pmc;
}

#endif

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 49 "conf/gen_parser.m4"

#line 993 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    PREFIX_DUMMY = 278,
    NMA = 279,
    DEFINE = 280,
    ON = 281,
    OFF = 282,
    YES = 283,
    NO = 284,
    S = 285,
    MS = 286,
    US = 287,
    PORT = 288,
    VPN = 289,
    MPLS = 290,
    FROM = 291,
    FLOW4 = 292,
    FLOW6 = 293,
    DST = 294,
    SRC = 295,
    PROTO = 296,
    NEXT = 297,
    HEADER = 298,
    DPORT = 299,
    SPORT = 300,
    ICMP = 301,
    TYPE = 302,
    CODE = 303,
    TCP = 304,
    FLAGS = 305,
    LENGTH = 306,
    DSCP = 307,
    DONT_FRAGMENT = 308,
    IS_FRAGMENT = 309,
    FIRST_FRAGMENT = 310,
    LAST_FRAGMENT = 311,
    FRAGMENT = 312,
    LABEL = 313,
    OFFSET = 314,
    QUIT = 315,
    EXIT = 316,
    HELP = 317,
    FUNCTION = 318,
    PRINT = 319,
    PRINTN = 320,
    UNSET = 321,
    RETURN = 322,
    ACCEPT = 323,
    REJECT = 324,
    ERROR = 325,
    QUITBIRD = 326,
    INT = 327,
    BOOL = 328,
    IP = 329,
    PREFIX = 330,
    RD = 331,
    PAIR = 332,
    QUAD = 333,
    EC = 334,
    LC = 335,
    SET = 336,
    STRING = 337,
    BGPMASK = 338,
    BGPPATH = 339,
    CLIST = 340,
    ECLIST = 341,
    LCLIST = 342,
    IF = 343,
    THEN = 344,
    ELSE = 345,
    CASE = 346,
    TRUE = 347,
    FALSE = 348,
    RT = 349,
    RO = 350,
    UNKNOWN = 351,
    GENERIC = 352,
    GW = 353,
    NET = 354,
    MASK = 355,
    SOURCE = 356,
    SCOPE = 357,
    DEST = 358,
    IFNAME = 359,
    IFINDEX = 360,
    PREFERENCE = 361,
    ROA_CHECK = 362,
    ASN = 363,
    IS_V4 = 364,
    IS_V6 = 365,
    LEN = 366,
    MAXLEN = 367,
    DEFINED = 368,
    ADD = 369,
    DELETE = 370,
    CONTAINS = 371,
    RESET = 372,
    PREPEND = 373,
    FIRST = 374,
    LAST = 375,
    LAST_NONAGGREGATED = 376,
    MATCH = 377,
    EMPTY = 378,
    FILTER = 379,
    WHERE = 380,
    EVAL = 381,
    ATTRIBUTE = 382,
    BT_ASSERT = 383,
    BT_TEST_SUITE = 384,
    BT_CHECK_ASSIGN = 385,
    BT_TEST_SAME = 386,
    FORMAT = 387,
    ROUTER = 388,
    ID = 389,
    PROTOCOL = 390,
    TEMPLATE = 391,
    DISABLED = 392,
    DEBUG = 393,
    ALL = 394,
    DIRECT = 395,
    INTERFACE = 396,
    IMPORT = 397,
    EXPORT = 398,
    NONE = 399,
    VRF = 400,
    DEFAULT = 401,
    TABLE = 402,
    STATES = 403,
    ROUTES = 404,
    FILTERS = 405,
    IPV4 = 406,
    IPV6 = 407,
    VPN4 = 408,
    VPN6 = 409,
    ROA4 = 410,
    ROA6 = 411,
    SADR = 412,
    RECEIVE = 413,
    LIMIT = 414,
    ACTION = 415,
    WARN = 416,
    BLOCK = 417,
    RESTART = 418,
    DISABLE = 419,
    KEEP = 420,
    FILTERED = 421,
    PASSWORD = 422,
    PASSIVE = 423,
    TO = 424,
    EVENTS = 425,
    PACKETS = 426,
    PROTOCOLS = 427,
    INTERFACES = 428,
    ALGORITHM = 429,
    KEYED = 430,
    HMAC = 431,
    MD5 = 432,
    SHA1 = 433,
    SHA256 = 434,
    SHA384 = 435,
    SHA512 = 436,
    PRIMARY = 437,
    STATS = 438,
    COUNT = 439,
    BY = 440,
    FOR = 441,
    COMMANDS = 442,
    PREEXPORT = 443,
    NOEXPORT = 444,
    GENERATE = 445,
    BGP = 446,
    PASSWORDS = 447,
    DESCRIPTION = 448,
    SORTED = 449,
    RELOAD = 450,
    IN = 451,
    OUT = 452,
    MRTDUMP = 453,
    MESSAGES = 454,
    RESTRICT = 455,
    MEMORY = 456,
    IGP_METRIC = 457,
    CLASS = 458,
    TIMEFORMAT = 459,
    ISO = 460,
    SHORT = 461,
    LONG = 462,
    ROUTE = 463,
    BASE = 464,
    LOG = 465,
    GRACEFUL = 466,
    WAIT = 467,
    MAX = 468,
    FLUSH = 469,
    AS = 470,
    IPV4_MC = 471,
    IPV4_MPLS = 472,
    IPV6_MC = 473,
    IPV6_MPLS = 474,
    IPV6_SADR = 475,
    VPN4_MC = 476,
    VPN4_MPLS = 477,
    VPN6_MC = 478,
    VPN6_MPLS = 479,
    PRI = 480,
    SEC = 481,
    SHOW = 482,
    STATUS = 483,
    SUMMARY = 484,
    SYMBOLS = 485,
    DUMP = 486,
    RESOURCES = 487,
    SOCKETS = 488,
    NEIGHBORS = 489,
    ATTRIBUTES = 490,
    ECHO = 491,
    ENABLE = 492,
    BFD = 493,
    MIN = 494,
    IDLE = 495,
    RX = 496,
    TX = 497,
    INTERVAL = 498,
    MULTIPLIER = 499,
    MULTIHOP = 500,
    NEIGHBOR = 501,
    DEV = 502,
    LOCAL = 503,
    AUTHENTICATION = 504,
    SIMPLE = 505,
    METICULOUS = 506,
    SESSIONS = 507,
    BABEL = 508,
    METRIC = 509,
    RXCOST = 510,
    HELLO = 511,
    UPDATE = 512,
    WIRED = 513,
    WIRELESS = 514,
    BUFFER = 515,
    PRIORITY = 516,
    CHECK = 517,
    LINK = 518,
    HOP = 519,
    BABEL_METRIC = 520,
    ENTRIES = 521,
    RANDOMIZE = 522,
    HOLD = 523,
    TIME = 524,
    CONNECT = 525,
    RETRY = 526,
    KEEPALIVE = 527,
    STARTUP = 528,
    VIA = 529,
    SELF = 530,
    PATH = 531,
    START = 532,
    DELAY = 533,
    FORGET = 534,
    AFTER = 535,
    BGP_PATH = 536,
    BGP_LOCAL_PREF = 537,
    BGP_MED = 538,
    BGP_ORIGIN = 539,
    BGP_NEXT_HOP = 540,
    BGP_ATOMIC_AGGR = 541,
    BGP_AGGREGATOR = 542,
    BGP_COMMUNITY = 543,
    BGP_EXT_COMMUNITY = 544,
    BGP_LARGE_COMMUNITY = 545,
    ADDRESS = 546,
    RR = 547,
    RS = 548,
    CLIENT = 549,
    CLUSTER = 550,
    AS4 = 551,
    ADVERTISE = 552,
    CAPABILITIES = 553,
    PREFER = 554,
    OLDER = 555,
    MISSING = 556,
    LLADDR = 557,
    DROP = 558,
    IGNORE = 559,
    REFRESH = 560,
    INTERPRET = 561,
    COMMUNITIES = 562,
    BGP_ORIGINATOR_ID = 563,
    BGP_CLUSTER_LIST = 564,
    IGP = 565,
    GATEWAY = 566,
    RECURSIVE = 567,
    MED = 568,
    TTL = 569,
    SECURITY = 570,
    DETERMINISTIC = 571,
    SECONDARY = 572,
    ALLOW = 573,
    PATHS = 574,
    AWARE = 575,
    EXTENDED = 576,
    SETKEY = 577,
    STRICT = 578,
    BIND = 579,
    CONFEDERATION = 580,
    MEMBER = 581,
    MULTICAST = 582,
    LIVED = 583,
    STALE = 584,
    IBGP = 585,
    EBGP = 586,
    MANDATORY = 587,
    INTERNAL = 588,
    EXTERNAL = 589,
    DYNAMIC = 590,
    RANGE = 591,
    NAME = 592,
    DIGITS = 593,
    BGP_AIGP = 594,
    AIGP = 595,
    ORIGINATE = 596,
    COST = 597,
    CEASE = 598,
    HIT = 599,
    ADMINISTRATIVE = 600,
    SHUTDOWN = 601,
    PEER = 602,
    CONFIGURATION = 603,
    CHANGE = 604,
    DECONFIGURED = 605,
    CONNECTION = 606,
    REJECTED = 607,
    COLLISION = 608,
    OF = 609,
    MRT = 610,
    FILENAME = 611,
    PERIOD = 612,
    ALWAYS = 613,
    OSPF = 614,
    V2 = 615,
    V3 = 616,
    OSPF_METRIC1 = 617,
    OSPF_METRIC2 = 618,
    OSPF_TAG = 619,
    OSPF_ROUTER_ID = 620,
    AREA = 621,
    RFC1583COMPAT = 622,
    STUB = 623,
    TICK = 624,
    COST2 = 625,
    RETRANSMIT = 626,
    TRANSMIT = 627,
    DEAD = 628,
    BROADCAST = 629,
    BCAST = 630,
    NONBROADCAST = 631,
    NBMA = 632,
    POINTOPOINT = 633,
    PTP = 634,
    POINTOMULTIPOINT = 635,
    PTMP = 636,
    CRYPTOGRAPHIC = 637,
    ELIGIBLE = 638,
    POLL = 639,
    NETWORKS = 640,
    HIDDEN = 641,
    VIRTUAL = 642,
    ONLY = 643,
    LARGE = 644,
    NORMAL = 645,
    STUBNET = 646,
    TAG = 647,
    LSADB = 648,
    ECMP = 649,
    WEIGHT = 650,
    NSSA = 651,
    TRANSLATOR = 652,
    STABILITY = 653,
    GLOBAL = 654,
    LSID = 655,
    INSTANCE = 656,
    REAL = 657,
    NETMASK = 658,
    MERGE = 659,
    LSA = 660,
    SUPPRESSION = 661,
    RFC5838 = 662,
    PE = 663,
    TOPOLOGY = 664,
    STATE = 665,
    PERF = 666,
    EXP = 667,
    REPEAT = 668,
    THRESHOLD = 669,
    MODE = 670,
    PIPE = 671,
    RADV = 672,
    RA = 673,
    SOLICITED = 674,
    UNICAST = 675,
    MANAGED = 676,
    OTHER = 677,
    CONFIG = 678,
    LINGER = 679,
    MTU = 680,
    REACHABLE = 681,
    RETRANS = 682,
    TIMER = 683,
    CURRENT = 684,
    VALID = 685,
    PREFERRED = 686,
    MULT = 687,
    LIFETIME = 688,
    SKIP = 689,
    ONLINK = 690,
    AUTONOMOUS = 691,
    RDNSS = 692,
    DNSSL = 693,
    NS = 694,
    DOMAIN = 695,
    TRIGGER = 696,
    SENSITIVE = 697,
    LOW = 698,
    MEDIUM = 699,
    HIGH = 700,
    PROPAGATE = 701,
    RA_PREFERENCE = 702,
    RA_LIFETIME = 703,
    RIP = 704,
    NG = 705,
    INFINITY = 706,
    TIMEOUT = 707,
    GARBAGE = 708,
    VERSION = 709,
    SPLIT = 710,
    HORIZON = 711,
    POISON = 712,
    REVERSE = 713,
    ZERO = 714,
    PLAINTEXT = 715,
    RIP_METRIC = 716,
    RIP_TAG = 717,
    RPKI = 718,
    REMOTE = 719,
    BIRD = 720,
    PRIVATE = 721,
    PUBLIC = 722,
    KEY = 723,
    SSH = 724,
    TRANSPORT = 725,
    USER = 726,
    EXPIRE = 727,
    STATIC = 728,
    PROHIBIT = 729,
    BLACKHOLE = 730,
    UNREACHABLE = 731,
    KERNEL = 732,
    KRT_PREFSRC = 733,
    KRT_REALM = 734,
    KRT_SCOPE = 735,
    KRT_MTU = 736,
    KRT_WINDOW = 737,
    KRT_RTT = 738,
    KRT_RTTVAR = 739,
    KRT_SSTRESH = 740,
    KRT_CWND = 741,
    KRT_ADVMSS = 742,
    KRT_REORDERING = 743,
    KRT_HOPLIMIT = 744,
    KRT_INITCWND = 745,
    KRT_RTO_MIN = 746,
    KRT_INITRWND = 747,
    KRT_QUICKACK = 748,
    KRT_LOCK_MTU = 749,
    KRT_LOCK_WINDOW = 750,
    KRT_LOCK_RTT = 751,
    KRT_LOCK_RTTVAR = 752,
    KRT_LOCK_SSTRESH = 753,
    KRT_LOCK_CWND = 754,
    KRT_LOCK_ADVMSS = 755,
    KRT_LOCK_REORDERING = 756,
    KRT_LOCK_HOPLIMIT = 757,
    KRT_LOCK_RTO_MIN = 758,
    KRT_FEATURE_ECN = 759,
    KRT_FEATURE_ALLFRAG = 760,
    SYSLOG = 761,
    TRACE = 762,
    INFO = 763,
    WARNING = 764,
    AUTH = 765,
    FATAL = 766,
    BUG = 767,
    STDERR = 768,
    SOFT = 769,
    CONFIRM = 770,
    UNDO = 771,
    LATENCY = 772,
    WATCHDOG = 773,
    CONFIGURE = 774,
    DOWN = 775,
    PERSIST = 776,
    SCAN = 777,
    LEARN = 778,
    DEVICE = 779,
    KRT_SOURCE = 780,
    KRT_METRIC = 781
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 53 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1602 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1619 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6652

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  548
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  409
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1381
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2538

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   781

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    34,     2,     2,     2,    33,     2,     2,
     539,   540,    31,    29,   541,    30,    35,    32,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   544,   538,
      25,    24,    26,   547,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   545,     2,   546,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   542,     2,   543,    27,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    28,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   132,   132,   133,   136,   138,   141,   146,   149,   157,
     158,   159,   165,   166,   167,   170,   170,   175,   176,   177,
     178,   179,   180,   187,   188,   189,   196,   197,   204,   210,
     220,   233,   252,   258,   264,   272,   280,   286,   286,   287,
     287,   288,   288,   291,   292,   293,   294,   295,   296,   303,
     304,   312,   313,   321,   322,   330,   331,   332,   333,   334,
     344,   352,   353,   362,   370,   371,   378,   379,    37,    38,
      39,    40,    41,    42,    43,    44,    48,    49,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    64,    65,    66,
      67,    70,    71,    75,    79,    83,    84,    88,    92,   101,
     102,   106,   110,   114,   121,   122,   126,   127,   128,   129,
     133,   136,   139,   145,   149,   150,   151,   155,   159,   165,
     166,   167,   168,   171,   173,   176,   178,   182,   189,   190,
     192,   198,   204,   204,     9,     9,    10,    10,    11,    11,
     468,   470,   470,   480,   482,   485,   486,   490,   492,   503,
     505,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   556,   558,   565,
     566,   573,   574,   580,   583,   587,   595,   602,   608,   610,
     610,   623,   624,   627,   635,   636,   650,   653,   662,   663,
     676,   677,   678,   679,   680,   684,   692,   693,   694,   695,
     699,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   716,   717,   718,   719,   723,   724,   725,   729,   730,
     731,   732,   733,   734,   735,   736,   741,   742,   743,   744,
     745,   749,   750,   751,   752,   753,   757,   758,   762,   763,
     767,   768,   769,   770,   778,   779,   782,   783,   791,   801,
     802,   806,   810,   811,   812,   816,   817,   818,   819,   823,
     824,   825,   826,   827,   828,   829,   830,   835,   836,   840,
     841,   842,   843,   848,   849,   850,   853,   877,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   908,   909,   910,
     911,   912,   913,   914,   915,   916,   917,   918,   919,   920,
     921,   922,   923,   924,   926,   927,   928,   930,   932,   934,
     936,   937,   938,   939,   940,   941,   942,   943,   944,   945,
     946,   947,   957,   958,   959,   960,   961,   962,   963,   964,
     966,   967,   969,   973,   977,   978,   979,   980,   983,   984,
     985,   994,   997,  1000,  1012,  1016,  1019,  1024,  1027,  1030,
    1041,  1045,  1048,  1049,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1063,  1068,  1069,  1070,  1071,   106,   109,   110,   114,
     115,   116,   117,   127,   129,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   152,   155,   156,   159,   169,
     172,   173,   177,   183,   187,   197,   207,   209,   210,   211,
     212,   213,   214,   215,   219,   225,   230,   231,   232,   233,
     234,   235,   236,   239,   241,   244,   246,   250,   257,   260,
     263,   264,   265,   266,   270,   271,   272,   273,   274,   278,
     279,   283,   286,   287,   292,   295,   296,   297,   298,   302,
     303,   304,   305,   306,   307,   308,   309,   313,   320,   328,
     329,   333,   334,   338,   343,   344,   348,   350,   358,   362,
     363,   368,   370,   377,   378,   379,   380,   381,   385,   393,
     399,   400,   401,   405,   406,   410,   411,   412,   413,   414,
     415,   421,   422,   423,   427,   428,   432,   433,   439,   440,
     443,   445,   449,   450,   454,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   501,   501,   504,   504,   507,   507,
     510,   510,   514,   515,   518,   518,   521,   521,   525,   525,
     529,   535,   540,   546,   552,   559,   570,   581,   586,   591,
     595,   599,   603,   613,   624,   633,   637,   644,   648,   649,
     650,   651,   655,   659,   663,   677,   678,   679,   680,   683,
     684,   685,   690,   691,   692,   693,   694,   695,   696,   697,
     698,   699,   700,   701,   702,   703,   704,   705,   706,   707,
     708,   709,   713,   713,   717,   720,   721,   722,   723,   724,
     725,   730,   730,   732,   732,   734,   734,   736,   736,   738,
     738,   740,   740,   742,   742,   744,   744,   746,   746,   749,
     749,   753,   753,   759,   760,   761,   765,   766,   772,   772,
     774,   774,   776,   776,   778,   778,   780,   780,   782,   782,
     786,   786,   790,   790,   793,   793,   797,   798,   799,   803,
     804,   805,   808,    34,    36,    44,    45,    46,    47,    50,
      52,    56,    60,    74,    94,    95,    96,    97,    98,    99,
     100,   101,   105,   106,   107,   108,   109,   110,   113,   115,
     118,   120,   124,   127,   132,   133,   134,   138,   139,   143,
     144,   147,   166,   166,    32,    34,    42,    43,    44,    45,
      48,    50,    54,    58,    72,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     114,   116,   119,   121,   126,   128,   132,   132,   135,   135,
     138,   138,   141,   141,    46,    48,    77,    79,    80,    83,
      85,    86,    87,    88,    93,    94,    98,    99,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   115,   116,   117,
     118,   119,   123,   124,   130,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   209,   235,
     236,   237,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   276,   278,   281,   283,
     287,   294,   297,   299,   301,   303,   305,   307,   309,   311,
     313,   315,   317,   319,   321,    26,    28,    34,    35,    36,
      37,    38,    39,    40,    41,    44,    46,    50,    53,    53,
      57,    58,    59,    60,    61,    62,   211,   214,   215,   216,
     219,   235,   236,   240,   241,   245,   255,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   275,   290,   293,   295,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   308,   309,   309,   310,
     311,   312,   316,   317,   321,   329,   331,   335,   336,   337,
     341,   342,   345,   347,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   363,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   424,   427,   429,   437,   439,
     440,   443,   445,   449,   450,   453,   463,   484,   486,   490,
     490,   493,   495,   498,   500,   504,   507,   508,   509,   510,
     513,   513,   516,   516,   519,   519,   524,   524,   527,   527,
     532,   532,   535,   535,   539,   539,   548,   551,   552,   553,
     554,   555,   556,   557,   558,    24,    26,    40,    41,    42,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      23,    26,    25,    40,    41,    42,    43,    44,    46,    57,
      58,    59,    60,    61,    61,    62,    62,    63,    64,    67,
      69,    73,    77,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   115,   119,   120,   121,   122,   123,
     124,   124,   125,   125,   126,   127,   131,   132,   133,   136,
     174,   176,   179,   181,   185,   188,   200,   201,   202,   203,
     207,   214,   222,   224,   227,   229,   233,   237,   247,   252,
     253,   254,   258,   270,   272,   276,   277,   281,   294,   299,
     300,   301,   305,   317,   319,   323,   324,   329,   330,   334,
     335,   338,   339,    45,    48,    49,    52,    66,    67,    68,
      69,    70,    71,    74,    76,    80,    84,   108,   138,   139,
     140,   141,   142,   143,   144,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   169,   170,   171,   172,   175,   177,   180,
     182,   186,   189,   190,   194,   194,   197,   197,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    85,    86,    89,    92,    96,   107,   108,   112,
     119,   125,   127,   131,   132,   133,   137,    54,    56,    63,
      64,    65,    66,    67,    75,    79,    84,    89,    92,    95,
      99,   105,   106,   109,   121,   122,   126,   131,   132,   133,
     134,   135,   136,   140,   149,   151,   154,   156,   160,   160,
      22,    25,    26,    29,    30,    31,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    60,
      61,    31,    33,    35,    42,    43,    46,    48,    52,    59,
      60,    64,    65,    69,    70,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    89,    90,    98,   101,   102,
     103,   104,   112,   112,   115,   115,   122,   122,   125,   125,
     128,   128,   131,   131,   134,   134,   139,   139,   144,   145,
     149,   150,   151,    41,    43,    48,    49,    52,    53,    57,
      58,    59,    60,    64,    71,    72,    83,    85,    88,    89,
      92,    93,    94,   101,   108,   111,   113,   116,   118,   122,
     125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'",
  "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO",
  "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST",
  "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP", "TYPE",
  "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT",
  "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "QUIT",
  "EXIT", "HELP", "FUNCTION", "PRINT", "PRINTN", "UNSET", "RETURN",
  "ACCEPT", "REJECT", "ERROR", "QUITBIRD", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE",
  "SCOPE", "DEST", "IFNAME", "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN",
  "IS_V4", "IS_V6", "LEN", "MAXLEN", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER",
  "ID", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "DYNAMIC", "RANGE", "NAME",
  "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION", "CHANGE",
  "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF", "MRT",
  "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2", "V3", "OSPF_METRIC1",
  "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT",
  "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST",
  "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP",
  "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "WEIGHT", "NSSA", "TRANSLATOR", "STABILITY",
  "GLOBAL", "LSID", "INSTANCE", "REAL", "NETMASK", "MERGE", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV", "RA", "SOLICITED",
  "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "RPKI", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'['", "']'", "'?'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "gr_opts", "net_type",
  "table_sorted", "table", "proto_start", "proto_name", "proto_item",
  "channel_start", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "cmd_MRTDUMP", "cmd_RESTRICT",
  "proto_patt", "proto_patt2", "dynamic_attr", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_iface_start",
  "bfd_iface_finish", "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_proto", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@3", "$@4", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@5",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@6", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@7", "$@8", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@9", "$@10", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    61,    60,    62,   126,   279,    43,
      45,    42,    47,    37,    33,    46,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,    59,    40,
      41,    44,   123,   125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -1974

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1974)))

#define YYTABLE_NINF -67

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-67)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     107,  2109,   215,    67,   260,   295,   340,  4712,   793,   793,
     793,   882,   793,   363,   409,  2493,  1776,   149,   793,   145,
     175,   603, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974,   796, -1974, -1974, -1974,   796,   796,  4712,  4007,    83,
     104,   523, -1974, -1974,   -66, -1974,   594, -1974, -1974, -1974,
   -1974,   332,   954, -1974,   600,   325, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,   643, -1974,  3584,
   -1974, -1974, -1974,   994,  3578,   994, -1974,   994, -1974,   994,
    6056,   994, -1974,   994,  2640,   994,  2898,   253,  2616,   994,
   -1974,   994, -1974,   994, -1974,   994,  3270,  5639, -1974, -1974,
   -1974,   994,   994,  1100, -1974, -1974, -1974,    99, -1974, -1974,
     776,   858,   967,   298, -1974,   783,   348,  4712,   908, -1974,
     458,   507, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,   437,   555,   587,   602,   621,   628,   632,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,  2855,   166,   965,   968, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  3378, -1974, -1974,
   -1974, -1974,   150,  1033,  1033,   793,   793,  1192,   165, -1974,
    1215,   862,   207,  1223, -1974,  1252, -1974,   996,   522,   640,
     506,  1243,  1121,  1271,  1273,  1276,  1282,  1289,  1302,  1310,
    1312, -1974, -1974,   665,  1286,  1033, -1974, -1974,  1323,  1288,
    1288,  1325,  1344,   889, -1974, -1974, -1974,  1334, -1974, -1974,
    4021, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974,   972,  1388,  1413,   308,
     150,   231,   247, -1974, -1974, -1974,   165,   903, -1974, -1974,
   -1974, -1974,    96,   923,    69,  1240,   231,   231,   796, -1974,
   -1974, -1974, -1974, -1974,   649, -1974, -1974, -1974,  1015, -1974,
   -1974, -1974, -1974, -1974, -1974,  1462,  1437,   956,  1351,  1030,
     150, -1974,   637,   845,   165,  1242, -1974, -1974,   983,   989,
     997,  1020,  1014,  1028,  1036, -1974, -1974,   121,  1270,  1042,
    1562,   740,    22,   174,   220,   225,  1300,   845,  1030,  1254,
    1422,   459,   254,   186,   401,  1197,  1352,  1326,   434,  1331,
    1350,  1366,  1347,   839,  1336,  1030,  1345,  1341,  1390,  1395,
    1338,  1353,   288,  1030,  1327,   250,  1317, -1974,  1133, -1974,
    1145,  1150,  1148,  1149,  1275,  1518,   237,  1030,  1553,   231,
    1030,  1554,  1355,  1030, -1974,  1363, -1974,   989, -1974,  1170,
    1168, -1974,  1171,  1030,  1699,   152,  1700,   376,  1142, -1974,
    1178, -1974,  1179, -1974,   231,  1692,  1007,  1698,  1558,  1571,
   -1974,  1199,  1200,  1194,  1202,  1214,  1217,  1663,  1466,  1599,
   -1974,  1228,  1229,   876,  1227,  1597,   231,  1442,  1617,  1030,
    1499,  1030, -1974, -1974, -1974,  1247,  1249,  1239,  1250, -1974,
    1504, -1974, -1974,  1253,    43, -1974,    99,  4712,   176,    99,
      99,  1774, -1974,  1778, -1974,  1779,   776,  1764, -1974, -1974,
    4712,  1769,   514,  1770,  1768, -1974, -1974, -1974,  1698,  4712,
    4712,  4712,  4712,  4712,  4712, -1974, -1974,  1789, -1974,  1264,
     213, -1974, -1974,  1764, -1974, -1974,  2043, -1974, -1974,    78,
   -1974,  1799, -1974, -1974, -1974, -1974,   501, -1974,   525,  1792,
    1794, -1974,  4712,  4712,  4712,  4712,  4712,  4712,  4712,  4712,
    4712,  4712,  4712,  4712,  4712,  4712,  2708, -1974, -1974,  1246,
    1808, -1974,  1809,  1816,  1819,  1820, -1974, -1974, -1974,   488,
    1823, -1974, -1974, -1974,   924,  1835, -1974,  1836, -1974,  4492,
   -1974,  2239,  1243,  1243,  1243,  1243,  1243, -1974,  1243,  1243,
   -1974,   227,   388,  1838,  1243,  1243,  1840,  1841, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974,   505, -1974, -1974,  1842,  1845,
     762, -1974,  1846,   889, -1974, -1974,   231,  1849,  4712,  1322,
   -1974, -1974,  1328,  1324,  1329, -1974, -1974, -1974, -1974,  4712,
    1343, -1974, -1974, -1974,  4712, -1974, -1974, -1974, -1974, -1974,
     231, -1974, -1974,  1348, -1974,   231,  1090, -1974,  1515, -1974,
     231,  -108,   231,  1290, -1974, -1974,  1659, -1974, -1974,   994,
   -1974, -1974,  1860, -1974,   237, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,  1030, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974,  1587,  1605,  1197, -1974,  1357,   231,   231, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974,   191,  1359,  1369,   -45,
     564,  1574,  1030,  1681,  1376,  1379, -1974,  1380, -1974, -1974,
   -1974,  1203,  1863,   265,  1863,   206,  1030,   231,  1613,  1635,
     231,  1639,  1030,  1640,  1030,  1777,  1030,  1383,  1030,  1030,
    1030,  1030,  1030,  1030,  1697,  1030,  1386,  1030,  1030,  1393,
      56, -1974, -1974, -1974, -1974, -1974, -1974,  1030,   942, -1974,
   -1974,  1030, -1974,  1762,   231,  1030, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974,  1920,  1922, -1974,   231,   231,
   -1974, -1974, -1974, -1974, -1974,  1918,  4712, -1974, -1974,   142,
    1766, -1974, -1974,   142, -1974, -1974, -1974,   142,  1698, -1974,
   -1974, -1974, -1974, -1974, -1974,   858,   967, -1974, -1974, -1974,
    1030,  1698, -1974, -1974, -1974,  1307, -1974,  1197, -1974, -1974,
   -1974,   271,  1654, -1974,  1407,  1030, -1974,  1030,   231, -1974,
     231, -1974, -1974, -1974, -1974, -1974, -1974, -1974,   231, -1974,
    1931, -1974, -1974,   902, -1974, -1974,   563, -1974, -1974, -1974,
   -1974,  1900,  1936,   815,  4021, -1974,  1818,  1923, -1974, -1974,
   -1974,   824,   940,   364,   414,   442,   476,   978, -1974,  4712,
   -1974,  4712,  1414,    18,  1415,  1087, -1974, -1974,  1939,   287,
     176, -1974,   967, -1974,  1732,  1735,  2979,  2979,  2979,  3723,
    3723,  2979,  2979,  2979,  2979,  2979,  1041,  1041,  1768,  1768,
   -1974, -1974, -1974, -1974,  1424, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,   516, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,   544, -1974, -1974,
    1963, -1974, -1974, -1974,  1918,  1947, -1974,  1810,  1812,   400,
   -1974, -1974, -1974, -1974,  1427, -1974, -1974, -1974, -1974,  1951,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1970,  1033,  1033,
    1033,  1033,  1033,  1033,   850,  1243,  1033,  1243,  1033, -1974,
    1033,  1033, -1974, -1974,   665, -1974, -1974, -1974, -1974,  1918,
    1043,   845, -1974, -1974,  1971, -1974, -1974,  1387,  1432, -1974,
    2047, -1974, -1974, -1974,   845,  1956, -1974,  1444,  1123, -1974,
    1311, -1974, -1974,  1961,  1332,  1337,   845, -1974,   845, -1974,
   -1974,   665,  1447,  1449, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,  1959, -1974,  1450,  1452,   805, -1974,  2035,  3412,
     231,   231,  1456, -1974,  1457,  1460,  1030,   240, -1974, -1974,
    1825,  1721,   231,  1464,  1467,  1030,  1469,  1030, -1974, -1974,
   -1974, -1974, -1974, -1974,   796, -1974,   231,   231, -1974, -1974,
   -1974, -1974,   231,   231, -1974,  1470,  1471,   231,   231,  1473,
     231,  1474,   231,  1479,   237,  1486, -1974,  1487,  1488,  1492,
    1495,  1496,  1501,   342,  1505, -1974,  1508,  1511, -1974,   231,
    1512,  4014, -1974,  2513, -1974,   231, -1974, -1974, -1974,   231,
   -1974, -1974, -1974,  1969, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974,  4021, -1974,  1833, -1974,  1030, -1974, -1974,  1513,  3485,
    3715,  2516,  1519,  1526, -1974,  1863,  1964,  2001,  1030,   231,
    1030,   271,  4967, -1974, -1974,  1857, -1974, -1974,  1450,  1524,
   -1974,    99, -1974,    99,  2034, -1974, -1974,  4712,  2037,  2038,
   -1974, -1974, -1974,  4712, -1974,  4712,  4712,  4712,  4712, -1974,
     605,   310,  3172,  4712,  3480,  4712, -1974,  1528,  4712, -1974,
   -1974, -1974,  2055,  2056,  4712,  1246, -1974,   488, -1974, -1974,
   -1974, -1974,  2058,  2059, -1974, -1974,   776,   264,  1374, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  2040, -1974,  2082,
    2083,  2084,  2085,  2090,  2091, -1974, -1974,  2093,   237, -1974,
   -1974,   237, -1974,   237,  1033,  2102,  1033,  2106,  2107,  2108,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  4007, -1974,
    5477,   972,  1572,  1573,  1450, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974,   550, -1974, -1974, -1974,  2094,
   -1974, -1974, -1974,  1580, -1974, -1974,  1197, -1974, -1974,  1586,
   -1974,  1981, -1974, -1974, -1974,  1590,  1598,  1616, -1974, -1974,
   -1974,  1624,   810, -1974,  1625,   834,   231,  1626, -1974, -1974,
    1627, -1974,  1628,   416, -1974,   453, -1974, -1974,   266, -1974,
   -1974, -1974, -1974,  1632,  1637, -1974,  1638, -1974,  1647, -1974,
    1650, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1651,
   -1974, -1974, -1974,  1652, -1974,  1852,  1865,  1610,  1503,  1854,
    2003,  1883,  2039,   -42,  1030,  2145,  1030,   674,   231, -1974,
   -1974,  1662,  1918,  1103,   845,   231,  2076, -1974, -1974, -1974,
    1664, -1974, -1974, -1974,   775,  1030, -1974,   901, -1974,  1929,
    1203, -1974,  1068, -1974,  1673, -1974,  1800,  1377, -1974, -1974,
   -1974,  1119, -1974, -1974, -1974,  1119,  2053, -1974, -1974, -1974,
    1676, -1974,  1030,   231, -1974, -1974, -1974,  1677,   231,  2041,
    2041,  1497,   -23,  2041, -1974, -1974, -1974,  1678, -1974, -1974,
   -1974, -1974,  2001, -1974, -1974,  2186, -1974, -1974, -1974,     2,
    4712,  4712,  1690,  4712, -1974, -1974, -1974, -1974,  4712,  4712,
    2206,  1693,  1694, -1974,  1696,  2212,  4712, -1974,   454, -1974,
     231, -1974, -1974, -1974, -1974, -1974,  2205,  4021,  2208, -1974,
    1985,  1231,   710,  1358,  1440,  1478,  1536,  4712, -1974,  4712,
     869,    12,  4021,  1702,   880,    16,  1704,  2225,  1087, -1974,
   -1974,  1589, -1974, -1974,  2218,  2219,  2223,   776,  1764,  2860,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
    2244, -1974,  2252, -1974, -1974, -1974,   972,  1714, -1974,  5477,
   -1974,  1724, -1974,  2246, -1974,  1213,  1248, -1974, -1974, -1974,
   -1974, -1974,  1731, -1974,    39, -1974, -1974, -1974, -1974,  2129,
   -1974,   231, -1974, -1974,  2112,  1911, -1974,    72,  1924,  1926,
    1092,   657, -1974, -1974,  1749,  1750,  1751, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
     733,   309,  1030,  1030,   -14,  1030,   713,  1698, -1974, -1974,
   -1974,  2015, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,  2016, -1974, -1974, -1974,   231,   231,  1030, -1974,
    1760,   231, -1974,  1775,   237, -1974, -1974,  1788,   231, -1974,
   -1974,   231,  1791, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
    1804, -1974, -1974, -1974,   108,    -2, -1974,  1030, -1974, -1974,
   -1974,  2140, -1974, -1974, -1974, -1974,   231,   231, -1974, -1974,
   -1974,  2267, -1974, -1974, -1974,   231, -1974,  2186,  2301,  4712,
     831,  1796,  1817,  6115,  2398,  3226,   144,  4712, -1974, -1974,
   -1974,  4712,  1821,  4712,  1112, -1974,   118,  2335,  2282, -1974,
   -1974, -1974, -1974,  2300, -1974, -1974,  1433,  2299, -1974, -1974,
   -1974, -1974, -1974,   114,  2324,  2324,  1203,  1830, -1974, -1974,
     114,  2324,  2324,  2324,  1119,  1831,  4712, -1974, -1974, -1974,
   -1974,  1695,  1723, -1974,  2330,  4712, -1974,  3788, -1974,  2339,
    4712,  2365,  4096,  4404,  1832, -1974,  2860,  2860, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,   696, -1974, -1974, -1974,  1843,   776,  1764, -1974,
   -1974, -1974, -1974,  1731, -1974, -1974,   796,   845,  2114,  1839,
    1030,  1850,  2029,  2148, -1974, -1974, -1974, -1974, -1974, -1974,
     810, -1974, -1974, -1974, -1974,   689,   689,  1197, -1974, -1974,
   -1974, -1974, -1974,  2222,  2118, -1974, -1974, -1974, -1974, -1974,
    1030,  1030,  1450,  1858, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1859, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1861,   231, -1974,
   -1974, -1974, -1974,  1862, -1974, -1974,  2428,  4712, -1974, -1974,
    1871, -1974,  5222, -1974,  2456,  4712,  5587,  2495, -1974,  2591,
    1853,  1873,  1874,  1864,  1875,  1197, -1974,  1877, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,  2392,   231,  1489, -1974,  1879, -1974,    48,   231,
    1510,    50, -1974, -1974,  1489,    48,    50,    48,  2351, -1974,
    1805, -1974, -1974,  1891,  1892,   982,    24,  1895,   993,  1902,
    1903,    40,  1904,    45, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974,  1099, -1974, -1974, -1974,  1197,  2189, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
    1030,   231, -1974, -1974,  1800, -1974, -1974,    82,   126,   259,
    1111,  1012, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,  1908,  5477,  2341, -1974,    80, -1974,  4021,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  4712,  4712,  4712,
   -1974,  4712, -1974, -1974,   231, -1974, -1974,   231,  1660,   231,
   -1974,  2324,  2324,  2415, -1974, -1974, -1974, -1974, -1974,  2324,
    2324,  2433, -1974, -1974, -1974, -1974,  2418,  4712, -1974, -1974,
   -1974,  2419,  4712, -1974,  4712,  2444, -1974,  4712, -1974, -1974,
     845,  1030,  1919,  1301,  2209,   231,   231,   868, -1974, -1974,
   -1974,  1927,  1932, -1974,  1030, -1974,  1259, -1974, -1974, -1974,
   -1974,  5943, -1974, -1974, -1974,  -276, -1974,  1030,   231,  1030,
   -1974,  1933,   231,   214,   231,   231,  2183,   238, -1974, -1974,
    1935,  2030,  2032,  1030,  1030,  1030, -1974,  1940,  2489, -1974,
     402,   244,  2450, -1974,   393, -1974,  1934,  5222,  5477, -1974,
   -1974,  2043, -1974, -1974,  2472, -1974, -1974, -1974, -1974,   189,
    1949,  1952,  1847,  2072,  2196,  2240, -1974,  1879,   231, -1974,
     231,   231,   231,  1510,  1510, -1974,  1950,  1955,  1957,  1958,
    1960,  1953,  1968, -1974, -1974,  2318,  2255,  2256,  2257, -1974,
   -1974, -1974,  1354, -1974,  2312, -1974,  1298, -1974, -1974,   231,
    2238,  1333,   231,  2243,   592,   231,  2263,  2264,  2287, -1974,
    1991,  1514,   231,  1989,  1030,  2292,  1018,   366,   231,   231,
    2294,  2150,  2245,  2182,   231,  1030,   231,  2281,   241,  2158,
     231,  2167,  2191, -1974, -1974,  2036, -1974,   231,  2045, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,   231,
     231, -1974, -1974,   231,   231, -1974, -1974, -1974, -1974,    46,
      73,    81,  2152,    27,  2141,  2155,  1030,  2151,  2306,  2153,
    2315,  2328,  2332, -1974,  2057,   338,  1197, -1974,  2066,   338,
    2571, -1974,  2067,   231,  1030,  1030,  2323,  1039,    71,   231,
    2316,   -85,  1197,  2280,  2201,   440,  2329,  2331,   504,  2143,
    2139, -1974, -1974,  2075,  2136,  2147,   845, -1974,  2087, -1974,
   -1974, -1974,  2269,   133,   148,  5477,  2089,  4712,  2092,  2095,
    2096,  2097, -1974,  2599,  2600, -1974, -1974, -1974, -1974, -1974,
   -1974,  4712, -1974,  4712, -1974,  2098,  2099,   231,   231,   231,
   -1974, -1974,  1421,  2614,   188,   231,  2614,  1436,   448,  2100,
   -1974,  1472, -1974, -1974, -1974,   231,   231,   231,   231,   231,
   -1974, -1974,   231,   231,  1030, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,   127,   231,   231,
   -1974, -1974, -1974, -1974, -1974, -1974,  1030,  2221,   344,  1030,
   -1974, -1974, -1974,   231,   231, -1974,  1030, -1974,   231,  1030,
   -1974, -1974, -1974, -1974, -1974,  2192,  2192,  2362, -1974,   981,
     231,   981,  2364,   231,  2393,   231,  2396,   231,  2220, -1974,
    1030,   231,   231,  2482,  1030,   108,  1030,    -2, -1974,   231,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,   231,   231,   231, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,   231,  1030,  1030, -1974,   958,   231, -1974, -1974,
     231,   231,  1030, -1974,  1030,  1030, -1974,  2175,  2176, -1974,
   -1974, -1974, -1974,  4712, -1974, -1974, -1974, -1974,  2297, -1974,
   -1974, -1974, -1974,   231,   231,  2116,  2117, -1974,  2318, -1974,
   -1974, -1974, -1974, -1974, -1974,  2121,  2614,  2614,  2125,  2128,
    1212,  1349,  2130,  2614,  2614, -1974,  1197,  1197, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974,   141, -1974, -1974, -1974,
   -1974, -1974, -1974,  1030,  2268, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,  1030, -1974, -1974,   231, -1974, -1974, -1974, -1974,
    2192, -1974,   231,  2192,   231, -1974,   231, -1974,  1030, -1974,
   -1974, -1974,   231, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974,  2271, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974,   845,   845,  2269,  2135, -1974, -1974, -1974,  4712,
   -1974,  1298,  2137,  2146,  1298,  1298, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974,  1298,  2149,  2154, -1974,
   -1974, -1974,  2296, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  2133,
   -1974,  1298,  1298, -1974, -1974, -1974,  1298,  1298, -1974,  2156,
    4712, -1974, -1974, -1974, -1974, -1974,  2157, -1974
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1348,     0,     3,   134,   136,   138,   514,   516,   518,   520,
     524,   526,   528,   582,   591,   593,   595,   597,   599,   601,
     603,   605,   607,   609,   611,   618,   620,   622,   624,   626,
     628,   630,   632,   634,   682,   716,   718,   720,   722,   878,
    1020,  1022,  1024,  1026,  1028,  1030,  1032,  1034,  1204,  1206,
    1268,  1332,  1334,  1336,  1338,  1340,  1342,  1344,  1346,     1,
       2,     0,   384,   382,   383,     0,     0,     0,     0,     0,
       0,     0,   390,   391,     0,   375,   376,   378,   379,   380,
     381,     0,     0,  1302,     0,     0,     6,     5,     7,   140,
     143,   145,   147,   149,   178,   366,   373,     0,   385,     0,
     431,   434,   389,   392,   396,   392,   643,   392,   684,   392,
     396,   392,   865,   392,   396,   392,   396,     0,   396,   392,
    1067,   392,  1153,   392,  1208,   392,   396,   396,  1301,  1324,
    1327,   392,   392,   396,   135,   137,   139,   258,   259,   268,
     188,   189,   264,   277,   262,     0,     0,     0,     0,   278,
       0,     0,   281,   260,   261,   279,   280,   282,   283,   284,
     285,   286,   307,     0,     0,     0,     0,     0,     0,     0,
     642,   715,   853,   856,   855,   852,   854,   857,   858,   859,
     862,   864,   860,   861,   863,  1016,  1017,  1018,  1019,  1151,
    1152,  1202,  1203,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,  1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,
    1300,  1380,  1381,     0,     0,    37,    38,    47,    39,    40,
      41,    42,    48,    43,    44,    45,   265,   132,   133,    46,
     263,   272,   305,   306,   333,   304,   308,     0,   309,   636,
     638,   637,     0,    67,    67,     0,     0,     0,     0,   635,
       0,   640,     0,     0,   530,     0,   584,     0,     0,   523,
       0,   523,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   614,   613,     0,   616,    67,   880,  1349,     0,  1348,
    1348,     0,     0,  1350,  1345,    16,    15,     0,   179,   141,
     144,   151,   152,   153,   155,   154,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,     0,     0,     0,     0,
       0,     0,    22,   377,    65,    64,     0,     0,   436,   435,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   462,
     725,   644,   685,   866,   887,  1046,  1061,  1068,  1154,  1209,
    1238,  1354,  1367,   890,  1156,     0,   393,     0,     0,    22,
       0,   468,     0,     0,     0,     0,   461,   404,     0,   415,
       0,     0,     0,     0,     0,   816,   817,     0,     0,     0,
       0,     0,   806,   807,     0,     0,     0,     0,    22,     0,
       0,     0,    22,     0,   729,   726,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,   724,     0,   818,
     848,     0,     0,     0,     0,     0,     0,    22,     0,     0,
      22,     0,     0,    22,   886,   893,   897,   415,   898,     0,
       0,   911,     0,    22,     0,     0,     0,     0,     0,  1045,
       0,  1050,     0,  1063,     0,     0,     0,     0,     0,     0,
    1060,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1237,     0,     0,  1257,  1266,     0,     0,     0,     0,    22,
       0,    22,  1353,  1359,  1360,     0,     0,     0,     0,  1373,
       0,  1366,  1370,     0,   258,   277,   258,     0,     0,   258,
     258,     0,   249,     0,    29,     0,     0,     0,    32,    33,
     273,     0,     0,     0,   302,    36,   127,   127,     0,     0,
       0,     0,     0,     0,     0,   211,   212,     0,   214,     0,
       0,   190,   193,   189,   192,   195,     0,    37,    38,   240,
     191,   229,   226,   227,   228,   236,     0,   244,     0,     0,
       0,   610,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   471,   470,     0,
       0,    66,     0,     0,     0,     0,   625,   482,   481,     0,
       0,  1347,   639,   641,   640,     0,   525,     0,   517,     0,
     515,     0,   523,   523,   523,   523,   523,   522,   523,   523,
    1036,   523,   523,     0,   523,   523,     0,     0,   604,   596,
     606,   598,   592,   594,   600,   602,  1320,  1315,  1318,  1316,
    1317,  1319,  1321,  1322,  1323,     0,  1313,   617,     0,     0,
       0,  1341,     0,  1350,  1337,  1339,  1351,     0,     0,     0,
     171,   166,     0,     0,     0,   369,   371,   372,   457,     0,
       0,   432,     9,    11,     0,   433,    18,    20,    19,    21,
       0,    17,  1328,     0,  1326,   439,     0,   447,  1305,  1310,
    1306,     0,     0,     0,  1331,  1330,   386,   888,   889,   392,
    1155,   394,     0,   463,     0,   397,   398,   448,   403,   402,
     401,   399,    22,   464,   413,   417,   465,   466,   649,   690,
     747,     0,     0,     0,   763,     0,     0,     0,   810,   808,
     811,   809,   812,   814,   813,   815,     0,     0,     0,     0,
      22,     0,    22,     0,     0,     0,   764,     0,    23,    24,
      25,     0,    26,     0,    26,     0,    22,     0,     0,     0,
       0,     0,    22,     0,    22,     0,    22,     0,    22,    22,
      22,    22,    22,    22,     0,    22,     0,    22,    22,     0,
       0,   748,   846,   850,   749,   875,   891,    22,    22,   912,
     899,    22,   909,   906,     0,    22,   900,   894,   895,   417,
     892,   914,  1047,  1057,  1056,     0,     0,  1053,     0,     0,
    1058,  1059,  1049,  1048,   411,   171,     0,   422,   423,     0,
       0,   421,   406,     0,   407,   419,   405,     0,     0,  1064,
    1065,  1079,  1163,  1211,  1239,     0,     0,    54,    53,  1253,
      22,     0,  1240,  1241,  1259,     0,  1258,     0,  1262,  1260,
    1261,  1251,  1254,  1264,     0,    22,  1272,    22,     0,  1361,
       0,  1363,  1270,  1356,  1355,  1368,   448,  1371,     0,  1369,
       0,   252,   255,     0,   188,   189,     0,   256,   257,   251,
      28,    30,     0,     0,   274,   322,     0,     0,   323,   128,
     129,     0,     0,     0,     0,     0,     0,     0,   213,     0,
     287,     0,     0,     0,     0,   200,   241,   242,     0,     0,
       0,   266,     0,   267,     0,     0,   299,   297,   295,   292,
     293,   294,   296,   298,   300,   301,   288,   289,   290,   291,
     317,   311,   312,   313,     0,   316,   310,   314,   315,   319,
     320,   321,   475,   476,   477,   479,   480,   478,     0,   473,
     631,   623,   619,   627,   629,   486,   487,     0,   484,   633,
       0,   519,   527,   529,   171,     0,   539,     0,   560,     0,
     541,   540,   545,   546,     0,   559,   561,   531,   538,     0,
     583,   586,   587,   588,   589,   585,   590,     0,    67,    67,
      67,    67,    67,    67,     0,   523,    67,   523,    67,  1021,
      67,    67,  1269,   608,     0,   615,   612,   621,   879,   171,
       0,     0,   884,  1343,     0,  1352,  1333,     0,   167,   171,
       0,   142,   173,   146,     0,     0,   448,     0,     0,   367,
       0,  1329,  1325,     0,   441,   444,     0,  1309,     0,  1308,
    1311,     0,     0,     0,    12,    13,    14,   387,   388,  1062,
     395,   400,   451,   454,   469,     0,     0,   418,   396,   396,
       0,     0,     0,   755,     0,     0,    22,    22,   789,   791,
       0,     0,     0,     0,     0,    22,     0,    22,   805,   804,
     765,    52,    51,   729,     0,   729,     0,     0,   732,   733,
     752,   726,     0,     0,   750,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   788,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,   759,     0,
       0,     0,   851,   396,   901,     0,   904,   903,   902,     0,
     910,   908,   896,     0,  1051,  1052,  1055,  1054,   174,   175,
     420,   176,   430,   424,   409,    22,   410,   408,     0,   396,
     396,   396,     0,     0,  1246,    26,  1255,     0,    22,     0,
      22,  1252,     0,  1244,  1364,  1357,  1271,  1362,   456,  1377,
    1372,   258,   250,   258,     0,    30,   276,     0,     0,     0,
     123,   125,   330,     0,   303,     0,     0,     0,     0,   332,
       0,     0,     0,     0,     0,     0,   194,     0,     0,   230,
     237,   245,     0,     0,     0,     0,   472,     0,   483,   521,
     537,   544,     0,     0,   533,   534,   557,   558,     0,   554,
     555,   556,   550,   548,   549,   532,   547,   542,   683,     0,
       0,     0,     0,     0,     0,  1035,  1044,     0,     0,  1039,
    1042,     0,  1037,     0,    67,     0,    67,     0,     0,     0,
    1314,   883,   882,   881,   885,  1335,     8,   169,     0,   180,
     181,     0,     0,     0,   458,   368,   370,    10,   440,   442,
     443,   445,   446,  1304,  1307,     0,  1303,   374,   452,    67,
     448,   467,   416,     0,   652,   652,     0,   651,   645,     0,
     693,     0,   692,   686,   687,     0,     0,     0,   776,   775,
     774,     0,     0,   734,     0,    22,     0,     0,   797,   796,
       0,   786,     0,     0,    27,     0,   730,   731,     0,   727,
     728,   803,   761,     0,     0,   780,     0,   769,     0,   757,
       0,   758,   772,   792,   771,   770,   802,   773,   793,     0,
     795,   768,   760,     0,   766,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,    22,    22,     0,   849,
     822,     0,   171,     0,     0,     0,     0,   877,   871,   867,
       0,   905,   907,  1006,     0,    22,   927,    22,   925,     0,
       0,   917,    22,   913,     0,   931,  1007,     0,   429,   412,
    1066,     0,  1082,  1073,  1075,     0,     0,  1081,  1069,  1070,
       0,  1166,    22,     0,  1165,  1157,  1158,     0,     0,  1222,
    1222,     0,     0,  1222,  1210,  1213,  1214,     0,  1217,  1242,
    1243,  1245,     0,    60,    61,  1247,  1250,  1249,  1248,     0,
     338,   338,     0,     0,   335,   336,   337,   334,     0,     0,
       0,     0,     0,  1267,     0,     0,   338,  1263,     0,  1265,
       0,  1365,  1375,  1379,   253,   254,     0,   275,     0,   324,
       0,     0,     0,     0,     0,     0,     0,     0,   269,     0,
       0,     0,   200,     0,     0,     0,     0,     0,     0,    34,
      35,     0,   474,   485,     0,     0,     0,   551,   552,     0,
     723,   717,   719,   721,  1025,  1023,  1040,  1043,  1038,  1041,
       0,  1027,     0,  1031,  1205,  1207,     0,     0,   184,   182,
     183,     0,   148,     0,  1312,   449,     0,   453,   455,   414,
     448,   646,   670,   647,   674,   648,   650,   448,   688,     0,
     691,     0,   781,   783,     0,     0,   738,     0,     0,     0,
       0,     0,   736,   784,     0,     0,     0,   798,   785,   787,
     754,   753,   751,   779,   778,   762,   777,   756,   794,   767,
       0,    22,    22,    22,     0,    22,     0,     0,   830,   831,
     832,     0,   826,   843,   842,   844,   847,   870,   869,   868,
     872,   873,     0,   876,   448,   930,     0,     0,    22,   918,
       0,     0,   916,     0,     0,   934,   929,   933,     0,   923,
     915,     0,   941,   425,   426,   427,   428,    50,    49,  1115,
    1124,  1072,   448,  1071,     0,     0,  1077,    22,  1080,   448,
    1162,  1159,  1161,  1164,  1224,  1223,     0,     0,    25,  1226,
    1225,  1215,  1229,  1230,  1218,     0,  1212,  1256,     0,     0,
     339,     0,     0,     0,     0,     0,     0,     0,   361,   361,
     352,     0,     0,     0,     0,  1358,     0,     0,     0,    80,
      91,    92,    78,     0,    81,    82,     0,     0,    85,    86,
      89,   130,    87,     0,   104,   104,     0,     0,    90,   131,
       0,   104,   104,   104,     0,     0,     0,   327,   328,   326,
     329,     0,     0,   209,     0,     0,   207,     0,   203,     0,
       0,   201,     0,     0,     0,   318,     0,     0,   553,   579,
     577,   578,   562,   565,   569,   572,   575,   576,   563,   564,
     566,   567,   568,   570,   571,   573,   574,   580,   581,   543,
    1029,  1033,     0,   177,   185,   172,     0,    57,    58,    59,
      55,    56,   450,   670,   668,   653,     0,     0,   677,   712,
      22,     0,     0,     0,   742,   740,   741,   744,   743,   745,
       0,   735,   800,   799,   801,    22,    22,     0,   837,   838,
     839,   840,   841,     0,     0,   833,   827,   828,   829,   845,
      22,    22,  1009,  1013,   920,   921,   919,   994,   922,   994,
     955,   935,   924,  1008,   942,  1122,  1121,  1112,  1128,  1127,
    1135,  1074,  1137,  1138,  1145,  1076,  1078,  1199,     0,  1220,
    1219,  1216,  1227,     0,  1221,    62,     0,   338,   350,   351,
       0,   344,     0,   246,     0,     0,     0,     0,   349,     0,
       0,     0,     0,     0,     0,     0,  1378,     0,    31,   325,
      79,    83,    84,    88,    74,    72,    70,    69,    71,    73,
      68,    75,    97,     0,   114,    99,    95,   105,   115,     0,
       0,   116,   113,   124,   119,   120,   121,   122,   117,   126,
       0,   270,   271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   243,   535,   536,   168,   170,   150,
     653,     0,   673,   675,   676,     0,   679,   710,   694,   689,
     782,   739,   746,   737,   820,   821,   819,   825,   824,   823,
      22,     0,   836,   874,  1007,  1011,  1015,     0,     0,     0,
     944,     0,  1126,  1110,  1109,  1133,  1143,  1197,  1167,  1160,
    1231,   343,   340,     0,   181,   341,   186,     0,   347,   361,
     362,   363,   364,   361,   365,   346,   345,     0,     0,     0,
     354,     0,  1374,  1376,     0,    93,    77,    76,     0,     0,
      76,   104,   104,     0,   106,   107,   108,   109,   110,   104,
     104,     0,   331,   224,   208,   206,     0,     0,   204,   222,
     202,     0,     0,   220,     0,   218,   217,     0,   215,   672,
       0,    22,     0,     0,     0,     0,     0,     0,   671,   661,
     489,   493,     0,   678,    22,   681,   695,   714,   834,   835,
    1010,     0,   928,   997,   995,   998,   926,    22,     0,    22,
     932,     0,     0,     0,     0,     0,     0,     0,   940,   954,
       0,     0,     0,    22,    22,    22,  1125,     0,     0,  1114,
    1129,  1139,     0,  1201,     0,   348,     0,     0,   181,   196,
     199,     0,   353,   198,   234,   231,   232,   233,   238,     0,
       0,     0,     0,     0,     0,     0,    98,    96,     0,   100,
       0,     0,     0,     0,     0,   118,     0,     0,     0,     0,
       0,     0,     0,   494,   659,   490,     0,     0,     0,   654,
     658,   662,     0,   663,     0,   660,   495,   669,   680,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   713,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,  1014,   993,     0,   999,     0,     0,   938,
     939,   937,   936,   948,   951,   952,   953,   945,   946,     0,
       0,   949,   943,     0,     0,  1116,  1117,  1118,  1123,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,  1100,  1102,  1113,     0,     0,     0,  1132,     0,     0,
       0,  1142,     0,     0,    22,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,  1192,     0,     0,     0,     0,  1236,     0,   187,
     342,   248,   200,     0,     0,   181,     0,     0,     0,     0,
       0,     0,    94,     0,     0,   101,   112,   111,   223,   205,
     221,     0,   219,     0,   216,     0,     0,     0,     0,     0,
     664,   665,     0,     0,     0,     0,     0,     0,     0,     0,
     696,     0,   699,   700,   698,     0,     0,     0,     0,     0,
     705,   697,     0,     0,    22,   711,   963,   964,   965,   966,
     967,   968,   969,   970,   960,  1001,   992,     0,     0,     0,
     987,   981,   982,   983,   957,   974,    22,     0,    22,    22,
     956,   976,   959,     0,     0,   961,    22,   958,     0,    22,
    1012,  1000,   996,   947,   950,  1149,  1149,     0,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1087,
      22,     0,     0,     0,    22,     0,    22,     0,  1111,     0,
    1147,  1131,  1130,  1136,  1134,  1141,  1140,  1146,  1144,  1173,
    1171,  1190,     0,     0,     0,  1185,  1193,  1196,  1195,  1194,
    1191,  1168,     0,    22,    22,  1172,    22,     0,  1169,  1170,
       0,     0,    22,  1174,    22,    22,  1198,     0,     0,  1235,
    1228,  1232,   197,     0,   235,   239,   247,   359,     0,   356,
     357,   355,   358,     0,     0,     0,     0,   488,   490,   655,
     656,   657,   666,   667,    63,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   492,     0,     0,   703,   704,
     460,   459,   706,   701,   702,   707,     0,   985,   984,   986,
     989,   988,   977,    22,     0,   990,   975,   973,   962,   972,
     978,   971,    22,  1119,  1120,     0,  1106,  1107,  1108,  1095,
    1149,  1096,     0,  1149,     0,  1085,     0,  1089,    22,  1088,
    1090,  1091,     0,  1104,  1101,  1105,  1103,  1148,  1183,  1184,
    1186,  1179,  1189,  1178,     0,  1187,  1182,  1180,  1181,  1175,
    1176,  1177,     0,     0,     0,     0,   103,   102,   210,     0,
     491,   495,     0,     0,   495,   495,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   495,     0,     0,   708,
     709,   980,  1003,  1002,   979,   991,  1150,  1097,  1093,  1098,
    1094,  1084,  1083,  1086,  1092,  1188,  1234,  1233,   360,     0,
     500,   495,   495,   502,   501,   503,   495,   495,  1004,     0,
       0,   498,   499,   496,   497,  1005,     0,   225
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1974, -1974, -1974, -1974, -1974,  -329,  -350,   -68,   817,  -410,
    -662, -1974,  -140,  -156,  1717,  1719,  1722, -1974, -1974, -1974,
    -242, -1974, -1974,  -179, -1305,  -741,  2086, -1974, -1974,  1278,
   -1497,  -353,  -169,   743,  -660, -1974,  1237,  1245,  1255, -1974,
    1258,  1024,   748,   752,  -478, -1083,  -426,  1029, -1974, -1974,
   -1974, -1974,  2177, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  -745, -1974,
   -1974, -1974,  2061,  -899,  -568,  1705, -1974, -1974, -1799,  1219,
   -1974,   679,  -235,  1822,   517, -1149, -1759,  2486, -1718, -1606,
    1827,   521,  2226, -1974,  1826, -1974, -1974, -1974, -1974,  -463,
   -1974, -1974, -1974, -1159,  -149, -1123,    -7, -1974, -1219, -1146,
   -1421, -1974, -1974,  -431, -1974,   130, -1974, -1974, -1974,   -58,
     -98, -1974,  -595, -1974,  2283,  1942,  -112,  -527,  -455, -1974,
    -178, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1463,  -693,
    -400, -1974, -1974, -1522, -1974, -1974, -1974, -1974, -1974,   284,
   -1974,  1540,   569, -1974,  1539, -1390,   359, -1973, -1974,  -132,
   -1974, -1974, -1974, -1974, -1974,  -212, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,   -57, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1198,  2144,
   -1129, -1974, -1974, -1974, -1974,  1465,   859, -1974, -1974, -1974,
    1008, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,  1665,   160, -1974, -1974,   995, -1974, -1974,
   -1974,   987, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974,   969, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974,   840, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974,   450, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974,   608,   586, -1974, -1974, -1974, -1974,
     443,   591, -1974, -1974, -1974, -1974,   446,   597, -1688, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974,  -663,  1146, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,  1930, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974,  1737,  1782, -1974, -1974, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974,  1342,  2126, -1974, -1974,
   -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974, -1974
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   107,   108,   681,   694,   376,  1906,  1799,
    1085,   524,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,  1609,  2013,   839,  1742,  1424,  1425,
    2395,   347,   592,  1853,  1962,  1672,  1673,  1674,  1675,  1683,
    1676,  1854,  1855,  1856,  1858,  1859,  1968,  1861,  1677,  1685,
    1460,  1461,   889,  1180,  1181,   257,   258,   259,    22,    23,
      24,    25,   109,   660,   110,   111,   112,   113,   336,  1258,
    1019,  1020,  1139,  1140,   821,  1022,   114,   659,  1507,  1508,
    1509,  1935,   260,   561,  2054,   903,   562,   904,   563,   564,
     565,  2058,   566,  2059,   567,   568,  1937,   520,   261,   521,
     262,   263,   883,   264,   265,   266,  1472,  1446,  1641,  1510,
    1825,  1943,   115,   670,   116,   387,  1048,   118,   119,   377,
     388,   389,   482,  1056,   715,  1057,   390,   826,   822,  1388,
    1144,   120,   352,   353,   121,  1052,  1517,  1279,  1053,  1168,
    1169,  1026,  1027,  2260,   122,   123,   124,   707,   391,   590,
     948,   949,   600,   957,   958,  1999,  2235,  2000,  2001,  2249,
    2402,    26,    27,    28,    29,   623,    30,    31,    32,   609,
    1225,  1226,   979,  1729,    33,   611,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,   304,   648,    45,
      46,    47,    48,    49,    50,    51,    52,    53,   272,   605,
     268,   125,  1289,  1058,   126,  1520,  1892,  2002,  2095,  1891,
    1745,  1521,  1523,  1748,  1896,  2005,  1525,    54,   127,  1295,
    1059,   128,  1527,  2007,  2110,  2006,  1898,  1528,    55,    56,
      57,    58,   129,   755,   753,  1304,  1541,  1542,   130,   439,
     440,  1907,  1361,  1121,   783,  1122,   441,   131,  1370,  1123,
     132,    59,   650,   373,   133,   134,   798,   457,   458,   459,
     460,   461,  1133,  1384,  1593,  1590,  1596,  1597,  1919,  2021,
    1385,  1920,  2030,  1386,  2135,  1917,  2014,  2015,  2138,  2416,
    2529,  2503,  1584,  1602,  1783,  1914,  2011,  1916,  1585,    60,
      61,    62,    63,    64,    65,    66,    67,   994,   135,   136,
     472,   137,   699,   138,   139,  1400,  1614,  1615,  1149,   140,
    1612,  2174,  2325,  2327,  2439,  2039,  2038,  1924,  1613,  1610,
    2037,  1922,  1921,  1796,  1611,  1800,  1925,  2178,  2333,  2040,
    1801,  1804,  1926,  2182,  2337,  2041,  1805,  2331,  2433,   374,
     141,  1407,  1150,   142,  1619,  2043,  2203,  2350,  2042,  1928,
    1620,    68,    69,   143,   144,  1151,  1417,  1626,  1418,  1631,
    1634,  1812,  1813,  2044,  2208,  2370,   145,   146,   851,   852,
     493,   494,  1449,  1162,   854,    70,   147,   505,   354,   148,
    1037,  1039,   691,  1042,   645,   646,   149,   150,    71,    72,
      73,    74,    75,    76,    77,    78,   313,   657,   151,  1451,
     506,   152,   153,   513,   866,  1837,  1656,  1453,   867
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     267,   690,   559,  1444,   752,   754,   529,   695,   522,   560,
    1083,   891,   675,   317,  1054,   789,  1447,   318,   319,  1695,
    1802,   824,   528,  1700,   471,  1193,  1639,   693,   693,   709,
     710,  1977,   438,  1448,   492,   504,   456,  1632,   470,  1445,
     481,   978,  1040,  1471,  1473,  1475,  1476,  1984,   491,   503,
     870,   871,  1987,   872,   737,   512,   877,   878,   514,  1956,
    1960,  1956,  1960,   515,   527,  1210,  1607,   392,   728,   393,
      80,   394,  1746,   442,   516,   443,   344,   462,   345,   626,
     320,   483,  1012,   484,   747,   485,  2048,   486,   558,   344,
    1616,   345,  1091,   507,   508,  2049,  2050,   874,   875,   526,
     527,  1444,  1081,    81,   557,   593,   779,   906,   907,  1568,
    1251,     1,  2236,    82,   514,    83,    84,   340,   685,   515,
     792,  2136,  1844,  1845,  1846,   748,   749,  2137,   750,   672,
     516,  1448,   341,   117,   673,  2046,   649,  1445,  1847,  1848,
    1849,    85,   672,   526,   527,   814,  1081,   673,  2049,  2050,
     874,   875,   572,   573,   574,   575,   576,   672,   748,   749,
     534,   750,   673,  2049,  2050,   874,   875,   856,   577,   578,
     579,   580,   581,   582,   583,   584,   585,  1070,  2055,   586,
    1142,   551,   552,   160,   553,   554,   555,   301,   587,  2353,
    2309,   551,   552,   874,   875,   554,   555,   307,  2311,   805,
    1754,   672,    86,   597,    87,    88,   673,    89,  1773,    90,
     606,    91,  1642,    92,    93,    79,    94,  1850,  1851,  2056,
     730,   572,   573,   574,   575,   576,  2346,  1652,  1826,    95,
      96,    97,    98,    99,   100,  2396,   550,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   672,   617,   586,  2211,
    1092,   673,   665,   672,   666,   672,   672,   667,   673,  2347,
     673,   673,   672,   154,   455,   672,   732,   673,   662,   672,
     673,   734,  1066,  1051,   673,  1261,   101,   676,   677,   678,
     679,  1569,   102,   560,   676,   677,   678,   679,   103,   104,
     696,   676,   677,   678,   679,  1071,   525,  1747,   155,   302,
     588,  1148,   551,   552,   874,   875,   554,   555,   838,  1086,
    1092,  1486,   686,  1062,  1153,   598,  2315,  1157,   572,   573,
     574,   575,   576,   665,   672,   666,  1774,  1015,   667,   673,
    1031,  2057,   806,  1264,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   156,   721,   586,   676,   677,   678,   679,
    1444,   693,   344,   672,   345,   668,  1033,   672,   673,   672,
     729,  1038,   673,  1043,   673,   522,   279,   522,  2397,  2144,
     522,   522,   572,   573,   574,   575,   576,   995,   532,  1868,
    1448,   676,   677,   678,   679,  2354,  1445,   306,   577,   578,
     579,   580,   581,   582,   583,   584,   585,  1064,  1065,   586,
     987,   988,   989,   990,   991,  1119,   992,   993,   617,   996,
     998,   722,  1000,  1001,   308,  2236,  2376,   680,   748,   749,
    1214,   750,   572,   573,   574,   575,   576,  1120,  1096,  1755,
     838,  1099,  1093,  2150,  1041,  1155,  2294,  1156,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   607,   309,   586,
     572,   573,   574,   575,   576,  2055,  2316,  1633,  1136,  1137,
    1086,  1283,   342,  1577,  2348,  1130,   577,   578,   579,   580,
     581,   582,   583,   584,   585,  2145,   744,   586,  1653,   693,
     693,  2307,   533,  1253,   572,   573,   574,   575,   576,  1654,
    1143,  1087,  1093,  1421,  1143,  2403,  2056,  1086,  1143,  2017,
     577,   578,   579,   580,   581,   582,   583,   584,   585,  1082,
     873,   586,   731,  1506,  1820,   346,  2312,  2310,  2060,   672,
    1158,  2281,  2061,   884,   673,  2313,  1360,  2417,  2418,  1166,
    2029,  1167,   892,   893,   894,   895,   896,   897,   997,  1170,
    1803,   530,  2349,   986,   886,  1067,  1874,   774,  1876,   905,
    1215,  1878,  1696,  1881,  1883,  1368,  1701,  1702,   733,  1194,
    1835,  1768,  1769,   735,  1978,   916,   917,   918,   919,   920,
     921,   922,   923,   924,   925,   926,   927,   928,   929,   672,
    1985,   775,   517,   280,   673,  1988,   688,   778,   518,  1961,
     519,  1969,  1860,   689,  2280,   558,   105,  2424,  1932,  1860,
     808,   676,   677,   678,   679,   106,   314,  2146,  2057,  1088,
    1089,   557,  2018,   572,   573,   574,   575,   576,  2434,  2051,
     908,  2134,   337,  2052,   671,  2012,   809,  2282,  2404,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   517,  1595,
     586,  1049,  1087,   338,   518,  1146,   519,   955,   887,  1147,
    1798,  1017,  2202,   674,  2256,  2257,  2019,   344,  1254,   345,
     617,  1836,  1028,  1444,   706,  2345,   674,  1030,   339,  2016,
     559,  1262,  2373,  1330,   560,   560,  1936,  1159,   741,  1087,
     529,   674,   613,  1273,  2501,  1274,  1823,  2051,  2179,   672,
     624,   303,   589,  1448,   673,  2180,   528,  1944,   956,  1445,
     310,   311,   312,  1942,   672,   556,   614,   599,  1454,   673,
    1455,   676,   677,   678,   679,   556,   758,  1160,   572,   573,
     574,   575,   576,   759,   746,   674,   676,   677,   678,   679,
    2214,  1296,  1297,  2215,   577,   578,   579,   580,   581,   582,
     583,   584,   585,  1307,  1094,   586,   636,  1627,   751,  2399,
    1635,   625,  2508,   900,   901,  2510,   558,  1316,  1317,  2283,
    1088,  1089,   343,  1319,  1320,  1008,   742,   615,  1323,  1324,
     674,  1326,   557,  1328,   355,  1444,   669,   674,  2358,   674,
     674,  2329,  1302,  1244,  1339,  1246,   674,  2181,   356,   674,
    1343,   743,   618,   674,   708,   473,  1371,  1088,  1089,   616,
    1372,   358,  2020,  1090,  1552,  1448,  2258,  1497,   523,  1141,
    1498,  1445,  1499,   269,   637,   270,   315,   316,  1221,  1229,
    1230,  1231,  1232,  1233,  1234,  2359,  1198,  1245,  2077,  1247,
    1427,  1248,  1249,  2079,  1220,  2080,  1579,   530,  2082,   572,
     573,   574,   575,   576,  1072,   357,  2175,   669,   674,   672,
    1468,  1469,  2176,  1235,   673,   577,   578,   579,   580,   581,
     582,   583,   584,   585,  2259,   344,   586,   345,  2204,  2205,
    1236,   676,   677,   678,   679,  2206,  1524,   674,  2070,  2071,
    1338,   674,   602,   674,   603,   619,  2073,  2074,  1444,  1444,
     525,  1782,  1190,   824,  1191,  1073,  1534,  1009,   816,  2482,
    2483,  1936,   269,  2362,   270,  1185,  2497,  2498,  1237,  1765,
     572,   573,   574,   575,   576,   683,   672,   531,  1448,  1448,
    1010,   673,   474,   535,  1445,  1445,   577,   578,   579,   580,
     581,   582,   583,   584,   585,  1862,  2207,   586,   676,   677,
     678,   679,  1011,   271,   602,  2177,   603,  1294,   572,   573,
     574,   575,   576,   711,  1550,  1186,   844,   672,   475,   476,
    1288,  1293,   673,   477,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   672,   478,   586,   538,  1546,   673,   676,
     677,   678,   679,  1187,   526,   527,   572,   573,   574,   575,
     576,  1551,   315,   316,  1238,   676,   677,   678,   679,  1776,
     536,  1629,   577,   578,   579,   580,   581,   582,   583,   584,
     585,  1580,   604,   586,   315,   316,  1314,  1188,  1535,  1766,
     697,   698,   522,  2091,   522,  1369,  1573,  1777,  1778,  1575,
    1904,  1905,   271,   726,   727,  1767,  1581,  1399,  1406,  1416,
    1779,   375,   910,   674,   620,   672,  1004,   911,  1005,   537,
     673,  1398,  1405,  1415,  2092,   591,  1444,  1205,  1630,  1206,
     621,   622,   529,   825,   661,  1252,   912,   676,   677,   678,
     679,   913,   584,   585,  1622,  1500,   586,  1502,   528,  1624,
    2278,  2257,  2385,   672,  2386,  1207,  1448,  1208,   673,   275,
     276,  1004,  1445,  1514,   539,   572,   573,   574,   575,   576,
     348,  2343,  2257,   674,   910,   676,   677,   678,   679,  1173,
    1516,   577,   578,   579,   580,   581,   582,   583,   584,   585,
    1743,  1655,   586,   825,  1239,  1578,   540,  1749,  1586,  2093,
    2094,   572,   573,   574,   575,   576,  1240,   527,  1082,  1607,
     638,   541,   815,   816,   764,   765,  1467,   577,   578,   579,
     580,   581,   582,   583,   584,   585,  1587,   817,   586,   682,
     542,   845,   818,  1790,  1536,  1544,  1537,   543,  1538,  1539,
    1457,   544,  1540,   349,   350,   351,  1462,   823,  1463,  1464,
    1465,  1466,  1588,   639,   640,   641,   642,   643,   644,   569,
     846,  1478,   570,  1511,  1958,   596,   705,  1481,  1760,   847,
    1761,  1970,  1751,  1865,  1958,  1867,  1970,   273,   274,   277,
     278,  2464,  1797,   674,   748,   749,   305,   750,   601,  1807,
     526,   527,  1125,  1081,   558,   738,   608,  1241,   674,   745,
     -66,   -66,  2258,   -66,  1887,  1608,  1888,  1830,  1831,  1608,
     557,  1832,   767,  1313,   378,  1315,  1833,  1834,   379,   380,
     776,  1686,   509,  2258,  1591,   610,   382,  1784,  1785,   612,
    1242,  1243,  1788,   617,   790,  1737,  1738,   793,  1739,  1792,
     796,   627,  1793,  1126,   628,  1659,   629,  1990,  1991,   630,
     803,  1660,  1661,  1662,  1663,   631,  1664,  1665,  1666,  1990,
    2279,  1667,   632,  1668,  1669,   810,   811,  1809,  1810,  1670,
    1678,   647,  1992,  2099,   383,   633,  1814,  1034,  1035,   384,
     307,  2344,  2100,   634,  1992,   635,   859,  2101,   861,   572,
     573,   574,   575,   576,   748,   749,   651,   750,   654,  1154,
    2519,  1044,  1045,  1046,  2022,   577,   578,   579,   580,   581,
     582,   583,   584,   585,  1852,  2243,   586,   655,  1282,  1993,
    1994,  1852,   656,  1995,  1996,  1176,  1177,  1909,   658,  1997,
    1741,   848,   849,   850,  1182,  1183,   572,   573,   574,   575,
     576,  2023,  1817,   674,  1269,  1270,  1740,  2244,  2024,  1271,
    1272,  2536,   577,   578,   579,   580,   581,   582,   583,   584,
     585,  1487,  1488,   586,  1894,   572,   573,   574,   575,   576,
    2486,  2487,  2488,  2489,  2490,   942,   943,   944,   663,  1693,
    1694,   577,   578,   579,   580,   581,   582,   583,   584,   585,
    1698,  1699,   586,  1640,  1640,  1952,  1644,   945,   946,  2102,
     947,  1645,  1646,   664,  1082,  2436,  2437,  2438,  1732,  1640,
     674,   684,  1172,  2245,  1216,  1217,  1218,  1219,   572,   573,
     574,   575,   576,  2031,  2032,  1758,  1759,  2033,  2034,  2035,
    1691,   687,  1692,   692,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   594,   595,   586,   700,  1598,  2246,  1929,
    1184,   674,   701,  2247,   702,  2003,   572,   573,   574,   575,
     576,  1841,  1842,  2025,  2026,  2027,   704,   674,   703,  2248,
    1956,  1957,   577,   578,   579,   580,   581,   582,   583,   584,
     585,  2103,  2104,   586,   748,   749,   712,  1628,  1189,   345,
     558,   713,  1975,  1976,  1955,  2105,  2106,  2107,  1608,  1055,
    1963,   714,  2108,  1980,  1981,   716,   557,  2491,  2492,  2493,
    2494,  2495,  2240,  2241,   572,   573,   574,   575,   576,  1603,
    1604,  1605,  1606,  2086,  2087,  2036,   718,  1074,   717,  1076,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   674,
     719,   586,   723,  1095,  1964,  1965,  1966,  1967,   720,  1101,
     724,  1103,  2009,  1105,   725,  1107,  1108,  1109,  1110,  1111,
    1112,   736,  1114,   739,  1116,  1117,   740,   572,   573,   574,
     575,   576,  2252,  2253,  1124,  1127,   757,   674,  1128,  2392,
    2393,   760,  1131,   577,   578,   579,   580,   581,   582,   583,
     584,   585,  2400,  2401,   586,  2066,   756,  1196,  1852,   761,
    1852,   762,  1816,   510,  2406,  2407,   763,  2083,   815,   816,
    1824,   766,  1998,   511,  1827,  2089,  1829,  2226,  2227,  1885,
    1886,   652,   653,   817,  2028,   770,   768,  1152,   818,   769,
     771,  1563,   777,  1266,   772,   780,   693,  2090,  1844,  1845,
    1846,   781,  1164,   823,  1165,  1082,  1082,   773,  1893,  1870,
     526,   835,   836,   837,  1847,  1848,  1849,   782,   784,  2140,
     785,   786,   788,  2143,   787,  2147,  2148,   791,  2151,   794,
     795,   797,  2053,   572,   573,   574,   575,   576,   800,   168,
     801,   170,   171,   802,   804,   807,   812,   813,   825,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   827,   828,
     586,   572,   573,   574,   575,   576,   831,   829,   830,  2222,
     840,  2223,  2224,  2225,   832,   815,   816,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   833,   841,   586,   834,
     817,   558,   558,  1850,  1851,   818,   842,   843,  1562,   853,
    2250,   855,   857,  2254,  1679,   858,  2261,   557,   557,   860,
     819,   864,  2355,  2274,   868,   862,   820,   863,   879,  2284,
    2285,   869,   865,   880,   881,  2290,   882,  2292,   885,  2295,
     888,  2297,  2109,   586,   898,   899,   909,   914,  2301,   915,
    1640,   950,   951,   572,   573,   574,   575,   576,  1939,   952,
    2303,  2304,   953,   954,  2305,  2306,   959,   815,   816,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   961,   962,
     586,   999,   817,  1002,  1003,  1006,  2330,   818,  1007,  1013,
    2330,  1267,  1016,  2369,  2339,   572,   573,   574,   575,   576,
    2351,  1018,   819,  1036,  1047,  1024,  1023,  1060,   820,  2363,
    1025,   577,   578,   579,   580,   581,   582,   583,   584,   585,
    1050,  1029,   586,  1301,  1303,  1061,  1032,  2389,  2390,  2391,
    1075,  1077,  1310,  1097,  1312,  1063,  1084,  1068,  1687,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  1069,   693,   693,
     693,   292,  2413,  2414,  1078,  1098,  2398,  1079,  1080,  1100,
    1102,  1106,  1104,  1113,  1115,  1256,  2408,  2409,  2410,  2411,
    2412,  1118,  1129,   693,   693,  1134,   293,  1135,  1138,   845,
    2062,  2063,  2064,  1145,  2065,  1163,  1171,  1174,  2419,  2420,
    2421,  1175,  1178,  1179,  1197,  1192,  1195,   294,  1202,   295,
     296,  1203,  1389,  1204,  2427,  2428,  1209,  1211,  1212,  2430,
    1213,  1227,  1257,  1228,  1255,  1426,  1263,  1428,  2053,  2053,
    1688,  2440,  1265,  1268,  2443,  1276,  2445,  1277,  2447,  1278,
    1281,  1280,  2450,  2451,  1298,  1299,  2499,  2500,  1300,  1305,
    2457,  1306,  1308,  1608,  1387,  1309,  2502,  1311,  1321,  1322,
    1422,  1325,  1327,  2458,  2459,  2460,  1423,  1329,  1689,   297,
     298,   299,   300,  2461,  1331,  1332,  1333,  1450,  2466,  1659,
    1334,  2467,  2468,  1335,  1336,  1660,  1661,  1662,  1663,  1337,
    1664,  1665,  1666,  1340,  2212,  1667,  1341,  1668,  1669,  1342,
    1344,  1390,  1456,  1670,  2476,  2477,   157,  1419,   158,   159,
     160,   161,   162,   163,  1420,   164,  1452,  1458,  1459,  1477,
    1479,  1480,   165,   166,   902,  1489,  1690,   167,  1484,  1485,
     572,   573,   574,   575,   576,  1490,  1491,  1492,  1493,   168,
     169,   170,   171,  1494,  1495,   172,   577,   578,   579,   580,
     581,   582,   583,   584,   585,  1501,  2507,   586,  1496,  1503,
    1504,  1505,  1512,  2509,  1513,  2511,  1515,  2512,  1519,  2516,
    2517,  1373,  1545,  2514,  1526,  1529,  1374,  1560,  1530,  1705,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1531,
     330,   331,   332,   333,   334,   335,   173,   174,   545,   546,
     547,   548,   175,   176,  1532,   177,   178,   179,   180,   181,
     182,   183,  1533,  1543,  1547,  1548,  1549,   184,   185,   186,
    1553,  1570,   187,  1572,  1574,  1554,  1555,  1565,   188,   378,
       4,     5,     6,   379,   380,  1556,   189,  1284,  1557,  1558,
    1559,   382,  1589,  1564,  1592,  1561,  1566,  1567,  1571,  1599,
    1576,  1582,  1583,  1594,   572,   573,   574,   575,   576,  1375,
    2378,  1600,  1601,  1617,  1618,  1623,  1636,  1625,  1638,  1621,
     577,   578,   579,   580,   581,   582,   583,   584,   585,  1643,
    1647,   586,  1648,  1649,  1650,  1871,  1651,  1657,  1658,   383,
    1704,  1708,   980,  1697,   384,  1703,     7,  1730,   572,   573,
     574,   575,   576,  1706,  1707,  1731,   190,  1733,     8,   315,
     316,  1736,  1735,  1872,   577,   578,   579,   580,   581,   582,
     583,   584,   585,  1744,  1750,   586,  1753,   572,   573,   574,
     575,   576,  1752,     9,    10,  1756,  1757,  1762,  1763,  1764,
    1780,  1285,  1286,   577,   578,   579,   580,   581,   582,   583,
     584,   585,  1787,  1781,   586,   572,   573,   574,   575,   576,
    1808,  1408,  1839,   981,  1376,    11,  1815,  1789,    12,   191,
      13,   577,   578,   579,   580,   581,   582,   583,   584,   585,
    1791,    14,   586,  1794,  1818,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,  1972,  1795,    15,  1377,  2520,
    1838,    16,  2523,  2524,  1840,  1819,    17,    18,  1857,  1828,
    1843,  1873,   202,   203,  2525,  1378,  2474,  1379,  1863,  1869,
    1877,  1380,  1879,  1895,   982,  1884,  1381,  1382,  1770,  1771,
    1772,  1897,  1775,  1889,  1901,   983,   984,  2218,  1900,  2531,
    2532,  1902,  1947,   204,  2533,  2534,  1910,   985,  1911,  1954,
    1915,  1923,  1950,  1927,  1930,  1786,   572,   573,   574,   575,
     576,  1933,  1948,  1949,  1951,  1953,   205,   206,   207,   208,
    1959,  1971,   577,   578,   579,   580,   581,   582,   583,   584,
     585,  1973,  1974,   586,  1806,  1979,   572,   573,   574,   575,
     576,  1982,  2047,  1983,  1986,  2004,  2045,  2072,  2075,  2076,
    2078,  2081,   577,   578,   579,   580,   581,   582,   583,   584,
     585,  2085,  2088,   586,   572,   573,   574,   575,   576,  2096,
    2097,  2142,  2149,  2152,  2153,    19,  2154,  2209,  2158,  2213,
     577,   578,   579,   580,   581,   582,   583,   584,   585,  2216,
    2228,   586,  2233,  2217,  2183,  2229,  1990,  2230,  2242,  2231,
    2232,   209,   210,   572,   573,   574,   575,   576,  2234,  2237,
    2238,  2239,  1383,  2251,  2255,   211,   212,  2262,  2263,   577,
     578,   579,   580,   581,   582,   583,   584,   585,  1671,  2265,
     586,  2275,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
    1408,  2264,    82,  2277,    83,    84,  2287,  1899,  2286,  2289,
    2293,  2288,  2296,  2298,  2300,  2159,  2299,  2317,  1287,   241,
     242,  2314,   243,  2302,  2318,  2320,  2321,  2324,   244,  1260,
    2323,  2326,  2322,  1802,  2342,  2328,  2352,  1912,  1913,   572,
     573,   574,   575,   576,  2334,  2338,  2356,  2357,  2365,  2360,
    2364,  2361,  2219,  2366,  2367,   577,   578,   579,   580,   581,
     582,   583,   584,   585,  2368,  2371,   586,  2377,  1990,  2184,
    2379,  2383,  2384,  2380,  2381,  2382,  2394,  2388,  2423,    20,
      21,  2387,  2435,  2405,  2442,  2432,  2160,  2444,  1362,   816,
    2446,  2448,  2452,  1992,  2472,  2473,  2478,   378,  2479,  2481,
     378,   379,   380,  2484,   379,   380,  2485,  2505,  2496,   382,
    2515,  1363,   382,  2518,  2530,  2521,   281,   282,    95,    96,
      97,    98,    99,   100,  2522,   444,    82,  2526,    83,    84,
    2528,  1222,  2527,  1223,  2535,   977,  1224,  2537,  1680,  2185,
    1637,  2068,  2186,  2187,  1864,   283,  1681,  2069,  2161,  2067,
    2188,  1866,   284,  2162,   890,  2189,  1682,   383,  2190,  1684,
     383,  1021,   384,  2191,  1259,   384,  2210,  2008,  1734,   549,
    2374,  1199,   285,   474,   286,  2375,  2220,  1200,  1201,  2163,
     799,  1132,   287,  1518,   876,  1482,  1483,  2480,   960,  1989,
    1522,  1890,  2192,  1908,  2010,  1903,  1318,   288,  1918,   930,
     378,  2441,  2332,  2164,   379,   380,   931,  2308,  2454,   475,
     476,  2336,   382,  2456,   477,  2193,  2335,  1811,  1275,  1014,
    2221,     0,  1161,     0,   378,   478,  1250,     0,   379,   380,
       0,     0,     0,   932,     0,   933,   382,     0,  1409,     0,
       0,     0,    95,    96,    97,    98,    99,   100,  2084,  2372,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   934,
     383,  2098,     0,     0,     0,   384,     0,   935,   936,     0,
     937,   938,  1410,     0,  2139,     0,  2141,  2475,   939,   940,
     941,     0,     0,     0,   383,     0,     0,     0,     0,   384,
    2155,  2156,  2157,     0,     0,  2194,     0,     0,     0,     0,
       0,     0,   445,   289,     0,     0,     0,     0,   157,     0,
     158,   159,   160,   161,   162,   163,  2195,   164,     0,     0,
    1364,  1365,  1366,     0,   165,   166,     0,     0,     0,   167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   168,   169,   170,   171,     0,  1709,   172,  1710,  1711,
       0,     0,     0,  2196,  2197,  2198,  2199,     0,  2200,  2165,
       0,  2166,  2167,     0,     0,     0,  2168,  2169,     0,  2170,
       0,  2276,     0,     0,     0,     0,  1821,  2171,  2172,     0,
       0,     0,  2291,     0,    82,     0,    83,    84,     0,     0,
       0,     0,     0,   290,     0,     0,     0,     0,   173,   174,
     545,   546,   547,   548,   175,   176,  1931,   177,   178,   179,
     180,   181,   182,   183,   479,     0,     0,   291,     0,   184,
     185,   186,     0,  2319,   187,     0,     0,   -67,   -67,   -67,
     188,  1411,     0,  2201,  1938,     0,     0,  1412,   189,  1413,
       0,  2340,  2341,   -67,   -67,   -67,   -67,   -67,   582,   583,
     584,   585,     0,     0,   586,     0,     0,   446,   447,   448,
     449,     0,  1712,  1713,  1714,  1715,  1716,  1717,     0,     0,
       0,     0,  2173,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,   378,     0,     0,   450,   379,   380,     0,     0,
       0,     0,   451,     0,   382,   452,  1367,     0,   453,  1414,
      95,    96,    97,    98,    99,   100,     0,     0,   190,     0,
       0,     0,     0,     0,   463,     0,     0,     0,     0,     0,
       0,  2415,     0,     0,     0,     0,     0,  1718,  1719,  1720,
    1721,  1722,  1723,  1724,  1725,  1726,  1727,  1728,     0,     0,
       0,     0,   383,  2422,     0,  2425,  2426,   384,     0,     0,
       0,     0,     0,  2429,     0,     0,  2431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,   191,     0,     0,     0,     0,     0,  2449,     0,     0,
       0,  2453,     0,  2455,   464,     0,     0,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,     0,     0,   480,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2462,  2463,     0,  2465,   202,   203,     0,     0,     0,  2469,
       0,  2470,  2471,   454,     0,   157,     0,   158,   159,   160,
     161,   162,   163,     0,   164,     0,     0,     0,     0,     0,
       0,   165,   166,  1470,     0,   204,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
     170,   171,     0,     0,   172,     0,     0,     0,   205,   206,
     207,   208,     0,     0,   572,   573,   574,   575,   576,     0,
    2504,     0,     0,     0,     0,     0,     0,     0,     0,  2506,
     577,   578,   579,   580,   581,   582,   583,   584,   585,     0,
       0,   586,     0,     0,     0,  2513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   173,   174,     0,     0,     0,
       0,   175,   176,     0,   177,   178,   179,   180,   181,   182,
     183,     0,     0,     0,     0,     0,   184,   185,   186,     0,
       0,   187,     0,     0,     0,     0,     0,   188,     0,     0,
       0,     0,     0,   209,   210,   189,    82,     0,    83,    84,
       0,   465,   466,   467,   468,     0,  1822,   211,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   571,     0,     0,     0,   190,   572,   573,   574,   575,
     576,   241,   242,     0,   243,     0,     0,     0,     0,     0,
     244,     0,   577,   578,   579,   580,   581,   582,   583,   584,
     585,     0,     0,   586,   378,     0,     0,     0,   379,   380,
       0,     0,     0,     0,     0,     0,   382,     0,     0,     0,
       0,     0,    95,    96,    97,    98,    99,   100,     0,     0,
       0,   469,     0,     0,     0,     0,     0,     0,   191,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    82,     0,
      83,    84,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   383,     0,     0,     0,     0,   384,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   487,
       0,   202,   203,   157,     0,   158,   159,   160,   161,   162,
     163,     0,   164,     0,     0,     0,     0,     0,     0,   165,
     166,  1474,     0,     0,   167,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,   168,   169,   170,   171,
       0,    82,   172,    83,    84,     0,     0,     0,     0,     0,
       0,     0,     0,   488,     0,   205,   206,   207,   208,     0,
       0,     0,     0,     0,     0,     0,   378,     0,     0,     0,
     379,   380,     0,     0,  1290,     0,     0,     0,   382,     0,
       0,  1391,     0,     0,    95,    96,    97,    98,    99,   100,
       0,     0,     0,   173,   174,     0,     0,     0,     0,   175,
     176,   489,   177,   178,   179,   180,   181,   182,   183,     0,
       0,     0,     0,     0,   184,   185,   186,     0,     0,   187,
       0,     0,     0,     0,     0,   188,   383,     0,     0,     0,
       0,   384,     0,   189,    82,     0,    83,    84,     0,   378,
     209,   210,     0,   379,   380,     0,     0,  1392,     0,     0,
       0,   382,     0,     0,   211,   212,     0,    95,    96,    97,
      98,    99,   100,     0,     0,     0,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   383,
    1291,     0,     0,   190,   384,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   241,   242,
       0,   243,     0,     0,     0,     0,     0,   244,     0,     0,
       0,     0,   378,     0,     0,     0,   379,   380,     0,     0,
     381,   572,   573,   574,   382,   359,     0,     0,     0,     0,
      95,    96,    97,    98,    99,   100,     0,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   191,     0,   586,     0,
       0,    82,     0,    83,    84,     0,     0,     0,     0,     0,
       0,     0,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   383,     0,     0,     0,   360,   384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   202,
     203,   157,     0,   158,   159,   160,   161,   162,   163,     0,
     164,     0,     0,   490,     0,     0,     0,   165,   166,  1875,
       0,     0,   167,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,   361,   168,   169,   170,   171,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   362,     0,
       0,   385,     0,   205,   206,   207,   208,     0,     0,   378,
       0,     0,     0,   379,   380,     0,     0,  1401,     0,     0,
       0,   382,     0,     0,     0,     0,     0,    95,    96,    97,
      98,    99,   100,     0,     0,     0,     0,     0,     0,     0,
       0,   173,   174,     0,     0,     0,     0,   175,   176,     0,
     177,   178,   179,   180,   181,   182,   183,     0,     0,     0,
       0,     0,   184,   185,   186,     0,     0,   187,     0,   383,
       0,     0,     0,   188,   384,     0,     0,     0,     0,     0,
       0,   189,     0,  1393,  1394,     0,     0,  1395,   209,   210,
       0,     0,  1396,     0,     0,     0,     0,     0,     0,     0,
     363,     0,   211,   212,   364,  1292,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,     0,     0,     0,
       0,   190,     0,     0,     0,     0,   365,     0,     0,     0,
       0,   366,   367,     0,     0,     0,   241,   242,     0,   243,
       0,     0,     0,     0,     0,   244,     0,     0,  1397,   572,
     573,   574,   575,   576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   368,   577,   578,   579,   580,   581,
     582,   583,   584,   585,     0,     0,   586,     0,   369,     0,
       0,     0,     0,     0,   191,     0,     0,  1345,   370,     0,
       0,     0,   371,     0,     0,     0,     0,     0,     0,     0,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,   331,   332,   333,   334,   335,     0,   202,   203,   157,
       0,   158,   159,   160,   161,   162,   163,     0,   164,   372,
    1402,   386,     0,     0,     0,   165,   166,  1880,     0,     0,
     167,   474,     0,     0,     0,     0,     0,     0,   204,  1346,
       0,     0,   168,   169,   170,   171,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   205,   206,   207,   208,     0,     0,  1347,  1348,     0,
       0,     0,   477,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,   478,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0,     0,     0,   175,   176,     0,   177,   178,
     179,   180,   181,   182,   183,     0,     0,     0,     0,     0,
     184,   185,   186,     0,     0,   187,     0,     0,     0,     0,
       0,   188,  1349,     0,     0,     0,  1350,     0,     0,   189,
       0,     0,     0,     0,     0,     0,   209,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
     211,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,     0,     0,     0,     0,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   241,   242,  1351,   243,     0,     0,
       0,     0,     0,   244,     0,  1352,  1353,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,  1358,     0,     0,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   202,   203,   157,     0,   158,
     159,   160,   161,   162,   163,     0,   164,     0,     0,     0,
       0,     0,     0,   165,   166,  1882,     0,     0,   167,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
     168,   169,   170,   171,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
     206,   207,   208,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   963,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,   526,
     835,   836,   837,   175,   176,     0,   177,   178,   179,   180,
     181,   182,   183,     0,     0,     0,     0,     0,   184,   185,
     186,     0,     0,   187,     0,     0,     0,     0,   168,   188,
     170,   171,     0,     0,     0,     0,     0,   189,     0,     0,
       0,     0,     0,     0,   209,   210,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,     0,     0,     0,     0,   190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   964,   816,     0,
       0,     0,   241,   242,     0,   243,     0,     0,   965,     0,
       0,   244,   966,     0,     0,   967,   968,     0,     0,     0,
     969,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   970,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,     0,     0,     0,     0,   971,   972,   973,     0,   974,
       0,   975,   976,     0,     0,     0,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   202,   203,   157,     0,   158,   159,   160,
     161,   162,   163,     0,   164,     0,     0,     0,     0,     0,
       0,   165,   166,     0,     0,     0,   167,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,   168,   169,
     170,   171,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   205,   206,   207,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   173,   174,     0,     0,     0,
       0,   175,   176,     0,   177,   178,   179,   180,   181,   182,
     183,     0,     0,     0,     0,     0,   184,   185,   186,     0,
       0,   187,     0,     0,     0,     0,     0,   188,     0,     0,
       0,     0,     0,     0,     0,   189,     0,     0,     0,     0,
       0,     0,   209,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,     0,     0,     0,     0,   190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     241,   242,     0,   243,     0,     0,     0,     0,     0,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,   191,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   169,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   202,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,  1431,  1432,  1433,  1434,  1435,  1436,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,  1438,     0,     0,  1439,
       0,     0,     0,     0,     0,     0,   175,   176,     0,   177,
     178,   179,   180,   181,  1440,   205,   206,   207,   208,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,   210,     0,     0,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,   211,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1429,   191,     0,     0,     0,     0,   241,   242,
       0,   243,     0,     0,     0,     0,     0,   244,     0,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   169,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   202,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,  1431,  1432,
    1433,  1434,  1435,  1436,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,  1438,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,   175,   176,     0,   177,   178,   179,   180,   181,  1440,
     205,   206,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,   210,     0,     0,     0,
       0,     0,     0,     0,     0,   190,     0,     0,     0,   211,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,   191,     0,
       0,     0,     0,   241,   242,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   169,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   202,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,  1431,  1432,  1433,  1434,  1435,  1436,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,  1438,     0,     0,  1439,
       0,     0,     0,     0,     0,     0,   175,   176,     0,   177,
     178,   179,   180,   181,  1440,   205,   206,   207,   208,     0,
       0,     0,     0,     0,     0,     0,     0,  1940,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   169,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,   210,     0,     0,     0,    82,     0,    83,    84,     0,
     190,     0,     0,     0,   211,   212,   175,   176,     0,   177,
     178,   179,   180,   181,  1941,     0,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,     0,     0,     0,     0,   241,   242,
       0,     0,     0,     0,  1934,     0,     0,     0,     0,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,     0,
       0,     0,     0,   378,     0,     0,     0,   379,   380,     0,
       0,     0,     0,     0,     0,   382,   202,   203,     0,     0,
     190,    95,    96,    97,    98,    99,   100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   383,     0,     0,     0,     0,   384,     0,
     205,   206,   207,   208,     0,     0,     0,     0,     0,     0,
       0,   495,     0,   191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   496,     0,   202,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,   210,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     205,   206,   207,   208,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,     0,     0,     0,     0,     0,     0,
       0,  2111,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   241,   242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,   210,     0,     0,     0,
       0,     0,     0,     0,   497,     0,     0,     0,     0,   211,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   395,   396,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1990,     0,   241,   242,     0,     0,   498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   397,     0,     0,
       0,     0,     0,     0,     0,     0,  1992,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2112,     0,   398,     0,
       0,   499,   500,   501,     0,     0,     0,     0,     0,     0,
       0,     0,   502,     0,     0,     0,     0,     0,  2113,     0,
       0,     0,  2114,     0,     0,  2115,  2116,     0,     0,     0,
     378,     0,     0,  2117,   379,   380,     0,   399,   400,     0,
    2118,     0,   382,   401,     0,  2119,  2120,  2121,   402,   403,
     404,   405,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   406,     0,     0,   407,   408,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     383,     0,     0,     0,     0,   384,     0,     0,  2122,     0,
       0,     0,     0,     0,   409,     0,     0,  2123,   410,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2124,     0,     0,     0,
       0,     0,     0,     0,   411,   412,     0,     0,     0,     0,
       0,     0,   413,   414,     0,   415,     0,     0,     0,     0,
       0,     0,  2125,     0,     0,  2126,  2127,  2128,   190,   416,
       0,     0,     0,  2129,     0,   417,     0,   418,  2130,   419,
     420,     0,     0,   421,   422,     0,     0,     0,  2131,     0,
       0,     0,     0,     0,     0,     0,  2132,     0,     0,   423,
     424,     0,     0,     0,     0,   425,   426,     0,     0,     0,
       0,     0,     0,   427,     0,     0,     0,   428,     0,     0,
     429,   430,     0,   431,     0,   432,     0,     0,     0,   433,
     434,   191,   435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   436,     0,     0,     0,     0,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   202,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2133,     0,   205,   206,
     207,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   437,
       0,     0,     0,     0,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   241,   242
};

static const yytype_int16 yycheck[] =
{
       7,   354,   244,  1162,   414,   415,   162,   357,   157,   244,
     751,   538,   341,    81,   707,   446,  1162,    85,    86,     7,
      22,   476,   162,     7,   136,     7,    24,   356,   357,   382,
     383,     7,   130,  1162,   146,   147,   134,    60,   136,  1162,
     138,   609,   150,  1192,  1193,  1194,  1195,     7,   146,   147,
       7,   514,     7,   516,   407,   153,   519,   520,    15,    11,
      12,    11,    12,    20,    18,   964,    20,   125,    46,   127,
       3,   129,    33,   131,    31,   133,    20,   135,    22,   291,
      87,   139,   650,   141,   413,   143,     6,   145,   244,    20,
    1395,    22,   754,   151,   152,    15,    16,    17,    18,    17,
      18,  1260,    20,    36,   244,   274,   435,    29,    30,   151,
    1009,     4,  2085,    46,    15,    48,    49,   183,    22,    20,
     449,   397,     8,     9,    10,    17,    18,   403,    20,    15,
      31,  1260,   198,     3,    20,  1934,   305,  1260,    24,    25,
      26,    74,    15,    17,    18,   474,    20,    20,    15,    16,
      17,    18,     8,     9,    10,    11,    12,    15,    17,    18,
     167,    20,    20,    15,    16,    17,    18,   496,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   222,  1937,    35,
      38,    15,    16,    17,    18,    19,    20,    38,    38,   274,
     117,    15,    16,    17,    18,    19,    20,    22,   117,    47,
     128,    15,   135,    38,   137,   138,    20,   140,   222,   142,
       3,   144,  1431,   146,   147,     0,   149,   103,   104,  1937,
      46,     8,     9,    10,    11,    12,   155,  1446,  1649,   162,
     163,   164,   165,   166,   167,    47,   243,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    15,    20,    35,  2048,
      44,    20,    15,    15,    17,    15,    15,    20,    20,   188,
      20,    20,    15,     3,   134,    15,    46,    20,   336,    15,
      20,    46,    81,   704,    20,  1020,   209,    37,    38,    39,
      40,   323,   215,   518,    37,    38,    39,    40,   221,   222,
     358,    37,    38,    39,    40,   340,    32,   258,     3,   150,
     150,   828,    15,    16,    17,    18,    19,    20,   487,    44,
      44,    47,   216,   723,   841,   150,   289,    46,     8,     9,
      10,    11,    12,    15,    15,    17,   340,   656,    20,    20,
     680,  1937,   180,  1026,    24,    25,    26,    27,    28,    29,
      30,    31,    32,     3,   223,    35,    37,    38,    39,    40,
    1509,   680,    20,    15,    22,    47,   685,    15,    20,    15,
     338,   690,    20,   692,    20,   514,     3,   516,   180,   155,
     519,   520,     8,     9,    10,    11,    12,   150,    30,  1684,
    1509,    37,    38,    39,    40,   470,  1509,   242,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   726,   727,    35,
     612,   613,   614,   615,   616,   349,   618,   619,    20,   621,
     622,   290,   624,   625,   239,  2388,  2215,   170,    17,    18,
      20,    20,     8,     9,    10,    11,    12,   780,   757,   357,
     609,   760,   226,   195,   542,   845,   195,   847,    24,    25,
      26,    27,    28,    29,    30,    31,    32,   240,   273,    35,
       8,     9,    10,    11,    12,  2214,   429,   480,   808,   809,
      44,  1056,   528,  1362,   393,   794,    24,    25,    26,    27,
      28,    29,    30,    31,    32,   261,   222,    35,    24,   808,
     809,   435,   134,  1010,     8,     9,    10,    11,    12,    35,
     819,   226,   226,  1155,   823,    47,  2214,    44,   827,   240,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   751,
     517,    35,   338,  1258,  1643,   183,   435,   444,  1939,    15,
     249,   155,  1943,   530,    20,   444,  1121,   400,   401,   858,
    1920,   860,   539,   540,   541,   542,   543,   544,   150,   868,
     542,   539,   471,   611,    30,   354,  1695,   259,  1697,   556,
     150,  1700,   540,  1702,  1703,  1123,   540,   541,   338,   541,
     442,   252,   253,   338,   540,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,    15,
     540,   293,   539,   174,    20,   540,   517,   337,   545,   541,
     547,   541,  1675,   524,  2116,   751,   529,   253,  1817,  1682,
     224,    37,    38,    39,    40,   538,     3,   393,  2214,   344,
     345,   751,   353,     8,     9,    10,    11,    12,  2306,   539,
     542,  2011,   539,   543,   340,   543,   250,   261,   180,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   539,  1380,
      35,   699,   226,   539,   545,   823,   547,   159,   134,   827,
     542,   658,  2042,   539,    62,    63,   397,    20,  1011,    22,
      20,   543,   669,  1822,   380,  2187,   539,   674,   145,   543,
     912,  1024,   539,  1104,   909,   910,  1822,   406,   219,   226,
     836,   539,   160,  1036,   543,  1038,   542,   539,   444,    15,
     184,   542,   542,  1822,    20,   451,   836,  1826,   210,  1822,
     525,   526,   527,  1826,    15,   539,   184,   542,  1171,    20,
    1173,    37,    38,    39,    40,   539,   282,   446,     8,     9,
      10,    11,    12,   289,   538,   539,    37,    38,    39,    40,
     541,  1060,  1061,   544,    24,    25,    26,    27,    28,    29,
      30,    31,    32,  1072,   538,    35,    81,  1410,   347,  2246,
    1413,   245,  2440,   540,   541,  2443,   912,  1086,  1087,   393,
     344,   345,   168,  1092,  1093,     3,   307,   245,  1097,  1098,
     539,  1100,   912,  1102,   174,  1934,   539,   539,   338,   539,
     539,   443,   542,   995,  1113,   997,   539,   543,   463,   539,
    1119,   332,   152,   539,   157,   542,  1125,   344,   345,   277,
    1129,   158,   543,   538,   538,  1934,   214,  1238,    32,   816,
    1241,  1934,  1243,    20,   149,    22,    20,    21,   974,   988,
     989,   990,   991,   992,   993,   385,   539,   996,  1977,   998,
    1159,  1000,  1001,  1982,   974,  1984,  1363,   539,  1987,     8,
       9,    10,    11,    12,   280,   520,   444,   539,   539,    15,
     540,   541,   450,     3,    20,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   272,    20,    35,    22,   475,   476,
      20,    37,    38,    39,    40,   482,  1286,   539,  1961,  1962,
     538,   539,    20,   539,    22,   245,  1969,  1970,  2047,  2048,
      32,  1584,   899,  1348,   901,   331,    86,   135,   136,  2396,
    2397,  2047,    20,   399,    22,   541,  2403,  2404,    58,   176,
       8,     9,    10,    11,    12,   346,    15,   134,  2047,  2048,
     158,    20,   117,    15,  2047,  2048,    24,    25,    26,    27,
      28,    29,    30,    31,    32,  1676,   543,    35,    37,    38,
      39,    40,   180,   150,    20,   543,    22,  1059,     8,     9,
      10,    11,    12,   384,   538,   541,    80,    15,   153,   154,
    1058,  1059,    20,   158,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    15,   169,    35,   539,  1306,    20,    37,
      38,    39,    40,   541,    17,    18,     8,     9,    10,    11,
      12,   538,    20,    21,   144,    37,    38,    39,    40,   286,
     542,  1411,    24,    25,    26,    27,    28,    29,    30,    31,
      32,  1364,   150,    35,    20,    21,  1084,   541,   208,   286,
     371,   372,  1171,   155,  1173,  1123,   352,   314,   315,  1358,
     341,   342,   150,   293,   294,   302,  1365,  1149,  1150,  1151,
    1567,    47,   541,   539,   404,    15,   541,   546,   543,   542,
      20,  1149,  1150,  1151,   186,    22,  2215,   541,  1411,   543,
     420,   421,  1218,    20,    92,    22,   541,    37,    38,    39,
      40,   546,    31,    32,  1403,  1244,    35,  1246,  1218,  1408,
      62,    63,  2231,    15,  2233,   541,  2215,   543,    20,   207,
     208,   541,  2215,   543,   539,     8,     9,    10,    11,    12,
     146,    62,    63,   539,   541,    37,    38,    39,    40,   546,
    1279,    24,    25,    26,    27,    28,    29,    30,    31,    32,
    1520,  1450,    35,    20,   274,    22,   539,  1527,   353,   261,
     262,     8,     9,    10,    11,    12,   286,    18,  1380,    20,
     475,   539,   135,   136,   305,   306,   541,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   381,   150,    35,   342,
     539,   285,   155,  1594,   354,   331,   356,   539,   358,   359,
    1177,   539,   362,   219,   220,   221,  1183,   170,  1185,  1186,
    1187,  1188,   407,   518,   519,   520,   521,   522,   523,   224,
     314,  1198,   224,  1261,  1854,     3,   379,  1204,   541,   323,
     543,  1861,  1531,  1681,  1864,  1683,  1866,     9,    10,    11,
      12,   253,  1612,   539,    17,    18,    18,    20,     3,  1619,
      17,    18,   280,    20,  1380,   408,     3,   377,   539,   412,
      17,    18,   214,    20,   538,  1391,   540,   125,   126,  1395,
    1380,   129,   425,  1083,   144,  1085,   134,   135,   148,   149,
     433,   541,   152,   214,   353,     3,   156,  1586,  1587,   263,
     410,   411,  1591,    20,   447,    17,    18,   450,    20,  1598,
     453,   150,  1601,   331,     3,    44,     3,   178,   179,     3,
     463,    50,    51,    52,    53,     3,    55,    56,    57,   178,
     272,    60,     3,    62,    63,   153,   154,  1626,  1627,    68,
      69,    15,   203,    44,   204,     3,  1635,   217,   218,   209,
      22,   272,    53,     3,   203,     3,   499,    58,   501,     8,
       9,    10,    11,    12,    17,    18,     3,    20,     3,    22,
    2479,    41,    42,    43,   223,    24,    25,    26,    27,    28,
      29,    30,    31,    32,  1673,    47,    35,     3,   543,   250,
     251,  1680,   463,   254,   255,   540,   541,  1767,    24,   260,
    1516,   485,   486,   487,   540,   541,     8,     9,    10,    11,
      12,   260,   541,   539,    42,    43,  1516,    79,   267,    42,
      43,  2530,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    17,    18,    35,  1747,     8,     9,    10,    11,    12,
     188,   189,   190,   191,   192,   159,   160,   161,    20,   540,
     541,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     540,   541,    35,  1430,  1431,  1835,  1433,   181,   182,   170,
     184,  1438,  1439,    20,  1676,   454,   455,   456,  1506,  1446,
     539,   538,   540,   145,    17,    18,    19,    20,     8,     9,
      10,    11,    12,   441,   442,   363,   364,   445,   446,   447,
    1467,   538,  1469,   223,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   275,   276,    35,   461,   409,   180,  1808,
     540,   539,    20,   185,    47,  1895,     8,     9,    10,    11,
      12,    58,    59,   382,   383,   384,   145,   539,   542,   201,
      11,    12,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   252,   253,    35,    17,    18,   274,    20,   540,    22,
    1676,   538,   540,   541,  1853,   266,   267,   268,  1684,   712,
    1859,   542,   273,   540,   541,   538,  1676,   188,   189,   190,
     191,   192,   188,   189,     8,     9,    10,    11,    12,   172,
     173,   174,   175,   252,   253,   543,   542,   740,   538,   742,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   539,
     542,    35,   302,   756,    64,    65,    66,    67,   542,   762,
     538,   764,  1911,   766,    22,   768,   769,   770,   771,   772,
     773,   291,   775,   339,   777,   778,   174,     8,     9,    10,
      11,    12,   269,   270,   787,   788,   280,   539,   791,   188,
     189,   280,   795,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   186,   187,    35,  1954,   274,   540,  1957,   279,
    1959,   265,  1639,   533,   162,   163,   289,  1990,   135,   136,
    1647,   305,   543,   543,  1651,  1995,  1653,  2073,  2074,  1706,
    1707,   309,   310,   150,   543,   265,   311,   840,   155,   318,
     265,   158,   335,   540,   326,   348,  1995,  1996,     8,     9,
      10,   538,   855,   170,   857,  1917,  1918,   324,  1746,  1686,
      17,    18,    19,    20,    24,    25,    26,   542,   538,  2018,
     542,   542,   174,  2022,   419,  2024,  2025,   144,  2027,   145,
     345,   338,  1937,     8,     9,    10,    11,    12,   538,    46,
     542,    48,    49,   542,    15,    15,   538,   538,    20,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   170,   158,
      35,     8,     9,    10,    11,    12,   542,   538,   538,  2068,
     274,  2070,  2071,  2072,   542,   135,   136,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   542,   158,    35,   542,
     150,  1917,  1918,   103,   104,   155,   538,   538,   158,   542,
    2099,   174,   330,  2102,   543,   158,  2105,  1917,  1918,   280,
     170,   542,  2192,  2112,   280,   538,   176,   538,    14,  2118,
    2119,   538,   542,    15,    15,  2124,    32,  2126,    29,  2128,
      30,  2130,   543,    35,    15,   541,     7,    15,  2137,    15,
    1817,     3,     3,     8,     9,    10,    11,    12,  1825,     3,
    2149,  2150,     3,     3,  2153,  2154,     3,   135,   136,    24,
      25,    26,    27,    28,    29,    30,    31,    32,     3,     3,
      35,     3,   150,     3,     3,     3,  2175,   155,     3,     3,
    2179,   540,     3,  2206,  2183,     8,     9,    10,    11,    12,
    2189,   539,   170,   348,   205,   541,   538,   280,   176,  2198,
     541,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      20,   538,    35,  1066,  1067,   280,   538,  2237,  2238,  2239,
     316,   210,  1075,   280,  1077,   538,    33,   538,   540,   385,
     386,   387,   388,   389,   390,   391,   392,   538,  2237,  2238,
    2239,   135,  2262,  2263,   538,   280,  2245,   538,   538,   280,
     280,   538,   145,   226,   538,   538,  2255,  2256,  2257,  2258,
    2259,   538,   170,  2262,  2263,    15,   160,    15,    20,   285,
    1947,  1948,  1949,   177,  1951,   538,    15,    47,  2277,  2278,
    2279,    15,   134,    30,    15,   541,   541,   181,   226,   183,
     184,   226,  1145,   539,  2293,  2294,     3,    20,   158,  2298,
     158,    20,   540,     3,     3,  1158,    20,  1160,  2213,  2214,
     540,  2310,   538,    22,  2313,   538,  2315,   538,  2317,    30,
     538,   541,  2321,  2322,   538,   538,  2406,  2407,   538,   174,
    2329,   280,   538,  2159,   171,   538,  2416,   538,   538,   538,
      46,   538,   538,  2342,  2343,  2344,    15,   538,   540,   243,
     244,   245,   246,  2352,   538,   538,   538,   170,  2357,    44,
     538,  2360,  2361,   538,   538,    50,    51,    52,    53,   538,
      55,    56,    57,   538,  2051,    60,   538,    62,    63,   538,
     538,   538,    18,    68,  2383,  2384,    13,   538,    15,    16,
      17,    18,    19,    20,   538,    22,   542,    30,    30,   541,
      15,    15,    29,    30,    31,    35,   540,    34,    20,    20,
       8,     9,    10,    11,    12,     3,     3,     3,     3,    46,
      47,    48,    49,     3,     3,    52,    24,    25,    26,    27,
      28,    29,    30,    31,    32,     3,  2435,    35,    15,     3,
       3,     3,   540,  2442,   541,  2444,    22,  2446,   538,  2472,
    2473,   152,  1305,  2452,   538,   144,   157,   275,   538,   540,
      83,    84,    85,    86,    87,    88,    89,    90,    91,   541,
      93,    94,    95,    96,    97,    98,   103,   104,   105,   106,
     107,   108,   109,   110,   538,   112,   113,   114,   115,   116,
     117,   118,   538,   538,   538,   538,   538,   124,   125,   126,
     538,  1354,   129,  1356,  1357,   538,   538,   174,   135,   144,
      71,    72,    73,   148,   149,   538,   143,   152,   538,   538,
     538,   156,  1375,   339,  1377,   330,   313,   158,    53,  1382,
     538,   125,   538,   274,     8,     9,    10,    11,    12,   240,
    2217,   538,   412,   160,   538,   538,   538,   176,    32,  1402,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   539,
      24,    35,   539,   539,   538,   540,    24,    32,    30,   204,
      15,    18,     3,   541,   209,   541,   137,     3,     8,     9,
      10,    11,    12,    35,    35,     3,   213,   543,   149,    20,
      21,    15,   538,   540,    24,    25,    26,    27,    28,    29,
      30,    31,    32,   542,   145,    35,   365,     8,     9,    10,
      11,    12,   170,   174,   175,   361,   360,   538,   538,   538,
     275,   256,   257,    24,    25,    26,    27,    28,    29,    30,
      31,    32,   542,   287,    35,     8,     9,    10,    11,    12,
     170,    44,    30,    74,   345,   206,    15,   542,   209,   276,
     211,    24,    25,    26,    27,    28,    29,    30,    31,    32,
     542,   222,    35,   542,   538,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   540,   542,   238,   379,  2481,
      15,   242,  2484,  2485,    54,   538,   247,   248,    34,   538,
      61,    31,   319,   320,  2496,   396,  2373,   398,   538,   538,
      31,   402,     7,   259,   135,   543,   407,   408,  1561,  1562,
    1563,   542,  1565,   540,   355,   146,   147,   540,   538,  2521,
    2522,   243,   539,   350,  2526,  2527,   174,   158,   280,     7,
     542,   542,   538,   542,   542,  1588,     8,     9,    10,    11,
      12,   540,   539,   539,   539,   538,   373,   374,   375,   376,
     541,    70,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   540,   540,    35,  1617,   540,     8,     9,    10,    11,
      12,   539,   101,   540,   540,   256,   538,    32,    15,    31,
      31,     7,    24,    25,    26,    27,    28,    29,    30,    31,
      32,   542,   253,    35,     8,     9,    10,    11,    12,   542,
     538,   538,   289,   538,   444,   366,   444,   543,   538,     7,
      24,    25,    26,    27,    28,    29,    30,    31,    32,   540,
     540,    35,   539,   541,    44,   540,   178,   540,   186,   541,
     540,   458,   459,     8,     9,    10,    11,    12,   540,   254,
     254,   254,   543,   275,   271,   472,   473,   254,   254,    24,
      25,    26,    27,    28,    29,    30,    31,    32,   543,   538,
      35,   542,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
      44,   274,    46,   271,    48,    49,   416,  1750,   274,   387,
     289,   326,   414,   406,   538,    86,   385,   436,   543,   536,
     537,   429,   539,   538,   429,   434,   280,   259,   545,   542,
     275,   259,   439,    22,   271,   538,   280,  1780,  1781,     8,
       9,    10,    11,    12,   538,   538,   326,   406,   469,   280,
     467,   280,   540,   538,   478,    24,    25,    26,    27,    28,
      29,    30,    31,    32,   477,   538,    35,   538,   178,   179,
     538,    32,    32,   538,   538,   538,    22,   538,   417,   530,
     531,   543,   280,   543,   280,   453,   157,   254,   135,   136,
     254,   431,   170,   203,   479,   479,   540,   144,   541,   538,
     144,   148,   149,   538,   148,   149,   538,   399,   538,   156,
     399,   158,   156,   538,   541,   538,   183,   184,   162,   163,
     164,   165,   166,   167,   538,    45,    46,   538,    48,    49,
     394,   974,   538,   974,   538,   609,   974,   540,  1461,   249,
    1422,  1958,   252,   253,  1680,   212,  1461,  1959,   219,  1957,
     260,  1682,   219,   224,   537,   265,  1461,   204,   268,  1461,
     204,   660,   209,   273,  1019,   209,  2047,  1910,  1509,   243,
    2213,   909,   239,   117,   241,  2214,   540,   910,   912,   250,
     457,   799,   249,  1280,   518,  1205,  1207,  2388,   604,  1890,
    1285,  1743,   302,  1766,  1914,  1760,  1091,   264,  1789,    51,
     144,  2311,  2176,   274,   148,   149,    58,  2159,  2325,   153,
     154,  2180,   156,  2327,   158,   325,  2179,  1631,  1041,   653,
     540,    -1,   852,    -1,   144,   169,  1004,    -1,   148,   149,
      -1,    -1,    -1,    85,    -1,    87,   156,    -1,   282,    -1,
      -1,    -1,   162,   163,   164,   165,   166,   167,  1991,   540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     204,  2004,    -1,    -1,    -1,   209,    -1,   119,   120,    -1,
     122,   123,   316,    -1,  2017,    -1,  2019,   540,   130,   131,
     132,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,   209,
    2033,  2034,  2035,    -1,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,   222,   370,    -1,    -1,    -1,    -1,    13,    -1,
      15,    16,    17,    18,    19,    20,   426,    22,    -1,    -1,
     367,   368,   369,    -1,    29,    30,    -1,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    46,    47,    48,    49,    -1,    46,    52,    48,    49,
      -1,    -1,    -1,   463,   464,   465,   466,    -1,   468,   430,
      -1,   432,   433,    -1,    -1,    -1,   437,   438,    -1,   440,
      -1,  2114,    -1,    -1,    -1,    -1,   538,   448,   449,    -1,
      -1,    -1,  2125,    -1,    46,    -1,    48,    49,    -1,    -1,
      -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   538,   112,   113,   114,
     115,   116,   117,   118,   358,    -1,    -1,   484,    -1,   124,
     125,   126,    -1,  2166,   129,    -1,    -1,     8,     9,    10,
     135,   475,    -1,   543,   538,    -1,    -1,   481,   143,   483,
      -1,  2184,  2185,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    35,    -1,    -1,   377,   378,   379,
     380,    -1,   162,   163,   164,   165,   166,   167,    -1,    -1,
      -1,    -1,   543,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   144,    -1,    -1,   405,   148,   149,    -1,    -1,
      -1,    -1,   412,    -1,   156,   415,   543,    -1,   418,   543,
     162,   163,   164,   165,   166,   167,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,  2264,    -1,    -1,    -1,    -1,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
      -1,    -1,   204,  2286,    -1,  2288,  2289,   209,    -1,    -1,
      -1,    -1,    -1,  2296,    -1,    -1,  2299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   538,
      -1,   276,    -1,    -1,    -1,    -1,    -1,  2320,    -1,    -1,
      -1,  2324,    -1,  2326,   246,    -1,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2353,  2354,    -1,  2356,   319,   320,    -1,    -1,    -1,  2362,
      -1,  2364,  2365,   543,    -1,    13,    -1,    15,    16,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    29,    30,    31,    -1,   350,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    47,
      48,    49,    -1,    -1,    52,    -1,    -1,    -1,   373,   374,
     375,   376,    -1,    -1,     8,     9,    10,    11,    12,    -1,
    2423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2432,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,    -1,    -1,    -1,  2448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,    -1,
      -1,   129,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,   458,   459,   143,    46,    -1,    48,    49,
      -1,   423,   424,   425,   426,    -1,   100,   472,   473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,   213,     8,     9,    10,    11,
      12,   536,   537,    -1,   539,    -1,    -1,    -1,    -1,    -1,
     545,    -1,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    35,   144,    -1,    -1,    -1,   148,   149,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,   162,   163,   164,   165,   166,   167,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      48,    49,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   204,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,   319,   320,    13,    -1,    15,    16,    17,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    29,
      30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,    -1,    46,    47,    48,    49,
      -1,    46,    52,    48,    49,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   273,    -1,   373,   374,   375,   376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,
     148,   149,    -1,    -1,   152,    -1,    -1,    -1,   156,    -1,
      -1,    86,    -1,    -1,   162,   163,   164,   165,   166,   167,
      -1,    -1,    -1,   103,   104,    -1,    -1,    -1,    -1,   109,
     110,   321,   112,   113,   114,   115,   116,   117,   118,    -1,
      -1,    -1,    -1,    -1,   124,   125,   126,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,   135,   204,    -1,    -1,    -1,
      -1,   209,    -1,   143,    46,    -1,    48,    49,    -1,   144,
     458,   459,    -1,   148,   149,    -1,    -1,   152,    -1,    -1,
      -1,   156,    -1,    -1,   472,   473,    -1,   162,   163,   164,
     165,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   204,
     278,    -1,    -1,   213,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,   537,
      -1,   539,    -1,    -1,    -1,    -1,    -1,   545,    -1,    -1,
      -1,    -1,   144,    -1,    -1,    -1,   148,   149,    -1,    -1,
     152,     8,     9,    10,   156,   151,    -1,    -1,    -1,    -1,
     162,   163,   164,   165,   166,   167,    -1,    24,    25,    26,
      27,    28,    29,    30,    31,    32,   276,    -1,    35,    -1,
      -1,    46,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   204,    -1,    -1,    -1,   202,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,
     320,    13,    -1,    15,    16,    17,    18,    19,    20,    -1,
      22,    -1,    -1,   543,    -1,    -1,    -1,    29,    30,    31,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,    -1,    -1,   249,    46,    47,    48,    49,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,
      -1,   273,    -1,   373,   374,   375,   376,    -1,    -1,   144,
      -1,    -1,    -1,   148,   149,    -1,    -1,   152,    -1,    -1,
      -1,   156,    -1,    -1,    -1,    -1,    -1,   162,   163,   164,
     165,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,    -1,    -1,    -1,
      -1,    -1,   124,   125,   126,    -1,    -1,   129,    -1,   204,
      -1,    -1,    -1,   135,   209,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,   448,   449,    -1,    -1,   452,   458,   459,
      -1,    -1,   457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,    -1,   472,   473,   370,   543,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   536,   537,    -1,   539,
      -1,    -1,    -1,    -1,    -1,   545,    -1,    -1,   543,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   460,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    35,    -1,   474,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    53,   484,    -1,
      -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   319,   320,    13,
      -1,    15,    16,    17,    18,    19,    20,    -1,    22,   535,
     405,   543,    -1,    -1,    -1,    29,    30,    31,    -1,    -1,
      34,   117,    -1,    -1,    -1,    -1,    -1,    -1,   350,   125,
      -1,    -1,    46,    47,    48,    49,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   373,   374,   375,   376,    -1,    -1,   153,   154,    -1,
      -1,    -1,   158,    -1,    -1,    -1,    -1,   462,    -1,    -1,
      -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,    -1,    -1,
     124,   125,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,
      -1,   135,   218,    -1,    -1,    -1,   222,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,    -1,
     472,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   536,   537,   312,   539,    -1,    -1,
      -1,    -1,    -1,   545,    -1,   321,   322,    -1,    -1,    -1,
      -1,    -1,   328,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,    -1,   353,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,   320,    13,    -1,    15,
      16,    17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    29,    30,    31,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,
      46,    47,    48,    49,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   373,
     374,   375,   376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,    17,
      18,    19,    20,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,    -1,    -1,    -1,    -1,    -1,   124,   125,
     126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    46,   135,
      48,    49,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,   458,   459,    -1,   543,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,   136,    -1,
      -1,    -1,   536,   537,    -1,   539,    -1,    -1,   146,    -1,
      -1,   545,   150,    -1,    -1,   153,   154,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,   193,   194,   195,    -1,   197,
      -1,   199,   200,    -1,    -1,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   319,   320,    13,    -1,    15,    16,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    29,    30,    -1,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    46,    47,
      48,    49,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   373,   374,   375,
     376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,    -1,
      -1,   129,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   472,   473,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     536,   537,    -1,   539,    -1,    -1,    -1,    -1,    -1,   545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,   276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    47,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,    -1,    99,    -1,    -1,   102,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   373,   374,   375,   376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,   472,   473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,   276,    -1,    -1,    -1,    -1,   536,   537,
      -1,   539,    -1,    -1,    -1,    -1,    -1,   545,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    47,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,
      -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     373,   374,   375,   376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,   472,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,   276,    -1,
      -1,    -1,    -1,   536,   537,    -1,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    47,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,    -1,    99,    -1,    -1,   102,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   373,   374,   375,   376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,   459,    -1,    -1,    -1,    46,    -1,    48,    49,    -1,
     213,    -1,    -1,    -1,   472,   473,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,   536,   537,
      -1,    -1,    -1,    -1,   542,    -1,    -1,    -1,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,   148,   149,    -1,
      -1,    -1,    -1,    -1,    -1,   156,   319,   320,    -1,    -1,
     213,   162,   163,   164,   165,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,   209,    -1,
     373,   374,   375,   376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,    -1,   319,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     373,   374,   375,   376,    -1,    -1,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   536,   537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,   472,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,    48,    49,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,    -1,   536,   537,    -1,    -1,   488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,   112,    -1,
      -1,   532,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,    -1,    -1,   252,   253,    -1,    -1,    -1,
     144,    -1,    -1,   260,   148,   149,    -1,   151,   152,    -1,
     267,    -1,   156,   157,    -1,   272,   273,   274,   162,   163,
     164,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,    -1,    -1,   178,   179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,   209,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,   334,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   248,   249,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,   259,    -1,    -1,    -1,    -1,
      -1,    -1,   379,    -1,    -1,   382,   383,   384,   213,   273,
      -1,    -1,    -1,   390,    -1,   279,    -1,   281,   395,   283,
     284,    -1,    -1,   287,   288,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,   303,
     304,    -1,    -1,    -1,    -1,   309,   310,    -1,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,    -1,   321,    -1,    -1,
     324,   325,    -1,   327,    -1,   329,    -1,    -1,    -1,   333,
     334,   276,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   346,    -1,    -1,    -1,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   319,   320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   543,    -1,   373,   374,
     375,   376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,
      -1,    -1,    -1,    -1,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   536,   537
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   549,   550,    71,    72,    73,   137,   149,   174,
     175,   206,   209,   211,   222,   238,   242,   247,   248,   366,
     530,   531,   606,   607,   608,   609,   709,   710,   711,   712,
     714,   715,   716,   722,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   765,   776,   777,   778,   779,   799,
     837,   838,   839,   840,   841,   842,   843,   844,   899,   900,
     923,   936,   937,   938,   939,   940,   941,   942,   943,     0,
       3,    36,    46,    48,    49,    74,   135,   137,   138,   140,
     142,   144,   146,   147,   149,   162,   163,   164,   165,   166,
     167,   209,   215,   221,   222,   529,   538,   551,   552,   610,
     612,   613,   614,   615,   624,   660,   662,   663,   665,   666,
     679,   682,   692,   693,   694,   749,   752,   766,   769,   780,
     786,   795,   798,   802,   803,   846,   847,   849,   851,   852,
     857,   888,   891,   901,   902,   914,   915,   924,   927,   934,
     935,   946,   949,   950,     3,     3,     3,    13,    15,    16,
      17,    18,    19,    20,    22,    29,    30,    34,    46,    47,
      48,    49,    52,   103,   104,   109,   110,   112,   113,   114,
     115,   116,   117,   118,   124,   125,   126,   129,   135,   143,
     213,   276,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   319,   320,   350,   373,   374,   375,   376,   458,
     459,   472,   473,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   536,   537,   539,   545,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   603,   604,   605,
     630,   646,   648,   649,   651,   652,   653,   654,   748,    20,
      22,   150,   746,   746,   746,   207,   208,   746,   746,     3,
     174,   183,   184,   212,   219,   239,   241,   249,   264,   370,
     460,   484,   135,   160,   181,   183,   184,   243,   244,   245,
     246,    38,   150,   542,   735,   746,   242,    22,   239,   273,
     525,   526,   527,   944,     3,    20,    21,   555,   555,   555,
     654,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      93,    94,    95,    96,    97,    98,   616,   539,   539,   145,
     183,   198,   528,   168,    20,    22,   183,   579,   146,   219,
     220,   221,   680,   681,   926,   174,   463,   520,   158,   151,
     202,   249,   264,   366,   370,   422,   427,   428,   460,   474,
     484,   488,   535,   801,   887,    47,   555,   667,   144,   148,
     149,   152,   156,   204,   209,   273,   543,   663,   668,   669,
     674,   696,   667,   667,   667,    48,    49,    81,   112,   151,
     152,   157,   162,   163,   164,   165,   175,   178,   179,   218,
     222,   248,   249,   256,   257,   259,   273,   279,   281,   283,
     284,   287,   288,   303,   304,   309,   310,   317,   321,   324,
     325,   327,   329,   333,   334,   336,   346,   543,   668,   787,
     788,   794,   667,   667,    45,   222,   377,   378,   379,   380,
     405,   412,   415,   418,   543,   663,   668,   805,   806,   807,
     808,   809,   667,   176,   246,   423,   424,   425,   426,   543,
     668,   674,   848,   542,   117,   153,   154,   158,   169,   358,
     543,   668,   670,   667,   667,   667,   667,   219,   273,   321,
     543,   668,   674,   918,   919,   222,   265,   415,   488,   532,
     533,   534,   543,   668,   674,   925,   948,   667,   667,   152,
     533,   543,   668,   951,    15,    20,    31,   539,   545,   547,
     645,   647,   652,    32,   559,    32,    17,    18,   560,   561,
     539,   134,    30,   134,   654,    15,   542,   542,   539,   539,
     539,   539,   539,   539,   539,   105,   106,   107,   108,   635,
     654,    15,    16,    18,    19,    20,   539,   560,   561,   568,
     630,   631,   634,   636,   637,   638,   640,   642,   643,   224,
     224,     3,     8,     9,    10,    11,    12,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    35,    38,   150,   542,
     697,    22,   580,   580,   746,   746,     3,    38,   150,   542,
     700,     3,    20,    22,   150,   747,     3,   240,     3,   717,
       3,   723,   263,   160,   184,   245,   277,    20,   152,   245,
     404,   420,   421,   713,   184,   245,   713,   150,     3,     3,
       3,     3,     3,     3,     3,     3,    81,   149,   475,   518,
     519,   520,   521,   522,   523,   932,   933,    15,   736,   580,
     800,     3,   944,   944,     3,     3,   463,   945,    24,   625,
     611,    92,   555,    20,    20,    15,    17,    20,    47,   539,
     661,   697,    15,    20,   539,   553,    37,    38,    39,    40,
     170,   553,   556,   700,   538,    22,   216,   538,   517,   524,
     579,   930,   223,   553,   554,   554,   555,   371,   372,   850,
     461,    20,    47,   542,   145,   556,   697,   695,   157,   579,
     579,   700,   274,   538,   542,   672,   538,   538,   542,   542,
     542,   223,   290,   302,   538,    22,   293,   294,    46,   338,
      46,   338,    46,   338,    46,   338,   291,   579,   556,   339,
     174,   219,   307,   332,   222,   556,   538,   553,    17,    18,
      20,   347,   557,   782,   557,   781,   274,   280,   282,   289,
     280,   279,   265,   289,   305,   306,   305,   556,   311,   318,
     265,   265,   326,   324,   259,   293,   556,   335,   337,   553,
     348,   538,   542,   792,   538,   542,   542,   419,   174,   661,
     556,   144,   553,   556,   145,   345,   556,   338,   804,   672,
     538,   542,   542,   556,    15,    47,   180,    15,   224,   250,
     153,   154,   538,   538,   553,   135,   136,   150,   155,   170,
     176,   622,   676,   170,   676,    20,   675,   170,   158,   538,
     538,   542,   542,   542,   542,    18,    19,    20,   571,   574,
     274,   158,   538,   538,    80,   285,   314,   323,   485,   486,
     487,   916,   917,   542,   922,   174,   553,   330,   158,   556,
     280,   556,   538,   538,   542,   542,   952,   956,   280,   538,
       7,   647,   647,   654,    17,    18,   640,   647,   647,    14,
      15,    15,    32,   650,   654,    29,    30,   134,    30,   600,
     600,   675,   654,   654,   654,   654,   654,   654,    15,   541,
     540,   541,    31,   633,   635,   654,    29,    30,   542,     7,
     541,   546,   541,   546,    15,    15,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
      51,    58,    85,    87,   111,   119,   120,   122,   123,   130,
     131,   132,   159,   160,   161,   181,   182,   184,   698,   699,
       3,     3,     3,     3,     3,   159,   210,   701,   702,     3,
     747,     3,     3,     3,   135,   146,   150,   153,   154,   158,
     177,   193,   194,   195,   197,   199,   200,   574,   622,   720,
       3,    74,   135,   146,   147,   158,   555,   713,   713,   713,
     713,   713,   713,   713,   845,   150,   713,   150,   713,     3,
     713,   713,     3,     3,   541,   543,     3,     3,     3,   135,
     158,   180,   622,     3,   945,   553,     3,   654,   539,   618,
     619,   620,   623,   538,   541,   541,   689,   690,   654,   538,
     654,   554,   538,   553,   217,   218,   348,   928,   553,   929,
     150,   542,   931,   553,    41,    42,    43,   205,   664,   667,
      20,   661,   683,   686,   687,   556,   671,   673,   751,   768,
     280,   280,   557,   538,   553,   553,    81,   354,   538,   538,
     222,   340,   280,   331,   556,   316,   556,   210,   538,   538,
     538,    20,   568,   573,    33,   558,    44,   226,   344,   345,
     538,   558,    44,   226,   538,   556,   553,   280,   280,   553,
     280,   556,   280,   556,   145,   556,   538,   556,   556,   556,
     556,   556,   556,   226,   556,   538,   556,   556,   538,   349,
     579,   791,   793,   797,   556,   280,   331,   556,   556,   170,
     553,   556,   673,   810,    15,    15,   554,   554,    20,   620,
     621,   654,    38,   553,   678,   177,   678,   678,   675,   856,
     890,   903,   556,   675,    22,   557,   557,    46,   249,   406,
     446,   916,   921,   538,   556,   556,   553,   553,   687,   688,
     553,    15,   540,   546,    47,    15,   540,   541,   134,    30,
     601,   602,   540,   541,   540,   541,   541,   541,   541,   540,
     654,   654,   541,     7,   541,   541,   540,    15,   539,   631,
     638,   642,   226,   226,   539,   541,   543,   541,   543,     3,
     621,    20,   158,   158,    20,   150,    17,    18,    19,    20,
     560,   561,   562,   563,   564,   718,   719,    20,     3,   580,
     580,   580,   580,   580,   580,     3,    20,    58,   144,   274,
     286,   377,   410,   411,   713,   580,   713,   580,   580,   580,
     933,   621,    22,   675,   579,     3,   538,   540,   617,   623,
     542,   616,   579,    20,   687,   538,   540,   540,    22,    42,
      43,    42,    43,   579,   579,   932,   538,   538,    30,   685,
     541,   538,   543,   670,   152,   256,   257,   543,   668,   750,
     152,   278,   543,   668,   674,   767,   553,   553,   538,   538,
     538,   556,   542,   556,   783,   174,   280,   553,   538,   538,
     556,   538,   556,   782,   555,   782,   553,   553,   781,   553,
     553,   538,   538,   553,   553,   538,   553,   538,   553,   538,
     661,   538,   538,   538,   538,   538,   538,   538,   538,   553,
     538,   538,   538,   553,   538,    53,   125,   153,   154,   218,
     222,   312,   321,   322,   328,   332,   343,   351,   353,   543,
     670,   790,   135,   158,   367,   368,   369,   543,   622,   668,
     796,   553,   553,   152,   157,   240,   345,   379,   396,   398,
     402,   407,   408,   543,   811,   818,   821,   171,   677,   556,
     538,    86,   152,   448,   449,   452,   457,   543,   668,   674,
     853,   152,   405,   462,   543,   668,   674,   889,    44,   282,
     316,   475,   481,   483,   543,   668,   674,   904,   906,   538,
     538,   558,    46,    15,   576,   577,   556,   553,   556,    20,
      75,    76,    77,    78,    79,    80,    81,    82,    99,   102,
     117,   139,   141,   543,   651,   653,   655,   657,   748,   920,
     170,   947,   542,   955,   647,   647,    18,   654,    30,    30,
     598,   599,   654,   654,   654,   654,   654,   541,   540,   541,
      31,   633,   654,   633,    31,   633,   633,   541,   654,    15,
      15,   654,   699,   702,    20,    20,    47,    17,    18,    35,
       3,     3,     3,     3,     3,     3,    15,   661,   661,   661,
     580,     3,   580,     3,     3,     3,   616,   626,   627,   628,
     657,   555,   540,   541,   543,    22,   580,   684,   686,   538,
     753,   759,   753,   760,   557,   764,   538,   770,   775,   144,
     538,   541,   538,   538,    86,   208,   354,   356,   358,   359,
     362,   784,   785,   538,   331,   556,   553,   538,   538,   538,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     275,   330,   158,   158,   339,   174,   313,   158,   151,   323,
     556,    53,   556,   352,   556,   553,   538,   621,    22,   675,
     579,   553,   125,   538,   830,   836,   353,   381,   407,   556,
     813,   353,   556,   812,   274,   573,   814,   815,   409,   556,
     538,   412,   831,   172,   173,   174,   175,    20,   561,   572,
     867,   872,   858,   866,   854,   855,   572,   160,   538,   892,
     898,   556,   553,   538,   553,   176,   905,   905,    20,   557,
     579,   907,    60,   480,   908,   905,   538,   577,    32,    24,
     654,   656,   656,   539,   654,   654,   654,    24,   539,   539,
     538,    24,   656,    24,    35,   553,   954,    32,    30,    44,
      50,    51,    52,    53,    55,    56,    57,    60,    62,    63,
      68,   543,   583,   584,   585,   586,   588,   596,    69,   543,
     584,   585,   586,   587,   588,   597,   541,   540,   540,   540,
     540,   654,   654,   540,   541,     7,   540,   541,   540,   541,
       7,   540,   541,   541,    15,   540,    35,    35,    18,    46,
      48,    49,   162,   163,   164,   165,   166,   167,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   721,
       3,     3,   555,   543,   627,   538,    15,    17,    18,    20,
     560,   561,   575,   688,   542,   758,    33,   258,   761,   688,
     145,   553,   170,   365,   128,   357,   361,   360,   363,   364,
     541,   543,   538,   538,   538,   176,   286,   302,   252,   253,
     556,   556,   556,   222,   340,   556,   286,   314,   315,   675,
     275,   287,   687,   832,   553,   553,   556,   542,   553,   542,
     661,   542,   553,   553,   542,   542,   871,   688,   542,   557,
     873,   878,    22,   542,   879,   884,   556,   688,   170,   553,
     553,   906,   909,   910,   553,    15,   654,   541,   538,   538,
     748,   538,   100,   542,   654,   658,   658,   654,   538,   654,
     125,   126,   129,   134,   135,   442,   543,   953,    15,    30,
      54,    58,    59,    61,     8,     9,    10,    24,    25,    26,
     103,   104,   553,   581,   589,   590,   591,    34,   592,   593,
     593,   595,   573,   538,   589,   592,   595,   592,   572,   538,
     654,   540,   540,    31,   633,    31,   633,    31,   633,     7,
      31,   633,    31,   633,   543,   721,   721,   538,   540,   540,
     758,   757,   754,   555,   579,   259,   762,   542,   774,   556,
     538,   355,   243,   785,   341,   342,   556,   789,   789,   557,
     174,   280,   556,   556,   833,   542,   835,   823,   823,   816,
     819,   870,   869,   542,   865,   874,   880,   542,   897,   553,
     542,   538,   656,   540,   542,   629,   657,   644,   538,   654,
      20,   117,   653,   659,   748,   538,   538,   539,   539,   539,
     538,   539,   557,   538,     7,   553,    11,    12,   582,   541,
      12,   541,   582,   553,    64,    65,    66,    67,   594,   541,
     582,    70,   540,   540,   540,   540,   541,     7,   540,   540,
     540,   541,   539,   540,     7,   540,   540,     7,   540,   754,
     178,   179,   203,   250,   251,   254,   255,   260,   543,   703,
     705,   706,   755,   557,   256,   763,   773,   771,   556,   553,
     831,   834,   543,   573,   824,   825,   543,   240,   353,   397,
     543,   817,   223,   260,   267,   382,   383,   384,   543,   703,
     820,   441,   442,   445,   446,   447,   543,   868,   864,   863,
     877,   883,   896,   893,   911,   538,   626,   101,     6,    15,
      16,   539,   543,   630,   632,   634,   636,   637,   639,   641,
     658,   658,   654,   654,   654,   654,   553,   591,   581,   590,
     593,   593,    32,   593,   593,    15,    31,   633,    31,   633,
     633,     7,   633,   579,   556,   542,   252,   253,   253,   554,
     553,   155,   186,   261,   262,   756,   542,   538,   556,    44,
      53,    58,   170,   252,   253,   266,   267,   268,   273,   543,
     772,    58,   223,   245,   249,   252,   253,   260,   267,   272,
     273,   274,   325,   334,   353,   379,   382,   383,   384,   390,
     395,   405,   413,   543,   703,   822,   397,   403,   826,   556,
     553,   556,   538,   553,   155,   261,   393,   553,   553,   289,
     195,   553,   538,   444,   444,   556,   556,   556,   538,    86,
     157,   219,   224,   250,   274,   430,   432,   433,   437,   438,
     440,   448,   449,   543,   859,   444,   450,   543,   875,   444,
     451,   543,   881,    44,   179,   249,   252,   253,   260,   265,
     268,   273,   302,   325,   405,   426,   463,   464,   465,   466,
     468,   543,   703,   894,   475,   476,   482,   543,   912,   543,
     629,   626,   654,     7,   541,   544,   540,   541,   540,   540,
     540,   540,   553,   553,   553,   553,   594,   594,   540,   540,
     540,   541,   540,   539,   540,   704,   705,   254,   254,   254,
     188,   189,   186,    47,    79,   145,   180,   185,   201,   707,
     553,   275,   269,   270,   553,   271,    62,    63,   214,   272,
     691,   553,   254,   254,   274,   538,   385,   386,   387,   388,
     389,   390,   391,   392,   553,   542,   556,   271,    62,   272,
     691,   155,   261,   393,   553,   553,   274,   416,   326,   387,
     553,   556,   553,   289,   195,   553,   414,   553,   406,   385,
     538,   553,   538,   553,   553,   553,   553,   435,   872,   117,
     444,   117,   435,   444,   429,   289,   429,   436,   429,   556,
     434,   280,   439,   275,   259,   860,   259,   861,   538,   443,
     553,   885,   873,   876,   538,   885,   879,   882,   538,   553,
     556,   556,   271,    62,   272,   691,   155,   188,   393,   471,
     895,   553,   280,   274,   470,   557,   326,   406,   338,   385,
     280,   280,   399,   553,   467,   469,   538,   478,   477,   579,
     913,   538,   540,   539,   632,   639,   626,   538,   654,   538,
     538,   538,   538,    32,    32,   633,   633,   543,   538,   554,
     554,   554,   188,   189,    22,   578,    47,   180,   553,   578,
     186,   187,   708,    47,   180,   543,   162,   163,   553,   553,
     553,   553,   553,   554,   554,   556,   827,   400,   401,   553,
     553,   553,   556,   417,   253,   556,   556,   553,   553,   556,
     553,   556,   453,   886,   886,   280,   454,   455,   456,   862,
     553,   862,   280,   553,   254,   553,   254,   553,   431,   556,
     553,   553,   170,   556,   878,   556,   884,   553,   553,   553,
     553,   553,   556,   556,   253,   556,   553,   553,   553,   556,
     556,   556,   479,   479,   654,   540,   553,   553,   540,   541,
     704,   538,   578,   578,   538,   538,   188,   189,   190,   191,
     192,   188,   189,   190,   191,   192,   538,   578,   578,   557,
     557,   543,   557,   829,   556,   399,   556,   553,   886,   553,
     886,   553,   553,   556,   553,   399,   579,   579,   538,   633,
     707,   538,   538,   707,   707,   707,   538,   538,   394,   828,
     541,   707,   707,   707,   707,   538,   633,   540
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   548,   549,   549,   550,   550,   551,   551,   552,   553,
     553,   553,   554,   554,   554,   555,   555,   556,   556,   556,
     556,   556,   556,   557,   557,   557,   558,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   568,   569,
     569,   570,   570,   571,   571,   571,   571,   571,   571,   572,
     572,   573,   573,   574,   574,   575,   575,   575,   575,   575,
     576,   577,   577,   578,   579,   579,   580,   580,   581,   581,
     581,   581,   581,   581,   581,   581,   582,   582,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   584,   585,   586,
     587,   588,   588,   589,   589,   589,   589,   590,   590,   591,
     591,   592,   592,   592,   593,   593,   594,   594,   594,   594,
     595,   595,   595,   596,   596,   596,   596,   597,   597,   597,
     597,   597,   597,   598,   598,   599,   599,   600,   601,   602,
     603,   604,   605,   605,   606,   607,   606,   608,   606,   609,
     551,   611,   610,   551,   612,   551,   613,   551,   614,   551,
     615,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   619,   619,   620,   621,   621,   622,   623,   551,   625,
     624,   626,   626,   627,   628,   628,   629,   629,   630,   630,
     631,   631,   631,   631,   631,   631,   632,   632,   632,   632,
     633,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   635,   635,   635,   635,   636,   636,   636,   637,   637,
     637,   637,   637,   637,   637,   637,   638,   638,   638,   638,
     638,   639,   639,   639,   639,   639,   640,   640,   641,   641,
     642,   642,   642,   642,   643,   643,   644,   644,   644,   645,
     645,   646,   647,   647,   647,   647,   647,   647,   647,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   649,
     649,   649,   649,   650,   650,   650,   651,   652,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   655,   655,   655,   655,   656,   656,
     656,   657,   657,   657,   657,   657,   657,   657,   657,   657,
     657,   657,   657,   657,   657,   657,   657,   657,   657,   657,
     657,   658,   659,   659,   659,   659,   551,   660,   660,   661,
     661,   661,   661,   551,   662,   663,   663,   663,   663,   663,
     663,   663,   663,   663,   663,   551,   664,   664,   665,   551,
     666,   666,   667,   667,   667,   667,   668,   668,   668,   668,
     668,   668,   668,   668,   669,   670,   670,   670,   670,   670,
     670,   670,   670,   671,   671,   672,   672,   673,   674,   675,
     676,   676,   676,   676,   677,   677,   677,   677,   677,   678,
     678,   551,   679,   679,   551,   680,   680,   680,   680,   681,
     681,   681,   681,   681,   681,   681,   681,   682,   683,   684,
     684,   685,   685,   686,   687,   687,   688,   689,   690,   691,
     691,   692,   693,   694,   694,   694,   694,   694,   695,   696,
     697,   697,   697,   698,   698,   699,   699,   699,   699,   699,
     699,   700,   700,   700,   701,   701,   702,   702,   703,   703,
     704,   704,   705,   705,   706,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   708,   708,   708,   708,   708,   708,
     708,   708,   708,   708,   606,   709,   606,   710,   606,   711,
     606,   712,   713,   713,   606,   714,   606,   715,   606,   716,
     717,   717,   717,   717,   717,   717,   717,   717,   717,   717,
     717,   717,   717,   717,   717,   717,   717,   718,   718,   718,
     718,   718,   718,   718,   718,   719,   719,   719,   719,   720,
     720,   720,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   606,   722,   723,   723,   723,   723,   723,   723,
     723,   606,   724,   606,   725,   606,   726,   606,   727,   606,
     728,   606,   729,   606,   730,   606,   731,   606,   732,   606,
     733,   606,   734,   735,   735,   735,   736,   736,   606,   737,
     606,   738,   606,   739,   606,   740,   606,   741,   606,   742,
     606,   743,   606,   744,   606,   745,   746,   746,   746,   747,
     747,   747,   748,   692,   749,   750,   750,   750,   750,   751,
     751,   752,   753,   754,   755,   755,   755,   755,   755,   755,
     755,   755,   756,   756,   756,   756,   756,   756,   757,   757,
     758,   758,   759,   760,   761,   761,   761,   762,   762,   763,
     763,   764,   606,   765,   692,   766,   767,   767,   767,   767,
     768,   768,   769,   770,   771,   772,   772,   772,   772,   772,
     772,   772,   772,   772,   772,   772,   772,   772,   772,   772,
     773,   773,   774,   774,   775,   748,   606,   776,   606,   777,
     606,   778,   606,   779,   692,   780,   781,   781,   781,   782,
     782,   782,   782,   782,   783,   783,   784,   784,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   787,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   788,   789,
     789,   789,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   791,   791,   792,   792,
     793,   794,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   692,   795,   796,   796,   796,
     796,   796,   796,   796,   796,   797,   797,   798,   606,   799,
     800,   800,   800,   800,   800,   800,   692,   801,   801,   801,
     802,   803,   803,   804,   804,   805,   806,   807,   807,   807,
     807,   807,   807,   807,   807,   807,   807,   807,   807,   807,
     807,   807,   808,   809,   810,   810,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   812,   811,   813,   811,   811,
     811,   811,   814,   814,   815,   816,   816,   817,   817,   817,
     818,   818,   819,   819,   820,   820,   820,   820,   820,   820,
     820,   820,   820,   820,   820,   821,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   823,   823,   824,   825,   826,   826,
     826,   827,   827,   828,   828,   829,   830,   831,   831,   833,
     832,   834,   834,   835,   835,   836,   748,   748,   748,   748,
     606,   837,   606,   838,   606,   839,   606,   840,   606,   841,
     606,   842,   606,   843,   606,   844,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   692,   846,   847,   847,   847,
     848,   848,   848,   848,   848,   848,   848,   848,   848,   848,
     692,   850,   849,   851,   851,   851,   851,   692,   852,   853,
     853,   853,   853,   854,   853,   855,   853,   853,   853,   856,
     856,   857,   858,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     860,   859,   861,   859,   859,   859,   862,   862,   862,   863,
     864,   864,   865,   865,   866,   867,   868,   868,   868,   868,
     868,   869,   870,   870,   871,   871,   872,   873,   874,   875,
     875,   875,   876,   877,   877,   878,   878,   879,   880,   881,
     881,   881,   882,   883,   883,   884,   884,   885,   885,   886,
     886,   748,   748,   692,   887,   887,   888,   889,   889,   889,
     889,   889,   889,   890,   890,   891,   892,   893,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   895,   895,   895,   895,   896,   896,   897,
     897,   898,   748,   748,   606,   899,   606,   900,   692,   901,
     902,   903,   903,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   905,   905,   906,   907,   907,   908,   908,   909,
     910,   911,   911,   912,   912,   912,   913,   692,   914,   915,
     915,   915,   915,   915,   915,   916,   916,   916,   916,   916,
     916,   917,   917,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   920,   921,   921,   922,   922,   606,   923,
     924,   925,   925,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   551,   926,   927,   928,   928,   929,   929,   930,   930,
     930,   931,   931,   932,   932,   933,   933,   933,   933,   933,
     933,   933,   933,   933,   551,   934,   934,   551,   935,   935,
     935,   935,   606,   936,   606,   937,   606,   938,   606,   939,
     606,   940,   606,   941,   606,   942,   606,   943,   944,   944,
     945,   945,   945,   692,   946,   924,   924,   947,   947,   948,
     948,   948,   948,   948,   948,   948,   692,   949,   950,   950,
     951,   951,   951,   952,   953,   954,   954,   955,   955,   956,
     748,   748
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     1,     3,     1,     3,     1,
       3,     4,     6,     6,     0,     1,     1,     1,     1,     1,
       2,     4,     4,     2,     2,     2,     2,     2,     4,     2,
       2,     2,     2,     0,     3,     0,     3,     0,     0,     0,
       6,     6,     1,     1,     1,     2,     1,     2,     1,     2,
       1,     0,     4,     1,     2,     1,     4,     1,     6,     1,
       8,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     0,     4,     2,
       5,     0,     4,     1,     1,     1,     2,     4,     1,     0,
       5,     0,     1,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       1,     5,     7,     5,     7,     9,     7,     5,     7,     5,
      11,     1,     1,     2,     1,     7,     9,     7,     7,     9,
       7,     9,     7,     9,     7,    15,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     3,     1,     3,     1,     3,
       1,     2,     2,     6,     1,     3,     0,     4,     3,     1,
       3,     3,     2,     4,     4,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     1,     5,
       7,     7,     1,     0,     1,     3,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     4,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     6,     3,
       3,     3,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     1,     1,     1,     0,     1,
       3,     4,     6,     4,     3,     4,     4,     4,     5,     3,
       3,     3,     2,     5,     4,     7,     7,     7,     7,     7,
       9,     0,     1,     1,     1,     1,     1,     4,     5,     1,
       3,     1,     1,     1,     5,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     4,     1,
       1,     1,     0,     1,     2,     3,     0,     2,     2,     2,
       3,     2,     2,     2,     1,     2,     2,     2,     3,     3,
       3,     2,     4,     0,     3,     0,     3,     0,     3,     1,
       2,     1,     1,     1,     0,     2,     2,     2,     2,     2,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     2,
       4,     3,     4,     4,     3,     4,     4,     3,     0,     1,
       2,     0,     1,     3,     1,     3,     1,     0,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     5,     0,     3,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     4,     1,
       0,     3,     4,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     3,     1,     3,     1,     4,
       1,     5,     1,     0,     1,     3,     1,     4,     1,     4,
       0,     2,     3,     3,     3,     6,     6,     3,     2,     2,
       2,     2,     3,     5,     3,     2,     2,     1,     1,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     4,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     1,     1,     1,
       0,     1,     1,     1,     2,     1,     2,     2,     2,     0,
       3,     5,     0,     0,     2,     4,     4,     4,     2,     2,
       2,     1,     1,     1,     2,     2,     3,     3,     0,     3,
       0,     3,     4,     3,     0,     2,     2,     0,     2,     0,
       2,     4,     1,     5,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     3,     4,     4,
       0,     3,     0,     3,     4,     1,     1,     6,     1,     6,
       1,     6,     1,     6,     2,     2,     0,     3,     3,     0,
       3,     3,     2,     2,     1,     3,     1,     3,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       4,     6,     4,     6,     6,     4,     6,     5,     5,     4,
       5,     5,     6,     3,     3,     4,     5,     6,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     6,     6,     6,
       5,     6,     8,     6,     6,     6,     5,     6,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     5,     6,     7,
       7,     7,     5,     5,     4,     4,     1,     1,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     4,     2,     3,     3,     3,
       2,     2,     2,     3,     5,     5,     4,     3,     3,     3,
       3,     3,     2,     2,     2,     3,     0,     3,     0,     3,
       0,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     2,     2,
       2,     1,     2,     2,     4,     0,     3,     5,     1,     4,
       0,     3,     3,     3,     2,     3,     2,     1,     2,     2,
       2,     3,     3,     0,     1,     2,     3,     1,     1,     2,
       2,     3,     3,     3,     3,     4,     2,     4,     3,     2,
       3,     1,     2,     4,     0,     3,     2,     1,     2,     3,
       3,     3,     3,     2,     3,     0,     5,     0,     5,     2,
       2,     1,     4,     1,     1,     0,     3,     2,     2,     2,
       5,     2,     0,     3,     0,     2,     2,     3,     2,     2,
       3,     2,     2,     2,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     2,     3,     2,     3,     3,     4,
       4,     2,     2,     2,     3,     3,     3,     2,     3,     3,
       3,     4,     2,     1,     0,     2,     3,     1,     0,     1,
       2,     0,     2,     0,     1,     3,     0,     0,     2,     0,
       3,     0,     3,     0,     3,     3,     1,     1,     1,     1,
       1,     4,     1,     6,     1,     6,     1,     6,     1,     7,
       1,     6,     1,     7,     1,     5,     0,     2,     3,     2,
       3,     3,     2,     3,     2,     2,     2,     3,     3,     3,
       1,     3,     3,     2,     3,     3,     2,     2,     2,     2,
       2,     0,     4,     2,     3,     3,     5,     1,     2,     1,
       1,     2,     2,     0,     3,     0,     3,     2,     3,     0,
       3,     5,     0,     4,     4,     3,     4,     2,     3,     3,
       3,     3,     4,     4,     4,     3,     3,     4,     4,     2,
       0,     3,     0,     3,     3,     3,     1,     1,     1,     0,
       0,     3,     0,     3,     4,     1,     2,     2,     2,     4,
       4,     0,     0,     3,     0,     3,     3,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     2,     0,
       2,     1,     1,     1,     1,     2,     2,     1,     1,     2,
       4,     2,     2,     0,     3,     5,     0,     0,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     0,     1,     2,     1,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     1,     2,     2,     2,     3,     5,     1,     2,     2,
       2,     2,     2,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     2,     0,     0,     2,     2,     2,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     1,     3,     4,
       3,     3,     1,     4,     1,     5,     1,     3,     1,     3,
       1,     3,     1,     4,     1,     2,     1,     3,     0,     1,
       0,     1,     2,     2,     2,     3,     3,     0,     2,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 132 "conf/confbase.Y" /* yacc.c:1648  */
    { return 0; }
#line 5792 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 3:
#line 133 "conf/confbase.Y" /* yacc.c:1648  */
    { return 0; }
#line 5798 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 8:
#line 149 "conf/confbase.Y" /* yacc.c:1648  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 5808 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 10:
#line 158 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 5814 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 11:
#line 159 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5822 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 12:
#line 165 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5828 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 13:
#line 166 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 14:
#line 167 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5840 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 17:
#line 175 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5846 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 18:
#line 176 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5852 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 19:
#line 177 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5858 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 20:
#line 178 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 5864 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 21:
#line 179 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 5870 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 22:
#line 180 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5876 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 23:
#line 187 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5882 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 24:
#line 188 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5888 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 25:
#line 189 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5897 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 26:
#line 196 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.iface) = NULL; }
#line 5903 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 27:
#line 197 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5909 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 28:
#line 204 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5918 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 29:
#line 211 "conf/confbase.Y" /* yacc.c:1648  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5931 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 30:
#line 221 "conf/confbase.Y" /* yacc.c:1648  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5947 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 31:
#line 234 "conf/confbase.Y" /* yacc.c:1648  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5969 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 32:
#line 253 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5978 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 33:
#line 259 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5987 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 34:
#line 265 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5998 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 35:
#line 273 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6009 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 36:
#line 281 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6018 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 43:
#line 291 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6024 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 50:
#line 304 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6034 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 52:
#line 313 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6044 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 54:
#line 322 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6054 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 57:
#line 332 "conf/confbase.Y" /* yacc.c:1648  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6060 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 58:
#line 333 "conf/confbase.Y" /* yacc.c:1648  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6066 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 59:
#line 334 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 60:
#line 345 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6089 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 62:
#line 353 "conf/confbase.Y" /* yacc.c:1648  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6100 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 63:
#line 362 "conf/confbase.Y" /* yacc.c:1648  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6110 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 65:
#line 371 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6119 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 67:
#line 379 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.t) = NULL; }
#line 6125 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 68:
#line 37 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 6131 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 69:
#line 38 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 6137 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 70:
#line 39 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6143 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 71:
#line 40 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6149 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 72:
#line 41 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6155 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 73:
#line 42 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6161 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 74:
#line 43 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6167 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 75:
#line 44 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6173 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 76:
#line 48 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6179 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 77:
#line 49 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6185 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 78:
#line 53 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6191 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 79:
#line 54 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6197 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 80:
#line 55 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6203 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 81:
#line 56 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6209 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 82:
#line 57 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6215 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 83:
#line 58 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6221 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 84:
#line 59 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6227 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 85:
#line 60 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6233 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 86:
#line 61 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6239 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 87:
#line 64 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6245 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 88:
#line 65 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6251 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 89:
#line 66 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6257 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 90:
#line 67 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 6263 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 91:
#line 70 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6269 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 92:
#line 71 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6275 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 93:
#line 75 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6284 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 94:
#line 79 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6293 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 97:
#line 88 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6302 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 98:
#line 92 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6313 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 101:
#line 106 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6322 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 102:
#line 110 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6331 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 103:
#line 114 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6340 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 104:
#line 121 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 0x00; }
#line 6346 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 105:
#line 122 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 0x02; }
#line 6352 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 106:
#line 126 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 1; }
#line 6358 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 107:
#line 127 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 2; }
#line 6364 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 108:
#line 128 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 4; }
#line 6370 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 109:
#line 129 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 8; }
#line 6376 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 110:
#line 133 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6384 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 111:
#line 136 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 112:
#line 139 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6400 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 113:
#line 145 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6409 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 117:
#line 155 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 118:
#line 159 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6429 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 127:
#line 182 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 128:
#line 189 "conf/flowspec.Y" /* yacc.c:1648  */
    { this_flow->ipv6 = 0; }
#line 6446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 129:
#line 190 "conf/flowspec.Y" /* yacc.c:1648  */
    { this_flow->ipv6 = 1; }
#line 6452 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 130:
#line 193 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6461 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 131:
#line 199 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6470 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 141:
#line 470 "filter/config.Y" /* yacc.c:1648  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6476 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 142:
#line 471 "filter/config.Y" /* yacc.c:1648  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6488 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 144:
#line 482 "filter/config.Y" /* yacc.c:1648  */
    { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6494 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 146:
#line 486 "filter/config.Y" /* yacc.c:1648  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6502 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 148:
#line 492 "filter/config.Y" /* yacc.c:1648  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6516 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 150:
#line 505 "filter/config.Y" /* yacc.c:1648  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6532 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 151:
#line 519 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_INT; }
#line 6538 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 152:
#line 520 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_BOOL; }
#line 6544 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 153:
#line 521 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_IP; }
#line 6550 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 154:
#line 522 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_RD; }
#line 6556 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 155:
#line 523 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_NET; }
#line 6562 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 156:
#line 524 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PAIR; }
#line 6568 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 157:
#line 525 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_QUAD; }
#line 6574 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 158:
#line 526 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_EC; }
#line 6580 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 159:
#line 527 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_LC; }
#line 6586 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 160:
#line 528 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_STRING; }
#line 6592 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 161:
#line 529 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PATH_MASK; }
#line 6598 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 162:
#line 530 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PATH; }
#line 6604 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 163:
#line 531 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_CLIST; }
#line 6610 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 164:
#line 532 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_ECLIST; }
#line 6616 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 165:
#line 533 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_LCLIST; }
#line 6622 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 166:
#line 534 "filter/config.Y" /* yacc.c:1648  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6647 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 168:
#line 558 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 6656 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 169:
#line 565 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 6662 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 170:
#line 566 "filter/config.Y" /* yacc.c:1648  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 6671 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 171:
#line 573 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 6677 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 172:
#line 574 "filter/config.Y" /* yacc.c:1648  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6686 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 174:
#line 583 "filter/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6695 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 175:
#line 587 "filter/config.Y" /* yacc.c:1648  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 6705 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 176:
#line 595 "filter/config.Y" /* yacc.c:1648  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6714 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 177:
#line 602 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6723 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 179:
#line 610 "filter/config.Y" /* yacc.c:1648  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6732 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 180:
#line 613 "filter/config.Y" /* yacc.c:1648  */
    {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 6743 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 181:
#line 623 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 6749 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 182:
#line 624 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 6755 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 183:
#line 627 "filter/config.Y" /* yacc.c:1648  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 6766 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 185:
#line 636 "filter/config.Y" /* yacc.c:1648  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 6782 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 186:
#line 650 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6790 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 187:
#line 653 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6798 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 188:
#line 662 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6804 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 189:
#line 663 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6810 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 190:
#line 676 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6816 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 191:
#line 677 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6822 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 192:
#line 678 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6828 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 193:
#line 679 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 194:
#line 680 "filter/config.Y" /* yacc.c:1648  */
    {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6843 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 195:
#line 684 "filter/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 6853 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 196:
#line 692 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6859 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 197:
#line 693 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6865 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 198:
#line 694 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6871 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 199:
#line 695 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6877 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 200:
#line 699 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6883 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 201:
#line 702 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6889 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 202:
#line 703 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6895 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 203:
#line 704 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6901 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 204:
#line 705 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6907 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 205:
#line 706 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6913 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 206:
#line 707 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6919 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 207:
#line 708 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6925 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 208:
#line 709 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6931 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 209:
#line 710 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6937 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 210:
#line 712 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6943 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 211:
#line 716 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.ecs) = EC_RT; }
#line 6949 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 212:
#line 717 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.ecs) = EC_RO; }
#line 6955 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 213:
#line 718 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 6961 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 214:
#line 719 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.ecs) = EC_GENERIC; }
#line 6967 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 215:
#line 723 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6973 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 216:
#line 724 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6979 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 217:
#line 725 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6985 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 218:
#line 729 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6991 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 219:
#line 730 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6997 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 220:
#line 731 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7003 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 221:
#line 732 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7009 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 222:
#line 733 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7015 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 223:
#line 734 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7021 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 224:
#line 735 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7027 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 225:
#line 737 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7033 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 229:
#line 744 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7039 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 230:
#line 745 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7045 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 234:
#line 752 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7051 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 235:
#line 753 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7057 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 237:
#line 758 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7063 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 239:
#line 763 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7069 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 240:
#line 767 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7075 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 241:
#line 768 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7081 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 242:
#line 769 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7087 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 243:
#line 770 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7097 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 244:
#line 778 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7103 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 245:
#line 779 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7109 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 246:
#line 782 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = NULL; }
#line 7115 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 247:
#line 783 "filter/config.Y" /* yacc.c:1648  */
    {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7128 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 248:
#line 791 "filter/config.Y" /* yacc.c:1648  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7140 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 249:
#line 801 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7146 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 250:
#line 802 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7152 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 251:
#line 806 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7158 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 252:
#line 810 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7164 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 253:
#line 811 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7170 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 254:
#line 812 "filter/config.Y" /* yacc.c:1648  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7179 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 255:
#line 816 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7185 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 256:
#line 817 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7191 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 257:
#line 818 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7197 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 258:
#line 819 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 7203 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 259:
#line 823 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7209 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 260:
#line 824 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7215 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 261:
#line 825 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7221 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 262:
#line 826 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7227 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 263:
#line 827 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7233 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 264:
#line 828 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7239 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 265:
#line 829 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7245 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 266:
#line 830 "filter/config.Y" /* yacc.c:1648  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7255 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 267:
#line 835 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7261 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 268:
#line 836 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7267 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 269:
#line 840 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7273 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 270:
#line 841 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7279 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 271:
#line 842 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7285 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 272:
#line 843 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7291 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 273:
#line 848 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 7297 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 274:
#line 849 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7303 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 275:
#line 850 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7309 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 276:
#line 853 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7336 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 277:
#line 878 "filter/config.Y" /* yacc.c:1648  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7356 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 278:
#line 896 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7362 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 279:
#line 897 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7368 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 280:
#line 898 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 281:
#line 899 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 282:
#line 900 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 283:
#line 901 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 284:
#line 902 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 285:
#line 903 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 286:
#line 904 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7410 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 287:
#line 908 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7416 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 288:
#line 909 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7422 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 289:
#line 910 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7428 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 290:
#line 911 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7434 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 291:
#line 912 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 292:
#line 913 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 293:
#line 914 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7452 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 294:
#line 915 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7458 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 295:
#line 916 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7464 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 296:
#line 917 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7470 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 297:
#line 918 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7476 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 298:
#line 919 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7482 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 299:
#line 920 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7488 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 300:
#line 921 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7494 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 301:
#line 922 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7500 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 302:
#line 923 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7506 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 303:
#line 924 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7512 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 304:
#line 926 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7518 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 305:
#line 927 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7524 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 306:
#line 928 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7530 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 307:
#line 930 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7536 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 308:
#line 932 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7542 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 309:
#line 934 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7548 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 310:
#line 936 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7554 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 311:
#line 937 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7560 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 312:
#line 938 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7566 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 313:
#line 939 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7572 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 314:
#line 940 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7578 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 315:
#line 941 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7584 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 316:
#line 942 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN, (yyvsp[-2].x)); }
#line 7590 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 317:
#line 943 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_SADR_SRC, (yyvsp[-2].x)); }
#line 7596 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 318:
#line 944 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7602 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 319:
#line 945 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7608 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 320:
#line 946 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7614 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 321:
#line 947 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7620 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 322:
#line 957 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7626 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 323:
#line 958 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7632 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 324:
#line 959 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7638 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 325:
#line 960 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7644 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 326:
#line 961 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7650 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 327:
#line 962 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7656 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 328:
#line 963 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7662 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 329:
#line 964 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7668 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 330:
#line 966 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7674 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 331:
#line 967 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7680 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 332:
#line 969 "filter/config.Y" /* yacc.c:1648  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 7686 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 334:
#line 977 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fret) = F_QUITBIRD; }
#line 7692 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 335:
#line 978 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fret) = F_ACCEPT; }
#line 7698 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 336:
#line 979 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fret) = F_REJECT; }
#line 7704 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 337:
#line 980 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fret) = F_ERROR; }
#line 7710 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 338:
#line 983 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 7716 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 339:
#line 984 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7722 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 340:
#line 985 "filter/config.Y" /* yacc.c:1648  */
    {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 7733 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 341:
#line 994 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 7741 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 342:
#line 997 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 7749 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 343:
#line 1000 "filter/config.Y" /* yacc.c:1648  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 7766 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 344:
#line 1012 "filter/config.Y" /* yacc.c:1648  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 7775 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 345:
#line 1016 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 7783 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 346:
#line 1019 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 7793 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 347:
#line 1024 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 7801 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 348:
#line 1027 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 7809 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 349:
#line 1030 "filter/config.Y" /* yacc.c:1648  */
    {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 7825 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 350:
#line 1041 "filter/config.Y" /* yacc.c:1648  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 7834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 351:
#line 1045 "filter/config.Y" /* yacc.c:1648  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 7842 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 352:
#line 1048 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 7848 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 353:
#line 1049 "filter/config.Y" /* yacc.c:1648  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 7856 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 354:
#line 1053 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7862 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 355:
#line 1054 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7868 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 356:
#line 1055 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7874 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 357:
#line 1056 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7880 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 358:
#line 1057 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7886 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 359:
#line 1058 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7892 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 360:
#line 1059 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 7898 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 361:
#line 1063 "filter/config.Y" /* yacc.c:1648  */
    {
  (yyval.t) = cf_text;
}
#line 7906 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 362:
#line 1068 "filter/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 7912 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 363:
#line 1069 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 7918 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 364:
#line 1070 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 7924 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 365:
#line 1071 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 7930 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 367:
#line 109 "nest/config.Y" /* yacc.c:1648  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 7936 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 368:
#line 110 "nest/config.Y" /* yacc.c:1648  */
    { new_config->router_id_from = this_ipatt; }
#line 7942 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 369:
#line 114 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 7948 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 370:
#line 115 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7954 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 371:
#line 116 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 7960 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 372:
#line 117 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7973 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 374:
#line 129 "nest/config.Y" /* yacc.c:1648  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7979 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 375:
#line 135 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP4; }
#line 7985 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 376:
#line 136 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP6; }
#line 7991 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 377:
#line 137 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7997 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 378:
#line 138 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_VPN4; }
#line 8003 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 379:
#line 139 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_VPN6; }
#line 8009 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 380:
#line 140 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_ROA4; }
#line 8015 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 381:
#line 141 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_ROA6; }
#line 8021 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 382:
#line 142 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_FLOW4; }
#line 8027 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 383:
#line 143 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_FLOW6; }
#line 8033 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 384:
#line 144 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_MPLS; }
#line 8039 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 386:
#line 155 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 8045 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 387:
#line 156 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 8051 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 388:
#line 159 "nest/config.Y" /* yacc.c:1648  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 8061 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 389:
#line 169 "nest/config.Y" /* yacc.c:1648  */
    { proto_postconfig(); }
#line 8067 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 390:
#line 172 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = SYM_PROTO; }
#line 8073 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 391:
#line 173 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 8079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 392:
#line 177 "nest/config.Y" /* yacc.c:1648  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8090 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 393:
#line 183 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8099 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 394:
#line 187 "nest/config.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 395:
#line 197 "nest/config.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8127 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 397:
#line 209 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 8133 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 398:
#line 210 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->debug = (yyvsp[0].i); }
#line 8139 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 399:
#line 211 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 8145 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 400:
#line 212 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 8151 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 401:
#line 213 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8157 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 402:
#line 214 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8163 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 403:
#line 215 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8169 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 404:
#line 220 "nest/config.Y" /* yacc.c:1648  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8177 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 405:
#line 225 "nest/config.Y" /* yacc.c:1648  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8187 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 406:
#line 230 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 8193 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 407:
#line 231 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 8199 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 408:
#line 232 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8205 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 409:
#line 233 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 8211 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 410:
#line 234 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 8217 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 411:
#line 235 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8223 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 412:
#line 236 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8229 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 417:
#line 250 "nest/config.Y" /* yacc.c:1648  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8240 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 419:
#line 260 "nest/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8246 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 420:
#line 263 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = (yyvsp[0].f); }
#line 8252 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 422:
#line 265 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 8258 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 423:
#line 266 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = FILTER_REJECT; }
#line 8264 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 424:
#line 270 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_DISABLE; }
#line 8270 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 425:
#line 271 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_WARN; }
#line 8276 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 426:
#line 272 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_BLOCK; }
#line 8282 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 427:
#line 273 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_RESTART; }
#line 8288 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 428:
#line 274 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_DISABLE; }
#line 8294 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 429:
#line 278 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8300 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 430:
#line 279 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 8306 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 432:
#line 286 "nest/config.Y" /* yacc.c:1648  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8312 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 433:
#line 287 "nest/config.Y" /* yacc.c:1648  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 8318 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 435:
#line 295 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_route; }
#line 8324 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 436:
#line 296 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 8330 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 437:
#line 297 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_base; }
#line 8336 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 438:
#line 298 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_log; }
#line 8342 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 439:
#line 302 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8348 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 440:
#line 303 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8354 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 441:
#line 304 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8360 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 442:
#line 305 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8366 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 443:
#line 306 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8372 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 444:
#line 307 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8378 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 445:
#line 308 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8384 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 446:
#line 309 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8390 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 448:
#line 320 "nest/config.Y" /* yacc.c:1648  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8400 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 449:
#line 328 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8406 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 450:
#line 329 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8412 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 451:
#line 333 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->positive = 1; }
#line 8418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 452:
#line 334 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->positive = 0; }
#line 8424 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 456:
#line 348 "nest/config.Y" /* yacc.c:1648  */
    { iface_patt_check(); }
#line 8430 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 457:
#line 350 "nest/config.Y" /* yacc.c:1648  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 459:
#line 362 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 460:
#line 363 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8452 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 462:
#line 370 "nest/config.Y" /* yacc.c:1648  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8461 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 467:
#line 381 "nest/config.Y" /* yacc.c:1648  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8467 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 468:
#line 385 "nest/config.Y" /* yacc.c:1648  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8477 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 470:
#line 399 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 8483 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 471:
#line 400 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 8489 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 472:
#line 401 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8495 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 474:
#line 406 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8501 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 475:
#line 410 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_STATES; }
#line 8507 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 476:
#line 411 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_ROUTES; }
#line 8513 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 477:
#line 412 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_FILTERS; }
#line 8519 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 478:
#line 413 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_IFACES; }
#line 8525 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 479:
#line 414 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_EVENTS; }
#line 8531 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 480:
#line 415 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_PACKETS; }
#line 8537 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 481:
#line 421 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 8543 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 482:
#line 422 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 8549 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 483:
#line 423 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8555 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 485:
#line 428 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8561 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 486:
#line 432 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = MD_STATES; }
#line 8567 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 487:
#line 433 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = MD_MESSAGES; }
#line 8573 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 494:
#line 454 "nest/config.Y" /* yacc.c:1648  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 8595 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 495:
#line 474 "nest/config.Y" /* yacc.c:1648  */
    { }
#line 8601 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 496:
#line 475 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8607 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 497:
#line 476 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 8613 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 498:
#line 477 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8619 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 499:
#line 478 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 8625 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 500:
#line 479 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8631 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 501:
#line 480 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8637 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 502:
#line 481 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 8643 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 503:
#line 482 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8649 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 504:
#line 486 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_MD5; }
#line 8655 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 505:
#line 487 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA1; }
#line 8661 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 506:
#line 488 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA256; }
#line 8667 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 507:
#line 489 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA384; }
#line 8673 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 508:
#line 490 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA512; }
#line 8679 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 509:
#line 491 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8685 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 510:
#line 492 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8691 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 511:
#line 493 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8697 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 512:
#line 494 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8703 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 513:
#line 495 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8709 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 515:
#line 502 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_status(); }
#line 8715 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 517:
#line 505 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_memory(); }
#line 8721 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 519:
#line 508 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8727 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 521:
#line 511 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8733 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 522:
#line 514 "nest/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 8739 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 523:
#line 515 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.s) = NULL; }
#line 8745 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 525:
#line 519 "nest/config.Y" /* yacc.c:1648  */
    { if_show(); }
#line 8751 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 527:
#line 522 "nest/config.Y" /* yacc.c:1648  */
    { if_show_summary(); }
#line 8757 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 529:
#line 526 "nest/config.Y" /* yacc.c:1648  */
    { rt_show((yyvsp[-1].ra)); }
#line 8763 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 530:
#line 529 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8774 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 531:
#line 535 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8784 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 532:
#line 540 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8795 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 533:
#line 546 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8806 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 534:
#line 552 "nest/config.Y" /* yacc.c:1648  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8818 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 535:
#line 559 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (yyvsp[-2].s)->proto;
     if (!cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->in_table) cf_error("No import table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 536:
#line 570 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (yyvsp[-2].s)->proto;
     if (!cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->out_table) cf_error("No export table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8850 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 537:
#line 581 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8860 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 538:
#line 586 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8870 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 539:
#line 591 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8879 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 540:
#line 595 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8888 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 541:
#line 599 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8897 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 542:
#line 603 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8912 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 543:
#line 613 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->proto;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8928 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 544:
#line 624 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8942 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 545:
#line 633 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 8951 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 546:
#line 637 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 8960 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 547:
#line 644 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 8969 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 551:
#line 651 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8978 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 552:
#line 655 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8987 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 553:
#line 659 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 8996 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 554:
#line 663 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9012 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 557:
#line 679 "nest/config.Y" /* yacc.c:1648  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9018 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 558:
#line 680 "nest/config.Y" /* yacc.c:1648  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9024 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 559:
#line 683 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 9030 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 560:
#line 684 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_EXPORT; }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 561:
#line 685 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 562:
#line 690 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4"; }
#line 9048 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 563:
#line 691 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4-mc"; }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 564:
#line 692 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4-mpls"; }
#line 9060 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 565:
#line 693 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6"; }
#line 9066 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 566:
#line 694 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-mc"; }
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 567:
#line 695 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-mpls"; }
#line 9078 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 568:
#line 696 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-sadr"; }
#line 9084 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 569:
#line 697 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4"; }
#line 9090 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 570:
#line 698 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4-mc"; }
#line 9096 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 571:
#line 699 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4-mpls"; }
#line 9102 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 572:
#line 700 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6"; }
#line 9108 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 573:
#line 701 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6-mc"; }
#line 9114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 574:
#line 702 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6-mpls"; }
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 575:
#line 703 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "roa4"; }
#line 9126 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 576:
#line 704 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "roa6"; }
#line 9132 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 577:
#line 705 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "flow4"; }
#line 9138 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 578:
#line 706 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "flow6"; }
#line 9144 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 579:
#line 707 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "mpls"; }
#line 9150 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 580:
#line 708 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "pri"; }
#line 9156 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 581:
#line 709 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "sec"; }
#line 9162 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 583:
#line 714 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 9168 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 584:
#line 717 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9176 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 585:
#line 720 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9182 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 586:
#line 721 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9188 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 587:
#line 722 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9194 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 588:
#line 723 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9200 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 589:
#line 724 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9206 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 590:
#line 725 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9212 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 592:
#line 731 "nest/config.Y" /* yacc.c:1648  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 9218 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 594:
#line 733 "nest/config.Y" /* yacc.c:1648  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 9224 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 596:
#line 735 "nest/config.Y" /* yacc.c:1648  */
    { io_log_dump(); cli_msg(0, ""); }
#line 9230 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 598:
#line 737 "nest/config.Y" /* yacc.c:1648  */
    { if_dump_all(); cli_msg(0, ""); }
#line 9236 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 600:
#line 739 "nest/config.Y" /* yacc.c:1648  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 9242 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 602:
#line 741 "nest/config.Y" /* yacc.c:1648  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 9248 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 604:
#line 743 "nest/config.Y" /* yacc.c:1648  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 9254 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 606:
#line 745 "nest/config.Y" /* yacc.c:1648  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 9260 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 608:
#line 747 "nest/config.Y" /* yacc.c:1648  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 9266 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 610:
#line 750 "nest/config.Y" /* yacc.c:1648  */
    { cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9272 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 612:
#line 753 "nest/config.Y" /* yacc.c:1648  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9281 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 613:
#line 759 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 9287 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 614:
#line 760 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 9293 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 615:
#line 761 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9299 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 616:
#line 765 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 4096; }
#line 9305 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 617:
#line 766 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9314 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 619:
#line 773 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9320 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 621:
#line 775 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9326 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 623:
#line 777 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9332 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 625:
#line 779 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9338 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 627:
#line 781 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9344 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 629:
#line 783 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9350 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 631:
#line 787 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 9356 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 633:
#line 791 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9362 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 635:
#line 794 "nest/config.Y" /* yacc.c:1648  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9368 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 636:
#line 797 "nest/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 637:
#line 798 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 638:
#line 799 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 639:
#line 803 "nest/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 640:
#line 804 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 641:
#line 805 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 642:
#line 808 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9410 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 644:
#line 37 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
}
#line 9420 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 652:
#line 60 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9437 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 653:
#line 74 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 9460 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 654:
#line 94 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9466 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 655:
#line 95 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 9472 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 656:
#line 96 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9478 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 657:
#line 97 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 9484 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 658:
#line 98 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 9490 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 659:
#line 99 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 9496 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 660:
#line 100 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 9502 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 661:
#line 101 "proto/bfd/config.Y" /* yacc.c:1648  */
    {}
#line 9508 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 662:
#line 105 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 9514 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 663:
#line 106 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 9520 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 664:
#line 107 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 9526 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 665:
#line 108 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 9532 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 666:
#line 109 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 9538 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 667:
#line 110 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 9544 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 673:
#line 128 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 9550 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 674:
#line 132 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = NULL; }
#line 9556 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 675:
#line 133 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 9562 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 676:
#line 134 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 9568 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 677:
#line 138 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.a) = IPA_NONE; }
#line 9574 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 678:
#line 139 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.a) = (yyvsp[0].a); }
#line 9580 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 679:
#line 143 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 9586 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 680:
#line 144 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9592 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 681:
#line 148 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9612 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 683:
#line 167 "proto/bfd/config.Y" /* yacc.c:1648  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 9618 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 685:
#line 35 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9628 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 689:
#line 45 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 9634 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 693:
#line 58 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 9650 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 694:
#line 72 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9678 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 696:
#line 98 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9684 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 697:
#line 99 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9690 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 698:
#line 100 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9696 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 699:
#line 101 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9702 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 700:
#line 102 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9708 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 701:
#line 103 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9714 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 702:
#line 104 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9720 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 703:
#line 105 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 704:
#line 106 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 705:
#line 107 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 706:
#line 108 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 707:
#line 109 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 708:
#line 110 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 709:
#line 111 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 715:
#line 128 "proto/babel/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 717:
#line 133 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9774 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 719:
#line 136 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 721:
#line 139 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 723:
#line 142 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9792 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 725:
#line 48 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 9824 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 727:
#line 79 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9830 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 728:
#line 80 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9836 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 730:
#line 85 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9842 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 731:
#line 86 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 9848 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 732:
#line 87 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 9854 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 733:
#line 88 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 9860 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 734:
#line 93 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 9866 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 735:
#line 94 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9872 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 737:
#line 99 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9878 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 738:
#line 103 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 0; }
#line 9884 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 739:
#line 104 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 1; }
#line 9890 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 740:
#line 105 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 2; }
#line 9896 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 741:
#line 106 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 3; }
#line 9902 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 742:
#line 107 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 4; }
#line 9908 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 743:
#line 108 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 5; }
#line 9914 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 744:
#line 109 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 6; }
#line 9920 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 745:
#line 110 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 7; }
#line 9926 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 746:
#line 111 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 8; }
#line 9932 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 751:
#line 119 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9941 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 753:
#line 124 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9952 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 754:
#line 130 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 9964 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 755:
#line 137 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 9970 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 756:
#line 138 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 9976 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 757:
#line 139 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 9982 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 758:
#line 140 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 9988 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 759:
#line 141 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 760:
#line 142 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 761:
#line 143 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 10006 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 762:
#line 144 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10012 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 763:
#line 145 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = 0; }
#line 10018 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 764:
#line 146 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = 64; }
#line 10024 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 765:
#line 147 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10030 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 766:
#line 148 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10040 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 767:
#line 153 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10046 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 768:
#line 154 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10052 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 769:
#line 155 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10058 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 770:
#line 156 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10064 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 771:
#line 157 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10070 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 772:
#line 158 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10076 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 773:
#line 159 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10082 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 774:
#line 160 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10088 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 775:
#line 161 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10094 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 776:
#line 162 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10100 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 777:
#line 163 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10106 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 778:
#line 164 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10112 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 779:
#line 165 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10118 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 780:
#line 166 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10124 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 781:
#line 167 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10130 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 782:
#line 168 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10136 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 783:
#line 169 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10142 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 784:
#line 170 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10148 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 785:
#line 171 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10154 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 786:
#line 172 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10160 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 787:
#line 173 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10166 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 788:
#line 174 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10172 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 789:
#line 175 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 10178 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 790:
#line 176 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10184 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 791:
#line 177 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10190 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 792:
#line 178 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10196 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 793:
#line 179 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_as = -1; }
#line 10202 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 794:
#line 180 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10208 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 795:
#line 181 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10214 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 796:
#line 182 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10220 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 797:
#line 183 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10226 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 798:
#line 184 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10232 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 799:
#line 185 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10238 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 800:
#line 186 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10244 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 801:
#line 187 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10250 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 802:
#line 188 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10256 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 803:
#line 189 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10262 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 804:
#line 190 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 10268 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 805:
#line 191 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->bfd = BGP_BFD_GRACEFUL; cf_check_bfd(1); }
#line 10274 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 806:
#line 195 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 10280 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 807:
#line 196 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 10286 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 808:
#line 197 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10292 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 809:
#line 198 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10298 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 810:
#line 199 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10304 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 811:
#line 200 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 10310 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 812:
#line 201 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 10316 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 813:
#line 202 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 10322 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 814:
#line 203 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 10328 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 815:
#line 204 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 10334 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 816:
#line 205 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 10340 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 817:
#line 206 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 10346 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 818:
#line 210 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 10374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 819:
#line 235 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 820:
#line 236 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NH_IBGP; }
#line 10386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 821:
#line 237 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NH_EBGP; }
#line 10392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 823:
#line 241 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 10398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 824:
#line 242 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 10404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 825:
#line 243 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 10410 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 826:
#line 244 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 10416 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 827:
#line 245 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 10422 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 828:
#line 246 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 10428 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 829:
#line 247 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 10434 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 830:
#line 248 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 10440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 831:
#line 249 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 10446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 832:
#line 250 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 10452 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 833:
#line 251 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 10458 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 834:
#line 252 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 10464 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 835:
#line 253 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 10470 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 836:
#line 254 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 10476 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 837:
#line 255 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 10482 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 838:
#line 256 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 10488 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 839:
#line 257 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 10494 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 840:
#line 258 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 10500 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 841:
#line 259 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 10506 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 842:
#line 260 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 10512 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 843:
#line 261 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 10518 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 844:
#line 262 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 10524 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 845:
#line 263 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 10540 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 850:
#line 287 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10551 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 852:
#line 298 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 10557 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 853:
#line 300 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 10563 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 854:
#line 302 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 10569 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 855:
#line 304 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 10575 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 856:
#line 306 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 10581 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 857:
#line 308 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 10587 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 858:
#line 310 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 10593 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 859:
#line 312 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 10599 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 860:
#line 314 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 10605 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 861:
#line 316 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 10611 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 862:
#line 318 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 10617 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 863:
#line 320 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 10623 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 864:
#line 322 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 10629 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 866:
#line 29 "proto/mrt/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 10637 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 868:
#line 35 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 10643 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 869:
#line 36 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 10649 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 870:
#line 37 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10655 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 871:
#line 38 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 10661 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 872:
#line 39 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 10667 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 873:
#line 40 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 10673 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 874:
#line 41 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 10679 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 877:
#line 50 "proto/mrt/config.Y" /* yacc.c:1648  */
    { mrt_check_config(this_proto); }
#line 10685 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 879:
#line 54 "proto/mrt/config.Y" /* yacc.c:1648  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 10691 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 880:
#line 57 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 10697 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 881:
#line 58 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 882:
#line 59 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 10709 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 883:
#line 60 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10715 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 884:
#line 61 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10721 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 885:
#line 62 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 10727 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 886:
#line 211 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_proto_finish(); }
#line 10733 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 887:
#line 214 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10739 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 888:
#line 215 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10745 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 889:
#line 216 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 10751 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 890:
#line 220 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 893:
#line 240 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 10775 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 894:
#line 241 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10781 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 895:
#line 246 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10794 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 898:
#line 259 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10800 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 899:
#line 260 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10806 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 900:
#line 261 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10812 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 901:
#line 262 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10818 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 902:
#line 263 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 10824 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 903:
#line 264 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 10830 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 904:
#line 265 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 10836 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 905:
#line 266 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 10842 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 906:
#line 267 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 10848 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 907:
#line 268 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10854 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 908:
#line 269 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 10860 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 909:
#line 270 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 10866 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 910:
#line 271 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10872 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 912:
#line 275 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 10890 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 913:
#line 290 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_area_finish(); }
#line 10896 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 916:
#line 299 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 10902 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 917:
#line 300 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->type = OPT_N; }
#line 10908 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 918:
#line 301 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->summary = (yyvsp[0].i); }
#line 10914 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 919:
#line 302 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 10920 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 920:
#line 303 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10926 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 921:
#line 304 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 10932 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 922:
#line 305 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10938 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 923:
#line 306 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->translator = (yyvsp[0].i); }
#line 10944 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 924:
#line 307 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->transint = (yyvsp[0].i); }
#line 10950 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 925:
#line 308 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_nets = &this_area->net_list; }
#line 10956 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 927:
#line 309 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_nets = &this_area->enet_list; }
#line 10962 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 934:
#line 321 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 10973 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 937:
#line 335 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 10979 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 938:
#line 336 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 10985 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 939:
#line 337 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 10991 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 940:
#line 341 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 10997 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 941:
#line 342 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 11003 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 945:
#line 351 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11009 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 946:
#line 352 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11015 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 947:
#line 353 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11021 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 948:
#line 354 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11027 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 949:
#line 355 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11033 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 950:
#line 356 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11039 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 951:
#line 357 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11045 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 952:
#line 358 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11051 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 953:
#line 359 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11057 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 955:
#line 364 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11077 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 956:
#line 382 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11083 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 957:
#line 383 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11089 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 958:
#line 384 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11095 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 959:
#line 385 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11101 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 960:
#line 386 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11107 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 961:
#line 387 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11113 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 962:
#line 388 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11119 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 963:
#line 389 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11125 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 964:
#line 390 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11131 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 965:
#line 391 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11137 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 966:
#line 392 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11143 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 967:
#line 393 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11149 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 968:
#line 394 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11155 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 969:
#line 395 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11161 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 970:
#line 396 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11167 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 971:
#line 397 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11173 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 972:
#line 398 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11179 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 973:
#line 399 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11185 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 974:
#line 400 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11191 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 975:
#line 401 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11197 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 976:
#line 402 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11203 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 977:
#line 403 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11209 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 978:
#line 404 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11215 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 979:
#line 405 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11221 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 981:
#line 407 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11227 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 982:
#line 408 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11233 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 983:
#line 409 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11239 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 984:
#line 410 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = 0; }
#line 11245 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 985:
#line 411 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11251 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 986:
#line 412 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11257 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 987:
#line 413 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11263 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 988:
#line 414 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11269 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 989:
#line 415 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11275 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 990:
#line 416 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11281 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 991:
#line 417 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ttl_security = 2; }
#line 11287 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 992:
#line 418 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11293 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 997:
#line 430 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 11303 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 999:
#line 439 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_pref->hidden = 1; }
#line 11309 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1000:
#line 440 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_pref->tag = (yyvsp[0].i); }
#line 11315 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1003:
#line 449 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 11321 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1004:
#line 450 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 11327 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1005:
#line 454 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 11338 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1006:
#line 463 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 11362 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1008:
#line 486 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11368 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1009:
#line 490 "proto/ospf/config.Y" /* yacc.c:1648  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 11374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1015:
#line 504 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 11380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1016:
#line 507 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 11386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1017:
#line 508 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 11392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1018:
#line 509 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 11398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1019:
#line 510 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1021:
#line 514 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 11410 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1023:
#line 517 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11416 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1025:
#line 520 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 11422 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1027:
#line 525 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 11428 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1029:
#line 528 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 11434 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1031:
#line 533 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 11440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1033:
#line 536 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 11446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1035:
#line 540 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 11457 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1036:
#line 548 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 11465 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1037:
#line 551 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 11471 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1038:
#line 552 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 11477 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1039:
#line 553 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 11483 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1040:
#line 554 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 11489 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1041:
#line 555 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 11495 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1042:
#line 556 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 11501 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1043:
#line 557 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 11507 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1044:
#line 558 "proto/ospf/config.Y" /* yacc.c:1648  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 11513 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1046:
#line 27 "proto/perf/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1050:
#line 46 "proto/perf/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1051:
#line 47 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1052:
#line 48 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 11547 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1053:
#line 49 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 11553 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1054:
#line 50 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 11559 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1055:
#line 51 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 11565 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1056:
#line 52 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 11571 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1057:
#line 53 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 11577 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1058:
#line 54 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 11583 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1059:
#line 55 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 11589 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1060:
#line 23 "proto/pipe/config.Y" /* yacc.c:1648  */
    { this_channel = NULL; }
#line 11595 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1061:
#line 26 "proto/pipe/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 11603 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1062:
#line 30 "proto/pipe/config.Y" /* yacc.c:1648  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 11616 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1066:
#line 43 "proto/pipe/config.Y" /* yacc.c:1648  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 11622 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1068:
#line 47 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 11635 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1072:
#line 60 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 11641 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1073:
#line 61 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11647 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1074:
#line 61 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 11653 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1075:
#line 62 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11659 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1076:
#line 62 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 11665 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1077:
#line 63 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 11671 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1078:
#line 64 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 11677 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1082:
#line 77 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 11703 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1083:
#line 100 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 11709 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1084:
#line 101 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 11715 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1085:
#line 102 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 11721 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1086:
#line 103 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 11727 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1087:
#line 104 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 11733 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1088:
#line 105 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 11739 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1089:
#line 106 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 11745 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1090:
#line 107 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 11751 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1091:
#line 108 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 11757 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1092:
#line 109 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 11763 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1093:
#line 110 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11773 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1094:
#line 115 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11782 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1095:
#line 119 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11788 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1096:
#line 120 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11794 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1097:
#line 121 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11800 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1098:
#line 122 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11806 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1099:
#line 123 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11812 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1100:
#line 124 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11818 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1101:
#line 124 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 11824 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1102:
#line 125 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11830 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1103:
#line 125 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 11836 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1104:
#line 126 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 11842 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1105:
#line 127 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 11848 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1106:
#line 131 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_LOW; }
#line 11854 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1107:
#line 132 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 11860 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1108:
#line 133 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1109:
#line 136 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 11907 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1115:
#line 189 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 11921 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1116:
#line 200 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 11927 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1117:
#line 201 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 11933 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1118:
#line 202 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 11939 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1119:
#line 203 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11948 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1120:
#line 207 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11957 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1121:
#line 214 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 11969 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1127:
#line 238 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11981 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1128:
#line 247 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11990 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1131:
#line 254 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 11996 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1132:
#line 258 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12012 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1137:
#line 282 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12027 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1138:
#line 294 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12036 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1141:
#line 301 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12042 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1142:
#line 305 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12058 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1147:
#line 329 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12064 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1148:
#line 330 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12070 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1149:
#line 334 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (uint) -1; }
#line 12076 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1150:
#line 335 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12082 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1151:
#line 338 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12088 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1152:
#line 339 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12094 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1154:
#line 48 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 12100 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1155:
#line 49 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 12106 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1156:
#line 53 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12122 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1159:
#line 68 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12128 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1160:
#line 69 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12134 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1161:
#line 70 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12140 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1166:
#line 84 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 12167 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1167:
#line 108 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12200 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1168:
#line 138 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12206 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1169:
#line 139 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12212 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1170:
#line 140 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12218 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1171:
#line 141 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12224 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1172:
#line 142 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12230 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1173:
#line 143 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12236 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1174:
#line 144 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12245 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1175:
#line 148 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12251 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1176:
#line 149 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12257 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1177:
#line 150 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12263 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1178:
#line 151 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12269 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1179:
#line 152 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12275 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1180:
#line 153 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 12281 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1181:
#line 154 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 12287 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1182:
#line 155 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12293 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1183:
#line 156 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 12299 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1184:
#line 157 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12305 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1185:
#line 158 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 12311 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1186:
#line 159 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 12317 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1187:
#line 160 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 12323 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1188:
#line 161 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ttl_security = 2; }
#line 12329 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1189:
#line 162 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 12335 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1190:
#line 163 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12341 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1191:
#line 164 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 12347 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1192:
#line 165 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_check_auth(); }
#line 12353 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1193:
#line 169 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 12359 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1194:
#line 170 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 12365 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1195:
#line 171 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12371 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1196:
#line 172 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12377 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1202:
#line 189 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 12383 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1203:
#line 190 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 12389 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1205:
#line 195 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12395 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1207:
#line 198 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 12401 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1209:
#line 43 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 12412 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1210:
#line 50 "proto/rpki/config.Y" /* yacc.c:1648  */
    { rpki_check_config(RPKI_CFG); }
#line 12418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1219:
#line 64 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 12429 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1220:
#line 70 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 12440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1221:
#line 76 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 12451 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1222:
#line 85 "proto/rpki/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 12457 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1223:
#line 86 "proto/rpki/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 12463 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1224:
#line 89 "proto/rpki/config.Y" /* yacc.c:1648  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 12469 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1225:
#line 92 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 12478 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1226:
#line 96 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 12491 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1229:
#line 112 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 12501 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1230:
#line 119 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
}
#line 12511 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1233:
#line 131 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 12517 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1234:
#line 132 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 12523 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1235:
#line 133 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 12529 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1236:
#line 137 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 12538 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1238:
#line 57 "proto/static/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 12547 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1241:
#line 65 "proto/static/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 12553 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1242:
#line 66 "proto/static/config.Y" /* yacc.c:1648  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 12559 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1243:
#line 67 "proto/static/config.Y" /* yacc.c:1648  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 12572 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1244:
#line 75 "proto/static/config.Y" /* yacc.c:1648  */
    { static_route_finish(); }
#line 12578 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1245:
#line 79 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 12588 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1246:
#line 84 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 12598 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1247:
#line 89 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 12606 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1248:
#line 92 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 12614 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1249:
#line 95 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 12623 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1250:
#line 99 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 12631 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1253:
#line 109 "proto/static/config.Y" /* yacc.c:1648  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 12645 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1255:
#line 122 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 12654 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1256:
#line 126 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 12664 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1257:
#line 131 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_NONE; }
#line 12670 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1258:
#line 132 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12676 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1259:
#line 133 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12682 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1260:
#line 134 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 12688 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1261:
#line 135 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 12694 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1262:
#line 136 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 12700 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1263:
#line 140 "proto/static/config.Y" /* yacc.c:1648  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 12712 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1269:
#line 161 "proto/static/config.Y" /* yacc.c:1648  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 12718 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1271:
#line 25 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 12724 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1272:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 12730 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1273:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 12736 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1274:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 12742 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1275:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 12748 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1276:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 12754 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1277:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 12760 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1278:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 12766 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1279:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 12772 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1280:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 12778 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1281:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 12784 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1282:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 12790 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1283:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 12796 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1284:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 12802 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1285:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 12808 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1286:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 12814 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1287:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 12820 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1288:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 12826 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1289:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 12832 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1290:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 12838 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1291:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 12844 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1292:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 12850 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1293:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 12856 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1294:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 12862 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1295:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 12868 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1296:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 12874 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1297:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 12880 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1298:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 12886 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1299:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 12892 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1300:
#line 61 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 12898 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1302:
#line 33 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 12904 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1303:
#line 35 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 12913 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1304:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = (yyvsp[0].t); }
#line 12919 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1305:
#line 43 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = bird_name; }
#line 12925 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1307:
#line 48 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 12931 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1308:
#line 52 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
     this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     this_log->fh = rf_file(this_log->rf);
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 12943 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1309:
#line 59 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 12949 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1310:
#line 60 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->fh = stderr; }
#line 12955 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1311:
#line 64 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 12961 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1312:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12967 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1313:
#line 69 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 12973 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1314:
#line 70 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 12979 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1315:
#line 74 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_DEBUG[0]; }
#line 12985 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1316:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_TRACE[0]; }
#line 12991 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1317:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_INFO[0]; }
#line 12997 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1318:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_REMOTE[0]; }
#line 13003 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1319:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_WARN[0]; }
#line 13009 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1320:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_ERR[0]; }
#line 13015 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1321:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_AUTH[0]; }
#line 13021 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1322:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_FATAL[0]; }
#line 13027 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1323:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_BUG[0]; }
#line 13033 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1325:
#line 89 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13039 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1326:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
     struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = rf_fileno(f);
   }
#line 13049 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1328:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 13055 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1329:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 13061 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1330:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13067 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1331:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13073 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1333:
#line 113 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1335:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13085 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1337:
#line 123 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig_confirm(); }
#line 13091 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1339:
#line 126 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig_undo(); }
#line 13097 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1341:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig_status(); }
#line 13103 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1343:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 13109 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1345:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_shutdown(); }
#line 13115 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1347:
#line 140 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_graceful_restart(); }
#line 13121 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1348:
#line 144 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = NULL; }
#line 13127 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1350:
#line 149 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 13133 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1351:
#line 150 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 13139 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1352:
#line 151 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13145 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1354:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13153 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1357:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13159 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1358:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13165 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1360:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13171 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1361:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 13177 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1362:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13186 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1363:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13198 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1364:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13204 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1365:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13216 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1367:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13222 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1372:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13231 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1373:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13241 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1374:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 13247 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1380:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 13253 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1381:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 13259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;


#line 13263 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 49 "conf/gen_parser.m4" /* yacc.c:1907  */

#line 383 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 811 "nest/config.Y"
/* C Code from nest/config.Y */

#line 169 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 328 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 561 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 341 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 201 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 142 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 64 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 154 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

